# phpMyAdmin SQL Dump
# version 2.5.4
# http://www.phpmyadmin.net
# Server version: 4.0.20
# PHP Version: 4.3.2
# 
# Base database install for Paristemi
# Alpha version 0.7
# http://www.paristemi.com
#
# CAUTION DATABASE STRUCTURE SUBJECT TO CHANGE
# 
# --------------------------------------------------------
# TABLE STRUCTURE
# --------------------------------------------------------

CREATE TABLE `Album` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(50) NOT NULL default '',
  `Description` text,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=7 ;

CREATE TABLE `Announcement` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(255) NOT NULL default '',
  `Category` enum('main','web','auto') NOT NULL default 'main',
  `Description` text,
  `ContactID` int(11) NOT NULL default '10',
  `Created` datetime NOT NULL default '0000-00-00 00:00:00',
  `EndDate` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=79 ;

CREATE TABLE `Audio` (
  `ID` int(11) NOT NULL auto_increment,
  `CatalogID` varchar(100) default NULL,
  `Title` varchar(255) default NULL,
  `Category` varchar(100) NOT NULL default 'Audio Message',
  `LinkStream` varchar(200) NOT NULL default '',
  `LinkDownload` varchar(200) NOT NULL default '',
  `PPTLink` varchar(200) default NULL,
  `PDFLink` varchar(200) default NULL,
  `Description` varchar(255) default NULL,
  `ShowMultimedia` tinyint(1) NOT NULL default '0',
  `BookReference` varchar(50) NOT NULL default 'No Reference',
  `StartVerse` varchar(50) NOT NULL default '0',
  `StopVerse` varchar(50) NOT NULL default '0',
  `Topic` varchar(200) NOT NULL default 'No Topic',
  `Notes` varchar(200) NOT NULL default '',
  `Transcript` text,
  PRIMARY KEY  (`ID`),
  FULLTEXT KEY `Transcript` (`Transcript`)
) TYPE=MyISAM AUTO_INCREMENT=296 ;

CREATE TABLE `BibleTrivia` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(30) NOT NULL default '',
  `Question` varchar(250) NOT NULL default '',
  `Showcase` tinyint(1) NOT NULL default '0',
  `AnswerNum` tinyint(5) NOT NULL default '1',
  `CorrectText` varchar(250) NOT NULL default '',
  `IncorrectText` varchar(250) NOT NULL default '',
  `Answer1` varchar(250) NOT NULL default '',
  `Answer2` varchar(250) NOT NULL default '',
  `Answer3` varchar(250) default NULL,
  `Answer4` varchar(250) default NULL,
  `Answer5` varchar(250) default NULL,
  `Answer6` varchar(250) default NULL,
  `ShowItem` tinyint(1) NOT NULL default '1',
  `AnsweredCount` int(11) NOT NULL default '0',
  `CorrectCount` int(11) NOT NULL default '0',
  `IncorrectCount` int(11) NOT NULL default '0',
  UNIQUE KEY `ID` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=57 ;

CREATE TABLE `Contact` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(50) default NULL,
  `First` varchar(20) NOT NULL default '',
  `Middle` varchar(20) default NULL,
  `Last` varchar(20) NOT NULL default '',
  `Email` varchar(50) NOT NULL default '',
  `LocationID` int(11) default '0',
  `Biography` text,
  `PhotoLink` varchar(100) default NULL,
  `IsPerson` tinyint(1) NOT NULL default '1',
  `ShowEmail` tinyint(1) NOT NULL default '0',
  `ShowBio` tinyint(1) NOT NULL default '0',
  `ShowLocation` tinyint(1) NOT NULL default '0',
  `ShowForm` tinyint(1) NOT NULL default '0',
  `ShowMain` tinyint(1) NOT NULL default '0',
  `ShowMainTitle` tinyint(1) NOT NULL default '0',
  `ShowMainFirstName` tinyint(1) NOT NULL default '0',
  `ShowMainLastName` tinyint(1) NOT NULL default '0',
  `ShowPrayer` tinyint(1) NOT NULL default '0',
  `ShowPhoto` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=36 ;

CREATE TABLE `ContactGroup` (
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(150) NOT NULL default '',
  `Contacts` varchar(255) NOT NULL default '0',
  `ApproveContact` varchar(255) NOT NULL default '0',
  `Description` varchar(200) default NULL,
  `ShowMain` tinyint(1) NOT NULL default '0',
  `ShowPrayer` tinyint(1) NOT NULL default '0',
  `ShowMailingList` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `ID` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=6 ;

CREATE TABLE `Devotional` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(50) NOT NULL default '',
  `Text` longtext NOT NULL,
  `KeyVerse` varchar(100) NOT NULL default '',
  `Verses` varchar(250) NOT NULL default '',
  `Prayer` mediumtext NOT NULL,
  `AuthorID` int(11) NOT NULL default '0',
  `Showcase` tinyint(1) NOT NULL default '0',
  `ShowItem` tinyint(1) NOT NULL default '1',
  UNIQUE KEY `ID` (`ID`)
) TYPE=MyISAM PACK_KEYS=0 AUTO_INCREMENT=36 ;

CREATE TABLE `FAQ` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(255) NOT NULL default '',
  `Category` varchar(50) NOT NULL default '',
  `Text` tinytext NOT NULL,
  `Links` tinytext NOT NULL,
  KEY `ID` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=33 ;

CREATE TABLE `Instance` (
  `ID` int(11) NOT NULL auto_increment,
  `SeriesID` int(11) NOT NULL default '10',
  `ContactID` int(11) NOT NULL default '10',
  `ContactEmail` varchar(50) default NULL,
  `AudioID` int(11) default '1',
  `VideoID` int(11) NOT NULL default '1',
  `Title` varchar(100) NOT NULL default '',
  `Start` datetime NOT NULL default '0000-00-00 00:00:00',
  `Stop` datetime NOT NULL default '0000-00-00 00:00:00',
  `LocationID` int(11) NOT NULL default '10',
  `Description` text,
  `Notes` text,
  `SubSeriesID` int(11) default '10',
  `Type` varchar(50) NOT NULL default 'Bible Study',
  `Recursive` tinyint(1) NOT NULL default '0',
  `RecDay` enum('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday') NOT NULL default 'Sunday',
  `RecEnd` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=822 ;

CREATE TABLE `Library` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(150) NOT NULL default '',
  `Author` varchar(200) default NULL,
  `Editor` varchar(200) default NULL,
  `CatalogNumber` varchar(35) NOT NULL default '',
  `ISBN` varchar(35) default NULL,
  `Pages` int(7) default NULL,
  `Copies` tinyint(4) NOT NULL default '1',
  `Description` varchar(255) default NULL,
  `Format` varchar(50) default NULL,
  `Category` varchar(150) NOT NULL default '',
  `Keywords` varchar(255) default NULL,
  `Year` varchar(4) default NULL,
  `Publisher` varchar(150) default NULL,
  `Series` varchar(150) default NULL,
  `Notes` varchar(200) default NULL,
  `CopiesOut` tinyint(4) NOT NULL default '0',
  `DatesOut` varchar(255) default NULL,
  `DatesDue` varchar(255) default NULL,
  `PersonsOut` varchar(255) default NULL,
  `PersonsEmailOut` varchar(255) default NULL,
  `PersonsPhoneOut` varchar(20) default NULL,
  `NumWaiting` tinyint(4) NOT NULL default '0',
  `PersonsWaiting` varchar(255) default NULL,
  `PersonsEmailWaiting` varchar(255) default NULL,
  `PersonsPhoneWaiting` varchar(20) NOT NULL default '',
  UNIQUE KEY `ID` (`ID`),
  UNIQUE KEY `CatalogNumber` (`CatalogNumber`)
) TYPE=MyISAM AUTO_INCREMENT=438 ;

CREATE TABLE `Location` (
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(50) NOT NULL default '',
  `Address` varchar(30) NOT NULL default '',
  `Address2` varchar(30) default NULL,
  `City` varchar(20) NOT NULL default '',
  `State` char(2) NOT NULL default '',
  `Zip` varchar(5) NOT NULL default '',
  `Phone` varchar(10) default NULL,
  `Description` text,
  `ShowMain` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=21 ;

CREATE TABLE `MailingList` (
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(50) NOT NULL default '',
  `Description` varchar(200) NOT NULL default '',
  `Emails` text NOT NULL,
  `AdminUser` varchar(30) NOT NULL default '',
  `AdminPass` varchar(30) NOT NULL default '',
  `AdminEmail` varchar(100) NOT NULL default '',
  `Public` tinyint(1) NOT NULL default '0',
  KEY `ID` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=7 ;

CREATE TABLE `Ministry` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(255) NOT NULL default '',
  `ContactID` int(11) NOT NULL default '0',
  `Services` text NOT NULL,
  `Description` text NOT NULL,
  `ShowItem` tinyint(1) NOT NULL default '1',
  `Notes` text,
  KEY `ID` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=19 ;

CREATE TABLE `Prayer` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(200) NOT NULL default '',
  `Description` longtext NOT NULL,
  `PersonName` varchar(200) NOT NULL default '',
  `PersonEmail` varchar(200) NOT NULL default '',
  `PersonLocation` varchar(255) default NULL,
  `PrayerContact` int(11) NOT NULL default '0',
  `Private` tinyint(1) NOT NULL default '1',
  `DateEntered` datetime NOT NULL default '0000-00-00 00:00:00',
  `DateNeeded` datetime NOT NULL default '0000-00-00 00:00:00',
  `DateDelete` datetime NOT NULL default '0000-00-00 00:00:00',
  `Approved` tinyint(1) NOT NULL default '0',
  `RandomKey` bigint(20) NOT NULL default '0',
  UNIQUE KEY `ID` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=134 ;

CREATE TABLE `Resource` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(100) NOT NULL default '',
  `Link` varchar(255) NOT NULL default '',
  `Category` varchar(100) NOT NULL default '',
  `Description` varchar(255) NOT NULL default '',
  `ShowItem` tinyint(1) NOT NULL default '0',
  KEY `ID` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=35 ;

CREATE TABLE `Series` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(50) NOT NULL default '',
  `Description` text NOT NULL,
  `Type` varchar(50) NOT NULL default 'Bible Study',
  `MeetByMonthDays` varchar(10) NOT NULL default '0',
  `ShowItem` char(1) NOT NULL default '',
  `Start` time NOT NULL default '00:00:00',
  `Stop` time NOT NULL default '00:00:00',
  `Day` tinyint(1) NOT NULL default '0',
  `LocationID` int(11) NOT NULL default '0',
  `IsMainService` tinyint(1) NOT NULL default '0',
  KEY `ID` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=30 ;

CREATE TABLE `Song` (
  `ID` int(11) NOT NULL auto_increment,
  `AlbumID` int(11) NOT NULL default '1',
  `AudioID` int(11) NOT NULL default '1',
  `TrackNumber` tinyint(4) default '0',
  `Title` varchar(50) NOT NULL default '',
  `Lyrics` varchar(50) default NULL,
  `Chords` varchar(50) default NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=114 ;

CREATE TABLE `Video` (
  `ID` int(11) NOT NULL auto_increment,
  `Title` varchar(100) NOT NULL default '',
  `Category` varchar(100) NOT NULL default '',
  `Description` varchar(255) default NULL,
  `Links` text NOT NULL,
  `Notes` text,
  `ShowMultimedia` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `ID` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=6 ;

# --------------------------------------------------------
# TABLE SEEDING
# --------------------------------------------------------
INSERT INTO `Album` VALUES (1, 'Others', '');

INSERT INTO `Announcement` VALUES (1, 'Recent Audio Message Added', 'auto', 'Audio Message Added (this is updated whenever a message has just been added).', 10, '2004-05-15 02:01:51', '2004-03-25');
INSERT INTO `Announcement` VALUES (2, 'Event Calendar Updated', 'auto', 'Event added to calendar (updates with every calendar add).', 10, '2004-07-07 10:50:57', '0000-00-00');
INSERT INTO `Announcement` VALUES (42, 'Recent Devotional & Bible Trivia Added', 'auto', NULL, 10, '2003-11-17 00:00:00', '0000-00-00');

INSERT INTO `Audio` VALUES (1, '', 'No Audio Message', 'Audio Message', '', '', NULL, NULL, '', 0, '', '', '', '', '', NULL);

INSERT INTO `Contact` VALUES (19, 'Submit Form For Contact Information', '', '', '', '', 0, '', '', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0);

INSERT INTO `Location` VALUES (6, 'Submit Form For Location Information', '', '', '', '', '', '', '', 0);
INSERT INTO `Location` VALUES (10, 'No Location', '123 No Street', '', 'Morro Bay', 'CA', '93405', '', 'Call Office for Location information.', 0);

INSERT INTO `Series` VALUES (10, 'No Series', 'No Series', 'Bible Study', '0', '', '00:00:00', '00:00:00', 0, 10, 0);
