<?php 
/**
 * <b>About Section</b><br />
 * The about section lists the mission statement, minitries, and main contacts.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.3
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }
require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$CONTACT_INCLUDE;
require_once ($SERVER_DIRECTORY.$INCLUDE_PATH.$CALENDAR_INCLUDE);

     $cal = new Calendar();
     $db = new Database();
     $db_about = $db->GetClass('about');
     $db_multimedia = $db->GetClass('multimedia');
     $db_contact = $db->GetClass('contact');
     $db_studies = $db->GetClass('studies');
     $data =& $db_about->GetAllMinistries();
     $smarty = UtilSmarty::createSmarty();
     

    $id = ""; $con = ""; $pagesubtitle = ""; $value = "";
    if(getenv("QUERY_STRING")) {
        if(isset( $_GET['id'])) { $id = $_GET['id']; }
        if(isset( $_GET['contact'])) { $con = $_GET['contact']; }
        if($id != null && $con != "yes") { 
            $smarty->assign('adminbar_section_name',$S_ADMIN_MINISTRY);
            $smarty->assign('adminbar_section_add','ministry');
            $value =& $db_about->GetMinistryData($id);
            $pagesubtitle = $value->Title;
            $smarty->assign('adminitem_id',$id);
            $smarty->assign('adminitem_title',$value->Title);
        }
        if($id != null && $con == "yes") { 
            $smarty->assign('adminbar_section_name',$S_ADMIN_CONTACT);
            $smarty->assign('adminbar_section_add','contact');
            $value =& $db_contact->GetContactData($id); 
            $full_name = "";
            if($value->ShowMainTitle) { $full_name .= $value->Title; }
            if($value->ShowMainFirstName) { $full_name .= " ".$value->First; }
            if($value->Middle != null) { $full_name .= " ".$value->Middle; }
            if($value->ShowMainLastName) { $full_name .= " ".$value->Last; }
            $pagesubtitle = $full_name;
            $smarty->assign('adminitem_id',$id);
            $smarty->assign('adminitem_title',$full_name);
        }
    }
    
    require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
        "?pagetitle=".str_replace(" ","%20",htmlentities($S_ABOUT))."&pagesubtitle=".str_replace(" ","%20",htmlentities($pagesubtitle)).
        "&pagedesc=".str_replace(" ","%20",htmlentities($CHURCH_NAME." ".$S_DESC_ABOUT));
        
        $sidesections = array();
        $sidesection = array();
        $sidesection['Title'] = $S_MINISTRY;
        $sidesection['Links'] = array();
         foreach ($data as $value) {
            $sidesection['Links'][] = array(
                    'LinkPath' => $GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['MINISTRY_DIR'].
                                  $GLOBALS['MINISTRY_FILE']."?id=".$value->ID,
                    'LinkText' => $value->Title);
         }
         $sidesections[] = $sidesection;
         
         $con_inc = new Contact();
         $sidesections[] = $con_inc->conSmallHeader("min");
         
         $smarty->assign('sidesections',$sidesections);
         
         $smarty->assign('textsections',array(array('Title'=>$S_OFFICE,'Text'=>$CONTACT_INFO)));
         
         $smarty->assign('icondescriptions',
             array(array('src' => $HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PDF_IMG,
                         'alt' => 'PDF', 'desc' => 'PDF')));
                         
      $data =& $db_about->GetAllMinistries();
      if($data != null) { 
              if(getenv("QUERY_STRING")) {
              	if($id != null && $con != "yes") {
                 $value =& $db_about->GetMinistryData($id);
                 $tblarr = array();
                 $tblclass = "tbl-listing";
                 $tblheader = "<h2>".$value->Title."</h2>";
                 $tbltdclass = array("tbl-listing-title-lined","tbl-listing-item-lined");
                       array_push($tblarr,array($S_DESC,$value->Description));
                       if($value->Services != null) {
                        array_push($tblarr,array($S_SERVICES,$value->Services));
                       }
                       if($value->Notes != null) {
                        array_push($tblarr,array($S_NOTES,$value->Notes));
                       }
                       array_push($tblarr,array($S_CONTACT,"<a href=\"".$GLOBALS['HTTP_DOCUMENT_ROOT'].
                            $GLOBALS['CONTACT_FORM']."?id=".$value->CID."\">".
                            UtilFiles::createImageText($value->CID,'contact')."</a>"));
                  $smarty->assign('printtable',UtilHtml::createTable($tblarr,$tblheader,$tblclass,"","",$tbltdclass));
                 }
             if($id != null && $con == "yes") {
                $smarty->assign('printtable',$con_inc->ContactData($id));
             }

              }
              else { 
                  $introstatements = array();
                  $introstatements[] = array('Title'=>$S_ABOUT." ".$CHURCH_NAME,'Text'=>$ABOUT_CHURCH);
                  $introstatements[] = array('Title'=>$S_MISSION,'Text'=>$MISSION_STATEMENT);
                  if($DOCTRINE_STATEMENT != "") {
                      $introstatements[] = array('Title'=>$S_DOCTRINE,'Text'=>$DOCTRINE_STATEMENT);
                  }
               $smarty->assign('introstatements',$introstatements);
               if($SHOW_SERVICE_TIMES) {
                  $smarty->assign('servicetitle',$S_SERVICE_TIMES);
                  $smarty->assign('mainstudylink',$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.$STUDIES_FILE."?id=");
                  $mainstudies = $db_studies->GetCurrentMainStudies();
                  for($i=0; $i < count($mainstudies); $i++) {
                      $tempstudy = $mainstudies[$i];
                      $tempstudy->Day =& $cal->getWeekday($mainstudies[$i]->Day);
                      $mainstudies[$i] = $tempstudy;
                  }
                  $smarty->assign('mainstudies',$mainstudies);
                }
              }
            }
            else { $smarty->assign('notice',$N_MINISTRY_NONE); }
            
     $smarty->assign('bottomnote',$S_FREE_PDF.
            '<a href="http://www.adobe.com/products/acrobat/readstep2.html">Adobe</a>.');
            
     UtilSmarty::displaySectionPage($smarty);
?>
<?php require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER; ?>
