<?php 
/**
 * <b>Administration</b><br />
 * The administration for Paristemi:
 * This file displays the administration panel and the login screen
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.7
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(!(isset($_SESSION['aemail']))) { session_start(); }
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }
      
      $db = new Database();
      $db_admin = $db->GetClass('admin');
      $smarty = UtilSmarty::createSmarty();
      $smarty->assign('metatitle','Paristemi '.$S_ADMINISTRATE);
      
$smarty->assign('jsfile',$HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$JAVASCRIPT_INCLUDE);
$lookandfeeldir = $DEFAULT_LOOK;
$basecsspath = $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$CSS_DIR;
$csstablepath = $basecsspath.$lookandfeeldir."/".$CSS_TABLE;
$csstextpath = $basecsspath.$lookandfeeldir."/".$CSS_TEXT;
$csspagepath = $basecsspath.$lookandfeeldir."/".$CSS_PAGE;
$smarty->assign('stylesheets',array($csstablepath,$csstextpath,$csspagepath));

        if(adminCheck()) {
            $smarty->assign('heading','Paristemi'." ".$S_ADMIN);
            $smarty->assign('secondheading',$S_ADMIN_COMMON_TASKS);
            $smarty->assign('listelements',array(
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_announce.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_ANNOUNCEMENT),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_audio.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_AUDIO." ".$S_ITEM),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_bibletrivia.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_BIBLE_TRIVIA),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_calendar.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_CALENDAR." ".$S_ITEM),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_series.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_CALENDAR.' '.$S_SERIES),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_contact.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_CONTACT),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_contactgroup.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_CONTACT_GROUP),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_devotional.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_DEVOTIONAL),
	            array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_library.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_LIBRARY." ".$S_ITEM),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_location.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_LOCATION." ".$S_ITEM),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_mailinglist.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_MAILING_LIST),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_ministry.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_ADMIN_MINISTRY),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_audiomultimedia.php?'.strip_tags(SID),
            			'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_MULTIMEDIA." ".$S_AUDIO),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_video.php?'.strip_tags(SID),
            			'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_MULTIMEDIA." ".$S_VIDEO),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_resource.php?'.strip_tags(SID),
                      'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_RESOURCES),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_album.php?'.strip_tags(SID),
            			 'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_WORSHIP_MUSIC.' '.$S_ALBUM),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'add_song.php?'.strip_tags(SID),
            			 'LinkTarget'=>'sitewindow','Title'=>$S_ADD." ".$S_WORSHIP_MUSIC.' '.$S_SONGS),
                array('Title'=>'break'),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.'index.php?logout=yes'.strip_tags(SID),
            			 'LinkTarget'=>'_top','Title'=>$S_SIGN_OUT)
            ));
            $smarty->assign('searchboxes',array(
                array('heading'=>$S_SEARCH." ".$S_CALENDAR,
                    'name'=>'calsearch',
                    'file'=>$GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['CALENDAR_PATH'].$GLOBALS['WEEK_CAL_FILE'],
                    'constraints'=>array(
                        array('name'=>'Title','title'=>$GLOBALS['S_TITLE']),
                        array('name'=>'STitle','title'=>$GLOBALS['S_STUDIES']),
                        array('name'=>'Description','title'=>$GLOBALS['S_DESC'])),
                    'submittitle'=>$GLOBALS['S_SEARCH']),
                array('heading'=>$S_SEARCH." ".$S_AUDIO_MESSAGES,
                    'name'=>'messagesearch',
                    'file'=>$GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['MESSAGES_DIR'].$GLOBALS['MESSAGES_FILE'],
                    'constraints'=>array(
                        array('name'=>'Title','title'=>$GLOBALS['S_TITLE']),
                        array('name'=>'Description','title'=>$GLOBALS['S_DESC']),
                        array('name'=>'Topic','title'=>$S_TOPIC)),
                    'submittitle'=>$GLOBALS['S_SEARCH'])));
         }
         else {
             $smarty->assign('error',$E_INVALID_LOGIN);
             $smarty->assign('returnlink',array(
                 'LinkPath'=>$HTTP_DOCUMENT_ROOT.$ADMIN_DIR.$ADMIN_FILE,
                 'LinkText'=>$S_ADMIN." ".$S_LOGIN));
         }
      $smarty->assign('middlefile',$GLOBALS['SMARTY_TPL_MIDDLE']);
      $smarty->assign('formtemplate',$GLOBALS['SMARTY_TPL_FORM']);
      $smarty->assign('sidesearchtemplate',$GLOBALS['SMARTY_TPL_SIDE_SEARCH']);
      $smarty->display($GLOBALS['SMARTY_TPL_ADMIN_PANEL']);
    ?>