<?php 
/**
 * <b>Bible Trivia</b><br />
 * The lists all of the bible trivia (and showcased) and allows user to answer question and get response.
 * This page parses out verse XML:
 * <code><verse ver="NKJV">John 3:16</verse><link ver="NIV">John 3:16</link></code>
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }

      $db = new Database();
	  $db_main = $db->GetClass('main');
      $smarty = UtilSmarty::createSmarty();
      $smarty->assign('adminbar_section_name',$S_BIBLE_TRIVIA);
      $smarty->assign('adminbar_section_add','bibletrivia');
      $formvars = array('id'=>'','scount'=>0,'answer'=>'','listing'=>'',
                        'lbegin'=>0,'limit'=>$LISTING_LIMIT);

        if(count($_POST) > 0) { UtilHtml::PrepareFormVariables($formvars,"_POST"); }
        else if(getenv("QUERY_STRING")) { UtilHtml::PrepareFormVariables($formvars); }

		if($formvars['id'] != "") { 
            $trivia = $db_main->GetBibleTrivia($formvars['id']);
		    $pagesubtitle = $trivia->Title;
		}
		else { $pagesubtitle = ""; }
		      
		require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
		"?pagetitle=".str_replace(" ","%20",htmlentities($S_BIBLE_TRIVIA)).
		"&pagesubtitle=".str_replace(" ","%20",htmlentities($pagesubtitle)).
		"&pagedesc=".str_replace(" ","%20",htmlentities($CHURCH_NAME." ".$S_DESC_BIBLE_TRIVIA)); 
        
         $sidesection = array('Title'=>$S_BIBLE_TRIVIA,'Links'=>array());
         $trivias = $db_main->GetAllBibleTrivia($LISTING_LIMIT,0,"BT.ID desc ");
         foreach($trivias as $trivia) {
         	$sidesection['Links'][] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.
              $BIBLE_TRIVIA_FILE."?id=".$trivia->ID,
              'LinkText'=>wordwrap($trivia->Title,30,"<br />"));
         }
         $sidesection['Links'][] = array('LinkPath'=>"",'LinkText'=>"break");
         if($formvars['scount'] == "") { $formvars['scount'] = $db_main->GetAllBibleTriviaCount(); }
         if($formvars['scount'] > 0) { 
         	$sidesection['Links'][] = array(
                'LinkPath'=>$HTTP_DOCUMENT_ROOT.$BIBLE_TRIVIA_FILE."?listing=yes",
                'LinkText'=>$S_ALL." ".$S_BIBLE_TRIVIA); }
         $smarty->assign('sidesections',array($sidesection));
         
         if(count($_POST) > 0) {
            $trivia = $db_main->GetBibleTrivia($formvars['id']);
            $tblarr = array();
            $tblclass = "tbl-listing";
            $tbltdclass = array("tbl-listing-title","tbl-listing-item");
            $tblheader = "<h2>".$trivia->Title."</h2>";
            array_push($tblarr,array($S_QUESTION,$trivia->Question));
            $db_main->IncrementBibleTriviaAnsweredCount($formvars['id']);
            if($trivia->AnswerNum == $formvars['answer']) { $response = UtilBible::ParseVerses($trivia->CorrectText); }
            else { $response = UtilBible::ParseVerses($trivia->IncorrectText); }
            array_push($tblarr,array($S_ANSWER." ".$S_RESPONSE,$response));
            array_push($tblarr,array("&nbsp;",'<br /><a href="'.$HTTP_DOCUMENT_ROOT.$BIBLE_TRIVIA_FILE.
                    '?id='.$formvars['id'].'">'.$S_RETURN_TO." ".$S_QUESTION.'</a>'));  
            $smarty->assign('printtable',UtilHtml::createTable($tblarr,$tblheader,$tblclass,"","",$tbltdclass));        
         }
         
         else if($_GET) {
            $scntflg = false;
            if($formvars['scount'] != "") {$scntflg=true;}
            
            if($formvars['id'] != null) {
            	   $trivia = $db_main->GetBibleTrivia($formvars['id']);
                $smarty->assign('adminitem_id',$trivia->ID);
                $smarty->assign('adminitem_title',$trivia->Title);
                $form = array();
                $formfields = array();
                $form['heading'] = $trivia->Title;
                $form['formname'] = "bibletrivia";
                $form['formaction'] = $BIBLE_TRIVIA_FILE;
                $form['toptext'] = array('heading'=>$S_QUESTION,'text'=>$trivia->Question);
                $form['hiddeninputs'] = array(array('name'=>"ID",'value'=>$trivia->ID));
                
                $radioinputs = array();
                $answers = Array($trivia->Answer1,$trivia->Answer2,$trivia->Answer3,$trivia->Answer4,$trivia->Answer5,$trivia->Answer6);
                for($i = 0; $i < 6; $i++) {
                	 if($answers[$i] != "") {
                    	$radioinputs[] = array('name'=>"Answer",'value'=>($i+1),'Title'=>$answers[$i]);
                	 }
                }
                $formfields[] = array('heading'=>$S_ANSWERS,'type'=>'radioinput','items'=>$radioinputs);
                
                $form['formfields'] = $formfields;
                $form['submitname'] = $S_FORM_SUBMIT;
                $smarty->assign('forms',array($form));
            }
            else if($formvars['listing'] == "yes") {
            	$trivias = $db_main->GetAllBibleTrivia($formvars['limit'],$formvars['lbegin'],"BT.Title asc ");
            	$formvars['scount'] = $db_main->GetAllBibleTriviaCount();
            	$smarty->assign('heading',$S_ALL." ".$S_BIBLE_TRIVIA." (".$formvars['scount']." ".$S_TOTAL.")");
                $listelements = array();
            	foreach($trivias as $trivia) {
         			$listelements[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$BIBLE_TRIVIA_FILE."?id=".$trivia->ID,
                                            'Title'=>$trivia->Title,'ID'=>$trivia->ID);
         		}
                $smarty->assign('listelements',$listelements);
                
              $bottomlinks = array();
              if($formvars['limit'] <= $LISTING_LIMIT) {
                if($formvars['scount'] >= $formvars['lbegin']-$LISTING_LIMIT && $formvars['lbegin']-$LISTING_LIMIT >= 0) {
                  	$bottomlinks[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$BIBLE_TRIVIA_FILE.
                	   "?listing=yes"."&amp;lbegin=".($formvars['lbegin']-$LISTING_LIMIT).
                       "&amp;scount=".$formvars['scount'],'LinkText'=>"&lt;&lt; ".$S_PREVIOUS." ".$LISTING_LIMIT);
                 }
                $bottomlinks[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$BIBLE_TRIVIA_FILE.
                   "?listing=yes"."&amp;lbegin=0&amp;"."&amp;limit=555555555555555"."&amp;scount=".$formvars['scount'],
                   'LinkText'=>$S_LIST_ALL);
                 if($formvars['lbegin']+$LISTING_LIMIT < $formvars['scount']) {
					if($formvars['scount']-($formvars['lbegin']+$LISTING_LIMIT) < $LISTING_LIMIT) {
                        $linktext = $S_NEXT." ".($formvars['scount']-($formvars['lbegin']+$LISTING_LIMIT))." &gt;&gt;";
					}
					else { $linktext = $S_NEXT." ".$LISTING_LIMIT." &gt;&gt;"; }
                    $bottomlinks[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$BIBLE_TRIVIA_FILE.
                         "?listing=yes"."&amp;lbegin=".($formvars['lbegin']+$LISTING_LIMIT)."&amp;scount=".$formvars['scount'],
                         'LinkText'=>$linktext);
                  }
                  $smarty->assign('bottomlinks',$bottomlinks);
              }
            }
		 }
		 else {
            $trivia = $db_main->GetShowcaseBibleTrivia();
            $smarty->assign('adminitem_id',$trivia->ID);
            $smarty->assign('adminitem_title',$trivia->Title);
            $form = array();
            $formfields = array();
            $form['heading'] = $trivia->Title;
            $form['formname'] = "bibletrivia";
            $form['formaction'] = $BIBLE_TRIVIA_FILE;
            $form['toptext'] = array('heading'=>$S_QUESTION,'text'=>$trivia->Question);
            $form['hiddeninputs'] = array(array('name'=>"ID",'value'=>$trivia->ID));
            
            $radioinputs = array();
            $answers = Array($trivia->Answer1,$trivia->Answer2,$trivia->Answer3,$trivia->Answer4,$trivia->Answer5,$trivia->Answer6);
            for($i = 0; $i < 6; $i++) {
                if($answers[$i] != "") {
                    $radioinputs[] = array('name'=>"Answer",'value'=>($i+1),'Title'=>$answers[$i]);
                }
            }
            $formfields[] = array('heading'=>$S_ANSWERS,'type'=>'radioinput','items'=>$radioinputs);
            
            $form['formfields'] = $formfields;
            $form['submitname'] = $S_FORM_SUBMIT;
            $smarty->assign('forms',array($form));
		 } 
       
       UtilSmarty::displaySectionPage($smarty);
?>
<?php require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER; ?>
