<?php
/**
 * <b>Event Description : Calendar</b><br />
 * The event description page lists all of the details associated with a calendar event.
 * This section is searchable.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.1
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; } 
require_once ($SERVER_DIRECTORY.$INCLUDE_PATH.$CALENDAR_INCLUDE);

   $smarty = UtilSmarty::createSmarty();
   $smarty->assign('adminbar_section_name',$S_CALENDAR);
   $smarty->assign('adminbar_section_add','calendar');
   $cal = new Calendar; 
   $db = new Database();
   $db_cal = $db->GetClass('cal');

  $pagesubtitle="";$id="";$form="";
  if(getenv("QUERY_STRING")) {
     if(isset($_GET['id'])) {$id = $_GET['id'];}
     if(isset($_GET['form'])) {$form = $_GET['form'];}
     $item =& $db_cal->GetCalItemData($id);
     $smarty->assign('adminitem_id',$item->ID);
     $smarty->assign('adminitem_title',$item->Title);
     $smarty->assign('admin_bar_no_top','yes');
     $printdate = "";
     if($item->Recursive) {
      	$recstamp = $cal->nextEventFromRecursive($item);
      	if($recstamp != 0) {
      		$recdate = getdate($recstamp);
      		$printdate = $recdate['month']." ".$recdate['mday'].", ".$recdate['year'];
      	}
      }
      else if($item->Start['year'] == $item->Stop['year'] &&
            $item->Start['mon'] == $item->Stop['mon'] &&
            $item->Start['mday'] == $item->Stop['mday']) { 
               $printdate .= $item->Start['month']." ".$item->Start['mday'].
                     ", ".$item->Start['year'];
            }
      else {
               $printdate .= $item->Start['month']." ".$item->Start['mday'].
                     ", ".$item->Start['year']." - ";
               $printdate .= $item->Stop['month']." ".$item->Stop['mday'].
                     ", ".$item->Stop['year'];
         }
     $pagetitle = $item->Title;
     $pagesubtitle = "";
     if($item->Type == $S_HOME_GROUP) { /* Do Nothing */ }
     else if(!empty($item->SeriesArr) && isset($item->SeriesArr[0]) && $item->SeriesArr[0]->ShowItem){ 
             if($item->Title != $item->SeriesArr[0]->Title) { $pagesubtitle .= $item->SeriesArr[0]->Title; } }
     else if($item->Type == $S_BIBLE_COLLEGE) { $pagesubtitle .= $S_BIBLE_COLLEGE; }
     $pagesubtitle .= " - ".$printdate;
  }

if(getenv("QUERY_STRING") || count($_POST) > 0) {
   if(!isset($_GET['include'])) { 
       require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
        "?pagetitle=".str_replace(" ","%20",htmlentities($pagetitle)).
		"&pagesubtitle=".str_replace(" ","%20",htmlentities($pagesubtitle)).
        "&pagedesc=".str_replace(" ","%20",htmlentities($CHURCH_NAME." ".$S_DESC_CAL)); 
       $sidecal = $cal->calHeader();
       $smarty->assign('sidesections',array($sidecal['callinks']));
       $smarty->assign('icondescriptions',$sidecal['calicons']);
       $smarty = $cal->calSearchForm($smarty);
    } 
}
if(getenv("QUERY_STRING")) {
     if($form == "yes") { 
        $smarty->assign('heading',$S_FORM_LOC_CONT_INFO);
        $form = array();
        $formfields = array();
        $form['formname'] = 'contactform';
        $form['formaction'] = $SEND_INFO_CAL_FILE;
        $form['hiddeninputs'] = array(array('name'=>'ID','value'=>$id));
        
        $formfields[] = array('type'=>'textinput','heading'=>$S_FORM_FIRST_NAME,'name'=>'FirstName','size'=>'35');
        $formfields[] = array('type'=>'textinput','heading'=>$S_FORM_LAST_NAME,'name'=>'LastName','size'=>'35');
        $formfields[] = array('type'=>'textinput','heading'=>$S_FORM_EMAIL,'name'=>'FromEmail','size'=>'35');
        $formfields[] = array('type'=>'textinput','heading'=>$S_FORM_PHONE,'name'=>'PhoneNumber','size'=>'35');
        
        $form['formfields'] = $formfields;
        $form['formnote'] = $S_FORM_WAIT_NOTE;
        $form['resetname'] = $S_FORM_RESET;
        $form['submitname'] = $S_FORM_SUBMIT;
        $smarty->assign('forms',array($form));
     }
     else { $smarty->assign('printtable',$cal->eventTable($item)); }
}
else { $smarty->assign('notice',$N_EVENT_NONE); }
UtilSmarty::displaySectionPage($smarty);

if(getenv("QUERY_STRING") || count($_POST) > 0) {
	if(!isset($_GET['include'])) {
       require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER; 
       }
   } ?>