<?php 
// IMPORTANT!!
// The server must be configured to map the $_SERVER['DOCUMENT_ROOT']
// properly. If this does not map to the root of your account,
// then you will need to go into every file and hard map
// the link to this constants file. Hopefully, if your
// server is configured properly, this shouldn't be an issue.

// Server variables that MUST be changed
static $SITE_DIRECTORY     = "/";
if($_SERVER['SERVER_NAME'] != "") { $SERVER_NAME = $_SERVER['SERVER_NAME']; }
else { $SERVER_NAME = ""; }
       $HTTP_DOCUMENT_ROOT = "http://".$SERVER_NAME.$SITE_DIRECTORY;
static $SERVER_DIRECTORY   = "";

// Constants Used for Database that MUST be changed
static $DATABASE_SERVER = 'localhost';
static $DATABASE_USER   = '';
static $DATABASE_PASS   = '';
static $DATABASE_NAME   = '';

// Constants used for Studies (needed for next part)
// These don't have to be changed.
static $STUDIES_DIR    = "studies/";
static $STUDIES_FILE   = "index.php";

// Contact information that MUST be changed
// Feedback email mapping names are in the strings files
static $CHURCH_NAME     = "";
static $CHURCH_TITLE    = "";
static $CHURCH_SUB_TITLE= "";
static $FOOTER_CONTACT  = "";
static $FEEDBACK_EMAILS = array(0=>"");
static $FEEDBACK_FILE    = "feedback.php";
       $CONTACT_FORM  = $FEEDBACK_FILE;
static $COUNTRY         = "US";

// Constants used for Showing Areas
// Each tells what should be linked
// 0 turns off the link
// 1 turns on the link
// Note: Setting it to 0 does not remove the section
//       from the site, and unless the folder
//       is removed, it will still be found
//       when a search engine looks for it.
//       There also could be problems if a section
//       folder is removed (linking from other sections).

// Constants Used For Main
static $SHOW_GOSPEL_SECTION             = 0;
static $SHOW_NEW_BELIEVER_SECTION       = 0;
static $SHOW_BIBLE_VERSE                = 1;
static $SHOW_BIBLE_VERSE_DB             = 0;
static $SHOW_BIBLE_VERSE_DB_RAND        = 0;
static $SHOW_BIBLE_VERSE_ML             = 0;
static $SHOW_CURR_EVENTS                = 1;
static $SHOW_DEVOTIONAL                 = 1;
static $SHOW_DEVOTIONAL_VERSE           = 0;
static $SHOW_BIBLE_TRIVIA               = 1;
static $SHOW_SERVICE_TIMES              = 1;
static $SHOW_ANNOUNCEMENTS              = 1;
static $SHOW_WEB_UPDATES                = 1;
static $SHOW_CAL_ICONS_MAIN             = 0;
static $SHOW_MAIN_PICTURES              = 1;

// Constants Used For Footer (same rules as above)
static $SHOW_FOOTER_CONT                = 1;
static $SHOW_EMAIL_FRIEND               = 1;
static $SHOW_BIBLE_REF_SEARCH           = 1;
static $SHOW_BIBLE_WORD_SEARCH          = 1;
static $SHOW_TEXT_INCREASE_LINK         = 1;
static $SHOW_GOOGLE_SEARCH              = 1;
static $SHOW_GOSPEL_LINK                = 0;

// Constants for language strings
static $LANGUAGE_DIR       = "lang/";
static $LANGUAGE_FILE_HEAD = "strings";
static $LANGUAGE_ARRAY     = array("English"=>"en");
static $DEFAULT_LANGUAGE   = "English";

// Constants Used for Server Locations
// If media file structure changed, then
// header image must be changed in 
// pageformatting CSS file as well (.titlebanner)
static $OBJECT_PATH        = "objects/";
static $INCLUDE_PATH       = "includes/";
static $MEDIA_PATH         = "media/";
       $MUSIC_PATH         = $MEDIA_PATH."music/";
       $IMAGE_PATH         = $MEDIA_PATH."img/";
       $MAIN_PICTURE_PATH  = $IMAGE_PATH."mainpics/";
       $PICTURE_PATH	   = "../".$MEDIA_PATH."pictures/";
       $PDF_PATH           = $MEDIA_PATH."pdf/";
       $TXT_PATH           = $MEDIA_PATH."txt/";
static $MAIN_PAGE          = "index.php";
static $JAVASCRIPT_INCLUDE = "mainfunctions.js";
static $DATE_PICKER_INCLUDE = "datepick/ts_picker.js";
static $MAKE_IMAGE_INCLUDE = "createimage.php";

// Constants used for includes
static $HEADER          = "header.php";
static $FOOTER          = "footer.php";

// Constants Used for Database Includes
static $DATABASE_PATH        = "database/";
static $DATABASE             = "database/database.php";
static $DATABASE_MODIFY      = "dbmodify.php";
static $DATABASE_ABOUT       = "db_about.php";
static $DATABASE_CAL         = "db_cal.php";
static $DATABASE_CONTACT     = "db_contact.php";
static $DATABASE_LIBRARY     = "db_library.php";
static $DATABASE_LOCATION    = "db_location.php";
static $DATABASE_MAILINGLIST = "db_mailinglist.php";
static $DATABASE_MAIN        = "db_main.php";
static $DATABASE_MESSAGES    = "db_messages.php";
static $DATABASE_MULTIMEDIA  = "db_multimedia.php";
static $DATABASE_MUSIC       = "db_music.php";
static $DATABASE_PRAYER      = "db_prayer.php";
static $DATABASE_STUDIES     = "db_studies.php";

// Utilities files
$UTIL_DIR       = "util/";
$UTIL_BIBLE     = "util_bible.php";
$UTIL_DATETIME  = "util_datetime.php";
$UTIL_FILES     = "util_files.php";
$UTIL_HTML      = "util_html.php";
$UTIL_SMARTY    = "util_smarty.php";
$UTIL_VALIDATION = "util_validation.php";

// Constants Used for Admin
$ADMIN_DIR        = "admin/";
$ADMIN_FILE       = "index.php";
$ADMIN_PANEL      = "adminpanel.php";
$ADMIN_CHECK      = "admincheck.php";

// Constants Used for Smarty
$SMARTY_DIR = "smarty/";
$SMARTY_FILE = "Smarty.class.php";
$SMARTY_TEMPLATE_DIR = 'templates/';
$SMARTY_TEMPLATEC_DIR = 'templates_c/';
$SMARTY_CONFIG_DIR = 'configs/';
$SMARTY_CACHE_DIR = 'cache/';

// Smarty Template files
$SMARTY_TPL_HEADER = 'header.tpl';
$SMARTY_TPL_FOOTER = 'footer.tpl';
$SMARTY_TPL_SEARCH_BOX = 'sitesearchbox.tpl';
$SMARTY_TPL_MAIN_PAGE = 'mainindex.tpl';
$SMARTY_TPL_RIGHT_BOX = 'maincontentbox.tpl';
$SMARTY_TPL_LEFT_NAV = 'leftnav.tpl';
$SMARTY_TPL_MIDDLE = 'middle.tpl';
$SMARTY_TPL_SECTION_PAGE = 'sectionpage.tpl';
$SMARTY_TPL_FORM = 'form.tpl';
$SMARTY_TPL_SIDE_SEARCH = 'specificsearchbox.tpl';
$SMARTY_TPL_ADMIN = 'admin.tpl';
$SMARTY_TPL_ADMIN_PANEL = 'adminpanel.tpl';

// HTML Editor Values
$HTML_EDITOR_DIR = 'fckeditor/';
$HTML_EDITOR_FILE = 'fckeditor.php';

//Mime Email Values
$MIME_MAIL_DIR = 'html_mime_mail/';
$MIME_MAIL_FILE = 'htmlMimeMail.php';

// Files to include in all of the pages
$UTILITIES_LIST = array($SERVER_DIRECTORY.$INCLUDE_PATH.$UTIL_DIR.$UTIL_BIBLE,
                        $SERVER_DIRECTORY.$INCLUDE_PATH.$UTIL_DIR.$UTIL_DATETIME,
                        $SERVER_DIRECTORY.$INCLUDE_PATH.$UTIL_DIR.$UTIL_FILES,
                        $SERVER_DIRECTORY.$INCLUDE_PATH.$UTIL_DIR.$UTIL_HTML,
                        $SERVER_DIRECTORY.$INCLUDE_PATH.$UTIL_DIR.$UTIL_SMARTY,
                        $SERVER_DIRECTORY.$INCLUDE_PATH.$UTIL_DIR.$UTIL_VALIDATION);
$INCLUDE_LIST = array_merge(array($SERVER_DIRECTORY.$INCLUDE_PATH.$LANGUAGE_DIR.
                      $LANGUAGE_FILE_HEAD.'_'.$LANGUAGE_ARRAY[$DEFAULT_LANGUAGE].".inc",
                      $SERVER_DIRECTORY.$INCLUDE_PATH.$DATABASE,
                      $SERVER_DIRECTORY.$INCLUDE_PATH.$SMARTY_DIR.$SMARTY_FILE,
                      $SERVER_DIRECTORY.$ADMIN_DIR.$ADMIN_CHECK,
                      $SERVER_DIRECTORY.$INCLUDE_PATH.$HTML_EDITOR_DIR.$HTML_EDITOR_FILE,
                      $SERVER_DIRECTORY.$INCLUDE_PATH.$MIME_MAIL_DIR.$MIME_MAIL_FILE),
                      $UTILITIES_LIST);

// Constants used for main images
// Location of background for main table
// is in CSS file, bgbanner
static $BANNER = "reheader.gif";

// Constants used for CSS files
static $CSS_DIR         = "css/";
static $CSS_TEXT        = "textformatting.css";
static $CSS_TEXT_LARGE  = "lgtextformatting.css";
static $CSS_TABLE       = "tableformatting.css";
static $CSS_PAGE        = "pageformatting.css";

// Constants Used For Look & Feel
static $DEFAULT_LOOK    = "sandy";
static $TEMPLATE_OPTIONS= array("Sandy Beach"=>"sandy","Blue Cross"=>"darkcross");

// Constants used for links in the footer
static $LEGAL_FILE        = "legal.php";
static $EMAIL_FRIEND_PAGE  = "emailfriend.php";

// Constants used for icons
static $BLANK_IMG    			= "blank.gif";
static $MP3_IMG      			= "mp3dl.gif";
static $MP3_IMG_STREAM			= "mp3.gif";
static $LYRICS_IMG   			= "lyrics.gif";
static $CHORDS_IMG   			= "chords.gif";
static $MULTIMEDIA_AUDIO_IMG	= "audio.gif";
static $MULTIMEDIA_AUDIO_IMG_DL	= "audiodl.gif";
static $MULTIMEDIA_VIDEO_IMG  	= "video.gif";
       $MULTIMEDIA_TRANS_IMG    = $LYRICS_IMG;
static $MESSAGES_IMG 			= "messages.gif";
static $MESSAGES_IMG_DL			= "messagesdl.gif";
static $PPT_IMG					= "ppt.gif";
static $PDF_IMG					= "pdf.gif";
static $EMAIL_FRIEND_IMG        = "emailfriend.gif";
static $CHANGE_LG_FONT_IMG      = "changelgfont.gif";
static $CHANGE_RG_FONT_IMG      = "changergfont.gif";

// Constants used for Calendar Icons
// To remove an icon from showing up,
// just remove the line. DB calendar items
// must be changed to match what is here.
// Name mappings are in the strings files
static $CAL_ICON_LIST = 
	array( 
           "Bible Study"=>array("small"=>"bssmall.gif","large"=>"bslarge.gif"),
           "Large Group"=>array("small"=>"lgsmall.gif","large"=>"lglarge.gif"),
           "Small Group"=>array("small"=>"sgsmall.gif","large"=>"sglarge.gif"),
           "Meeting"=>array("small"=>"mmsmall.gif","large"=>"mmlarge.gif"),
           "Fellowship"=>array("small"=>"sesmall.gif","large"=>"selarge.gif"),
           "Bible College"=>array("small"=>"bcsmall.gif","large"=>"bclarge.gif"),
           "Childrens Ministry"=>array("small"=>"cmsmall.gif","large"=>"cmlarge.gif"),
           "Youth"=>array("small"=>"ygsmall.gif","large"=>"yglarge.gif"),
           "Prayer"=>array("small"=>"prsmall.gif","large"=>"prlarge.gif"),
           "Home Group"=>array("small"=>"hgsmall.gif","large"=>"hglarge.gif"),
           "Mission Trip"=>array("small"=>"mtsmall.gif","large"=>"mtlarge.gif"),
           "Special Event"=>array("small"=>"spsmall.gif","large"=>"splarge.gif")
           );
           
// Pictures to show on the main page
static $MAIN_PICTURES = array('homepage0.jpg','homepage1.jpg','homepage2.jpg',
                              'homepage3.jpg','homepage4.jpg','homepage5.jpg');

// The amount of records to display on one page
// Currently used for Library, Devotions, & Prayer
static $LISTING_LIMIT     = 10;

// Bible Verse of the Day Site (and link)
// Here are some from the net (choose one for using):
// Christ notes - "<strong>Today's Bible Verse by <a href=\"http://www.christnotes.org/\">Christ Notes</a></strong><br /><br />
//				<script type=\"text/javascript\" src=\"http://www.christnotes.org/showverse.asp?pt=js2&trn=NKJV&vs=9\"></script>";
// Verseoftheday.com - <script src="http://www.verseoftheday.com/verse.js"></script>
// Christ.com - <script Language="JavaScript1.2">var votdtext;</script>
// 			 	<script Language="JavaScript1.2" src="http://votd.Christ.com/biblevotd/votd-niv.js"></script>
//				<script Language="JavaScript1.2">if (votdtext != null) { document.write(votdtext); } </script>
// BibleGateway.com - <script language="JavaScript" src="http://www.biblegateway.com/usage/votd/votd2html.php?version='.'$BIBLE_INTERNET_LIST[$BIBLE_VERSION].'&amp;jscript=1"></script>
//					 <noscript><a href="http://www.biblegateway.com/usage/votd/votd2html.php?version='.'$BIBLE_INTERNET_LIST[$BIBLE_VERSION].'&amp;jscript=0">View Verse of the Day</a></noscript>

static $BIBLE_VERSE_SITE = '<script language="JavaScript" src="http://www.biblegateway.com/usage/votd/votd2html.php?version=50&amp;jscript=1"></script>
					       <noscript><a href="http://www.biblegateway.com/usage/votd/votd2html.php?version=50&amp;jscript=0">View Verse of the Day</a></noscript>';

//Constants used for New Believer Resources & Gospel
static $NEW_BELIEVER_FILE = "newbeliever.php";
static $NEW_BELIEVER_PDF  = "newbeliever/newbeliever.pdf";
static $NEW_BELIEVER_TXT  = "newbeliever/newbeliever.txt";
static $GOSPEL_FILE       = "flash/gospel/gospel.html";

//Constants used for Resource
static $RESOURCE_FILE 	= "resources.php";

//Constants used for Resource
static $HELP_FILE 	= "help.php";

//Constants used for Library
static $LIBRARY_DIR     = "library/";
static $LIBRARY_FILE    = "index.php";
                           
//Constants used for Support
static $SUPPORT_FILE            = "support.php";
static $PAY_PAL_USER_NAME		= "";
static $PAY_PAL_ITEM_NAME		= "";
static $PAY_PAL_ITEM_NUMBER 	= "";
static $PAY_PAL_DONATION_NOTE 	= "Donation Note";
static $PAY_PAL_CURRENCY_CODE   = "USD";

// Constants used to buy a CD
static $BUYCD_ITEM_NAME		= "worshipcd";
static $BUYCD_LIST			= array();
static $BUYCD_FILE			= "buycd.php";
static $BUYCD_NOTE			= "Worship Music CD Note";

//Constants used for Bible Trivia
static $BIBLE_TRIVIA_FILE = "bibletrivia.php";

//Constants used for Devotional
static $DEVOTIONAL_FILE = "devotional.php";
static $SHOW_PDF_DL		= 1;
static $PDF_CLASS		= "ezpdf/class.ezpdf.php";
static $PDF_FONT_DIR	= "ezpdf/fonts/";

//Constants used for Mailing Lists
static $MAILING_LIST_DIR 	= "mailinglist/";
static $MAILING_LIST_FILE	= "index.php";
static $ML_SUBSCRIBE_FILE	= "subscribe.php";
static $ML_ADMIN_FILE		= "admin.php";
       $MAILING_LIST_ATTACH_FOLDER = $SERVER_DIRECTORY.$MEDIA_PATH."mlattach/";

// Constants used for Ministry files
// To stop Hard Questions from showing up
// just change HQ_INTRO to ""
static $MINISTRY_DIR       = "about/";
static $MINISTRY_FILE      = "index.php";
static $SHOW_MINISTRY_HARD_QUESTION = 0;

// Constants used for Calendar locations
static $CALENDAR_PATH       = "calendar/";
static $MONTH_CAL_FILE      = "moncal.php";
static $WEEK_CAL_FILE       = "index.php";
static $DAY_CAL_FILE        = "daycal.php";
static $ITEM_CAL_FILE       = "eventdesc.php";
static $CALENDAR_INCLUDE    = "calendar.php";
static $DEFAULT_CAL_FILE    = "index.php";
static $SEND_INFO_CAL_FILE  = "sendinfo.php";
static $NUM_DAYS_MAIN       = 2;
static $HOURS_LATENCY_MAIN  = 4;

// Constants used for Home Groups
static $SHOW_HOME_GROUP_TABLE  		= 1;
static $SHOW_HOME_GROUP_SERIES_CAL 	= 0;

// Constants used for Grouping of Studies
// DB studies items must be changed to match what is here.
// Name mappings are in the strings file
static $STUDIES_LIST_MAP = array(0=>array("Large Group"),
                            2=>array("Bible Study","Bible College"),
                            1=>array("Small Group","Meeting","Special Event","Fellowship"),
                            3=>array("Home Group"));

// Constants used for Location files
static $LOCATION_DIR       = "location/";
static $LOCATION_FILE      = "index.php";
static $LOCATION_INCLUDE   = "location.php";

// Constants used for Contact files
static $CONTACT_DIR        = "contact/";
static $CONTACT_FILE       = "index.php";
static $CONTACT_INCLUDE    = "contact.php";
static $CONTACT_TITLE_ORDER= array("Pastor","Asst. Pastor");

// Constants used for Music files
static $MUSIC_DIR    = "music/";
static $MUSIC_FILE   = "index.php";
static $MP3_DIR      = "mp3/";
static $LYRICS_DIR   = "lyrics/";
static $CHORDS_DIR   = "chords/";

// Constants used for Messages files
static $MESSAGES_DIR            = "messages/";
static $MESSAGES_FILE           = "index.php";

// Constants used for Ordering Tapes/CDs of Messages
static $SHOW_ORDER_MESSAGE			= 0;
static $ORDER_MESSAGE_ITEM_NAME		= "ordermessage";
static $ORDER_MESSAGE_FILE			= "ordermessage.php";
static $ORDER_MESSAGE_NOTE			= "Audio Message Order Note";
static $ORDER_MESSAGE_FORMATS       = array('Tape','Audio CD','MP3 CD');
static $ORDER_MESSAGE_FORMAT_COSTS  = array('Tape'=>3.00,'Audio CD'=>4.00,'MP3 CD'=>4.00);
static $ORDER_MESSAGE_NON_COUNTRY_EXTRA_COST = 1.00;
static $ORDER_MESSAGE_ADMIN_EMAIL    = "ordermessage@ccshoreline.org";

// Constants used for Scripture Reference & Searches
static $USE_INTERNET_BIBLE_DB       = 1;
static $BIBLE_SHOW_FOOTNOTE         = "Yes";
static $BIBLE_SHOW_CROSS_REFERENCE  = "Yes";
static $BIBLE_TODAY_INDEX           = -51;
static $BIBLE_INTERNET_LIST         = array(
'NKJV'=>'50',
'NIV'=>'31',
'KJV'=>'9',
'NASB'=>'49',
'NLT'=>'51',
'MSG'=>'65',
'ESV'=>'47',
'ASV'=>'8',
'_'=>'______',
'Amplified'=>'45',
'CEV'=>'46',
'Darby'=>'16',
'Douay-Rheims'=>'63',
'HCS'=>'77',
'21st Century KJV'=>'48',
'NIV Readers'=>'76',
'NIV UK'=>'64',
'NLV'=>'74',
'WEB'=>'73',
'Wycliffe'=>'53',
'Youngs'=>'15',
'___'=>'______',
'Biblia en Lenguaje Senclillo'=>'57',
'Castillian'=>'41',
'Dios Habla Hoy'=>'58',
'La Biblia de las Americas'=>'59',
'NIV espanol'=>'42',
'Reina-Valera Antigua'=>'6',
'Reina-Valera 1960'=>'60',
'Reina-Valera 1995'=>'61',
'_____'=>'______',
'La Bible du Semeur'=>'32',
'Louis Segond'=>'2',
'______'=>'______',
'1550 Stephanus'=>'69',
'1894 Scrivener'=>'70',
'1881 Westcott-Hort'=>'68',
'_______'=>'______',
'Conferenza Episcopale Italiana'=>'3',
'Lingua Moderna'=>'34',
'La Nuaova Diodati'=>'55',
'_________'=>'______',
'Det Norsk Bibelselskap 1930'=>'5',
'Levande Bibeln'=>'35',
'__________'=>'______',
'Joao Ferrera de Almeida Atualizada'=>'25',
'Nova Versao Internacional'=>'36',
'O Livro'=>'37',
'____________'=>'______',
'Russian Synodal Version'=>'13',
'Slovo Zhizny'=>'39',
'_____________'=>'______',
'Svenska 1917'=>'7',
'Levande Bibeln'=>'44',
'__'=>'______',
'Arabic'=>'28',
'Bulgarian'=>'21',
'Kreyol'=>'23',
'Cestina'=>'29',
'Dansk'=>'11',
'Deutsch'=>'10',
'Hiligaynon'=>'71',
'Croatian'=>'62',
'Hungarian'=>'17',
'Icelandic'=>'18',
'Korean'=>'20',
'Latina'=>'4',
'Maori'=>'24',
'Plautdetsch'=>'56',
'Nederlands'=>'30',
'Polski'=>'12',
'Romanian'=>'38',
'Slovencina'=>'40',
'Albanian'=>'1',
'Swahili'=>'75',
'Tagalog'=>'43',
'Vietnamese'=>'19',
'Chinese'=>'22'
);

// Constants used for Picture Gallery
static $PICTURE_DIR					= "gallery/";
static $PICTURE_FILE				= "index.php";

// Constants used for Multimedia
// Transfer rates are approximate averages
// Number of files to be shown on main are
// for video and audio each.
static $MULTIMEDIA_DIR				= "multimedia/";
static $MULTIMEDIA_FILE				= "index.php";
static $MODEM_TRANSFER_RATE         = 6250;
static $BROADBAND_TRANSFER_RATE     = 45000;
static $NUM_FILES_SHOW_MAIN         = 5;
static $MULTIMEIDA_NUM_NEW          = 8;
static $SHOW_ASK_HARD_QUESTION		= 0;
static $SHOW_FILESIZE_IN_LIST		= 0;

// Contstants used for Prayer
static $PRAYER_DIR					= "prayer/";
static $PRAYER_FILE					= "index.php";

// Navigation Links
// Headings in strings file
$TOP_NAVIGATION_LINKS =
    array(1=>$HTTP_DOCUMENT_ROOT,
          2=>array(0=>$HTTP_DOCUMENT_ROOT.$MINISTRY_DIR.$MINISTRY_FILE,
                   1=>array(0=>$HTTP_DOCUMENT_ROOT.$MINISTRY_DIR.$MINISTRY_FILE,
                            1=>$HTTP_DOCUMENT_ROOT.$CONTACT_DIR.$CONTACT_FILE,
                            2=>$HTTP_DOCUMENT_ROOT.$FEEDBACK_FILE)),
          3=>array(0=>$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.$DEFAULT_CAL_FILE,
                   1=>array(0=>$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.$MONTH_CAL_FILE,
                               1=>$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.$WEEK_CAL_FILE,
                               2=>$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.$DAY_CAL_FILE)),
          4=>array(0=>$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.$STUDIES_FILE,
                   1=>array(0=>$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.$DAY_CAL_FILE,
                            1=>$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.$WEEK_CAL_FILE,
                            2=>$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.$MONTH_CAL_FILE,
                            3=>$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.$STUDIES_FILE,
                            4=>$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.$STUDIES_FILE,
                            5=>$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.$STUDIES_FILE,
                            6=>$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.$STUDIES_FILE)),
          5=>$HTTP_DOCUMENT_ROOT.$LOCATION_DIR.$LOCATION_FILE,
          6=>$HTTP_DOCUMENT_ROOT.$CONTACT_DIR.$CONTACT_FILE,
          7=>array(0=>$HTTP_DOCUMENT_ROOT.$MUSIC_DIR.$MUSIC_FILE,
                   1=>array(0=>$HTTP_DOCUMENT_ROOT.$MUSIC_DIR.$MUSIC_FILE.'?all=yes')),
          8=>array(0=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE,
                   1=>array(0=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE,
                            1=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE.'?all=yes&type=book',
                            2=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE.'?all=yes&type=topic',
                            3=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE.'?all=yes&type=date')),
          9=>array(0=>$HTTP_DOCUMENT_ROOT.$PICTURE_DIR.$PICTURE_FILE,
                   1=>array()),
          10=>array(0=>$HTTP_DOCUMENT_ROOT.$MULTIMEDIA_DIR.$MULTIMEDIA_FILE,
                    1=>array(0=>$HTTP_DOCUMENT_ROOT.$MULTIMEDIA_DIR.$MULTIMEDIA_FILE.'?type=audio&listtype=new',
                             1=>$HTTP_DOCUMENT_ROOT.$MULTIMEDIA_DIR.$MULTIMEDIA_FILE.'?type=audio&listtype=hq',
                             2=>$HTTP_DOCUMENT_ROOT.$MULTIMEDIA_DIR.$MULTIMEDIA_FILE)),
          11=>array(0=>$HTTP_DOCUMENT_ROOT.$PRAYER_DIR.$PRAYER_FILE,
                    1=>array(0=>$HTTP_DOCUMENT_ROOT.$PRAYER_DIR.$PRAYER_FILE.'?list=yes',
                             1=>$HTTP_DOCUMENT_ROOT.$PRAYER_DIR.$PRAYER_FILE.'?add=yes'))
    );
$BOTTOM_NAVIGATION_LINKS =
    array(1=>$HTTP_DOCUMENT_ROOT.$DEVOTIONAL_FILE,
          2=>$HTTP_DOCUMENT_ROOT.$MAILING_LIST_DIR.$MAILING_LIST_FILE,
          3=>$HTTP_DOCUMENT_ROOT.$RESOURCE_FILE,
          4=>$HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.$LIBRARY_FILE,
          5=>$HTTP_DOCUMENT_ROOT.$SUPPORT_FILE,
          6=>$HTTP_DOCUMENT_ROOT.$FEEDBACK_FILE,
          7=>$HTTP_DOCUMENT_ROOT.$HELP_FILE
    );
?>