<?php 
/**
 * <b>Contact Section</b><br />
 * The contact section lists the main contacts and details of each contact.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.1
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }
require_once ($SERVER_DIRECTORY.$INCLUDE_PATH.$CONTACT_INCLUDE); 

$smarty = UtilSmarty::createSmarty();
$con_inc = new Contact();
$db = new Database();
$db_contact = $db->GetClass('contact');
$id="";
$showall="";
$showgroups="";

$smarty->assign('adminbar_section_name',$S_CONTACT);
$smarty->assign('adminbar_section_add','contact');

if(getenv("QUERY_STRING")) { 
	if(isset($_GET['id'])) {$id = $_GET['id'];} 
    if(isset($_GET['showall'])) {$showall = $_GET['showall'];} 
    if(isset($_GET['showgroups'])) {$showgroups = $_GET['showgroups'];}
	$item = $db_contact->GetContactData($id);
	$pagesubtitle = $con_inc->conFormatName($item);
} 
else { $pagesubtitle = $S_OFFICE; }
        
	require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
    "?pagetitle=".str_replace(" ","%20",htmlentities($S_CONTACT)).
	"&pagesubtitle=".str_replace(" ","%20",htmlentities($pagesubtitle)).
    "&pagedesc=".str_replace(" ","%20",htmlentities($CHURCH_NAME." ".$S_DESC_CONTACT)); 

     $smarty->assign('sidesections',array($con_inc->conHeader("con")));
     $smarty->assign('textsections',array(array('Title'=>$S_CONTACT,
                                                'Text'=>$CONTACT_INFO)));
      if($id != "") { 
         $smarty->assign('adminitem_id',$id);
         $value =& $db_contact->GetContactData($id);
         $smarty->assign('adminitem_title',$value->Title);
         $smarty->assign('printtable',$con_inc->ContactData($id));
      }
      else if ($showall != "") { 
        $listing = $db_contact->GetContacts();
        $listelements = array();
        foreach($listing as $item) {
            $listelements[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$CONTACT_DIR.$CONTACT_FILE."?id=".$item->ID,
            'Title'=>$con_inc->conFormatName($item),'ID'=>$item->ID);
        }
        $smarty->assign('listelements',$listelements);
      }
      else if ($showgroups != "") { 
        $smarty->assign('adminbar_section_name',$S_CONTACT_GROUP);
        $smarty->assign('adminbar_section_add','contactgroup');
        $listing = $db_contact->GetContactGroups();
        $listelements = array();
        foreach($listing as $item) {
            $listelements[] = array('Title'=>$item->Name,'ID'=>$item->ID);
        }
        $smarty->assign('listelements',$listelements);
      }
      else { 
         $smarty->assign('introstatements',array(array('Title'=>$S_CONTACT." ".$CHURCH_NAME,
                                                       'Text'=>$CONTACT_INTRO.$CONTACT_INFO)));
      }
      UtilSmarty::displaySectionPage($smarty);
?>
<?php require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER; ?>
