<?php 
/**
 * <b>Feedback Form</b><br />
 * HTML based form for contacting people or ministries.
 * Accepts HTTP Get parameters for selecting ministry or person.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.3
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }

	$db = new Database(); 
	$db_contact = $db->GetClass('contact');
    $smarty = UtilSmarty::createSmarty();

require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
"?pagetitle=".str_replace(" ","%20",htmlentities($S_CONTACT." ".$S_FORM)).
"&pagedesc=".str_replace(" ","%20",htmlentities($CHURCH_NAME." ".$S_DESC_CONTACT)); 

	   $smarty->assign('heading',$S_CONTACT." ".$CHURCH_NAME); 
        
        if(count($_POST) > 0) {
               $subject="";$toemail="";$fromemail="";$message="";$location="";$personname="";$toname="";
               if(isset($_POST['subject'])) {
               		$subject = "Feedback Form: ".stripslashes($_POST['subject']);}
               if(isset($_POST['name'])) { $personname = stripslashes($_POST['name']); }
               if(isset($_POST['toemail'])) {$toemail = $_POST['toemail'];}
               if(isset($_POST['fromemail'])) {$fromemail = $_POST['fromemail'];}
               if(isset($_POST['message'])) {$message = stripslashes($_POST['message']);}
               if(isset($_POST['location'])) {$location = stripslashes($_POST['location']);}
               if(isset($_POST['toname'])) {$toname = stripslashes($_POST['toname']);}
               if(substr($toemail,0,1) == 'C') { 
                   $contactperson = $db_contact->GetContactData(substr($toemail,1));
                   $toemail = $contactperson->Email;
                   if($contactperson->ShowMainTitle) { $toname .= $contactperson->Title." "; }
                   if($contactperson->ShowMainFirstName) { $toname .= $contactperson->First." "; }
                   if($contactperson->ShowMainLastName) { $toname .= $contactperson->Last; }
               }
               else { 
                   $toname = array_search(intval($toemail),$FEEDBACK_LIST);
                   $toemail = $FEEDBACK_EMAILS[$toemail];
               }
               
               $message = $S_FROM.": ".$personname."\r\n\r\n".$S_TO.": ".$toname."\r\n\r\n".
               $message."\r\n\r\n".$S_LOCATION.": ".$location;
            
         if( mail($toemail, $subject, $message,
                   "From: ".$fromemail."\r\n"
                   ."Reply-To: ".$fromemail."\r\n"
                   ."X-Mailer: PHP/" . phpversion())) {
             $smarty->assign('notice',$N_MSG_SENT_TO." ".$toname.", ".$S_THANK_YOU."!");
             $smarty->assign('returnlink',array('LinkPath'=>$HTTP_DOCUMENT_ROOT,
                                                'LinkText'=>$S_RETURN_SITE));
         }
         else { 
             $smarty->assign('error',$E_MAIL_SEND);
             $smarty->assign('returnlink',array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$FEEDBACK_FILE,
                                                'LinkText'=>$S_RETURN_FORM));
         }
}
else {
    $form = array();
    $formfields = array();
    $form['formname'] = "feedback";
    $form['formaction'] = $FEEDBACK_FILE;

    $formfields[] = array('type'=>'textinput','heading'=>$S_FORM_SUBJECT,'name'=>"Subject");
    $formfields[] = array('type'=>'textinput','heading'=>$S_FORM_NAME,'name'=>"Name");
    $formfields[] = array('type'=>'textinput','heading'=>$S_FORM_EMAIL,'name'=>"FromEmail");
    $formfields[] = array('type'=>'textinput','heading'=>$S_FORM_LOCATION,'name'=>"Location");

    $fname = "";
     if(isset($_GET['feedbackname'])) {
         $fname = $_GET['feedbackname'];
         $form['toptext'] = array('heading'=>$S_FORM_SEND_TO.": ",'text'=>$_GET['feedbackname']);
         $form['hiddeninputs'] = array(
            array('name'=>"ToEmail",'value'=>$FEEDBACK_LIST[$_GET['feedbackname']]),
            array('name'=>"ToName",'value'=>$_GET['feedbackname']));
     }
     else if(isset($_GET['id'])) { 
          $contact = $db_contact->GetContactData($_GET['id']);
          if($contact->ShowMainTitle) { $fname .= $contact->Title." "; }
          if($contact->ShowMainFirstName) { $fname .= $contact->First." "; }
          if($contact->ShowMainLastName) { $fname .= $contact->Last; }
          $fname = trim($fname);
          $form['toptext'] = array('heading'=>$S_FORM_SEND_TO.": ",'text'=>$fname);
          $form['hiddeninputs'] = array(
            array('name'=>"ToEmail",'value'=>"C".$contact->ID),
            array('name'=>"ToName",'value'=>$fname));
     }
     else { 
      $fname = $S_GENERAL_INFORMATION;
      $ministries =& $db_contact->GetFormContactData($GLOBALS['CONTACT_TITLE_ORDER'],0);
      $people =& $db_contact->GetFormContactData($GLOBALS['CONTACT_TITLE_ORDER'],1);
      $ministrylist = array();
      foreach($ministries as $value) {
          $full_name = "";
          if($value->ShowMainTitle) { $full_name .= $value->Title." "; }
          if($value->ShowMainFirstName) { $full_name .= $value->First." "; }
          if($value->ShowMainLastName) { $full_name .= $value->Last; }
          $full_name = trim($full_name);
          $ministrylist[$full_name] = 'C'.$value->ID;
      }
      $peoplelist = array();
      foreach($people as $person) {
          $full_name = "";
          if($person->ShowMainTitle) { $full_name .= $person->Title." "; }
          if($person->ShowMainFirstName) { $full_name .= $person->First." "; }
          if($person->ShowMainLastName) { $full_name .= $person->Last; }
          $full_name = trim($full_name);
          $peoplelist[$full_name] = 'C'.$person->ID;
      }
      $ministrytop = array($FEEDBACK_MIN_DELIM=>"0");
      $peopletop = array($FEEDBACK_PEOPLE_DELIM=>"0");
      $formcontacts = array_merge($FEEDBACK_LIST,$ministrylist);
      ksort($formcontacts);
      $formcontacts = array_merge($ministrytop,$formcontacts,$peopletop,$peoplelist);
      $prevcontact = "";
      $options = array();
      foreach($formcontacts as $ftopic => $femail) {
          if(strcmp($ftopic,$prevcontact) != 0) {
            if(strcasecmp($fname,$ftopic) == 0) { $selected = "yes"; }
            else { $selected = "no"; }
            $options[] = array('value'=>$femail,'selected'=>$selected,'text'=>$ftopic);
            $prevcontact = $ftopic;
          }
      } 
      $formfields[] = array('type'=>'selectarea','heading'=>$S_FORM_SEND_TO,'name'=>"ToEmail",'options'=>$options);
     }
     $formfields[] = array('type'=>'textbox','heading'=>$S_FORM_MESSAGE,'name'=>"Message",'cols'=>"60",'rows'=>"15");
     
     $form['formfields'] = $formfields;
     $formnote = $N_MSG_WAIT;
     if(strcasecmp($fname,$S_HARD_QUESTIONS) == 0) { $formnote .= "<br />".$S_NOTE_HARD_QUESTIONS; }
     $form['formnote'] = $formnote;
     $form['resetname'] =$S_FORM_RESET;
     $form['submitname'] = $S_FORM_SUBMIT;
     $smarty->assign('forms',array($form));
   }
 UtilSmarty::displaySectionPage($smarty,"no");
?>
<?php require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER; ?>
