<?php 
/**
 * <b>Help System</b><br />
 * The help system provides for frequently asked questions, site map, and site search.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }
      $db = new Database();
	  $db_main = $db->GetClass('main'); 
      $smarty = UtilSmarty::createSmarty();
	
	$cat="";$sitemap="";
	if($_GET) {
           if(isset($_GET['category'])) {$cat = $_GET['category'];}
           if(isset($_GET['sitemap'])) {$sitemap = $_GET['sitemap'];}
	}
		if($cat != "") { $pagesubtitle = $cat; }
        else if($sitemap != "") { $pagesubtitle = $S_SITE_MAP; }
		else { $pagesubtitle = ""; }
		             
		require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
		"?pagetitle=".str_replace(" ","%20",htmlentities($S_HELP_SYSTEM)).
		"&pagesubtitle=".str_replace(" ","%20",htmlentities($pagesubtitle)).
		"&pagedesc=".str_replace(" ","%20",htmlentities($CHURCH_NAME." ".$S_DESC_HELP)); 
		  
         $sidesections = array();
         $links = array();
         $categories = $db_main->GetFAQCategories();
         foreach($categories as $category) {
         	$links[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.
              $HELP_FILE."?category=".$category,'LinkText'=>$category);
         }
         $sidesections[] = array('Title'=>$S_HOW_TO."...",'Links'=>$links);
         $sidesections[] = array('Title'=>$S_SITE_TOOLS,'Links'=>
            array(array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$HELP_FILE."?sitemap=yes",
                        'LinkText'=>$S_SITE_MAP."</a></p>")));
         $smarty->assign('sidesections',$sidesections);
         
         if($SHOW_GOOGLE_SEARCH) { 
             $smarty->assign('searchtemplate',$SMARTY_TPL_SEARCH_BOX);
             UtilSmarty::setupSearchVars($smarty);
             $smarty->assign('searchboxsize',"25");
             $smarty->assign('showsitesearch',"yes"); }
         
         if($_GET) {
              if($cat != "") {
               $faqs = $db_main->GetFAQsByCategory($cat);
               $smarty->assign('heading',$cat);
               $listelements = array();
               foreach($faqs as $faq) {
                  $linktext = "";
               	  if($faq->Links != "") {
               	  	$links = explode(',',$faq->Links);
               	  	$linktext .= $S_LINK_S." ".$S_TO." ".$S_VIEW.": ";
               	  	$firstflg=1;
               	  	foreach($links as $pagelink) { 
               	  		if(!$firstflg) { $linktext .= "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;";
               	  						 $linktext .= "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;"; 
               	  						 $linktext .= "&nbsp; &nbsp; &nbsp; &nbsp; "; }
               	  		$linktext .= "<a href=\"".$pagelink."\">".wordwrap($pagelink,60,"<br />",1)."</a><br />";
               	  		$firstflg=0;
               	  	}
               	  }
                  $listelements[] = array('Title'=>$faq->Title,'SubText'=>$faq->Text."<br />".$linktext);
               }
               $smarty->assign('listelements',$listelements);
               $smarty->assign('boldlisttitle',"yes");
              }
              else if($sitemap == "yes") {
            	$smarty->assign('heading',$S_SITE_MAP);
                $text = "";
                $text .= '<a href="'.$HTTP_DOCUMENT_ROOT.'">'.$S_MAIN_SITE.'</a><br /><br />';
            	
                $text .= $S_MAIN_SECTIONS."<br />";
            	if($SHOW_MINISTRY) { $text .= '<ul><li /><a href="'.$HTTP_DOCUMENT_ROOT.$MINISTRY_DIR.$MINISTRY_FILE.'">'.$S_ABOUT.'</a></ul>'; }
            	if($SHOW_CALENDAR) { $text .= '<ul><li /><a href="'.$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.'">'.$S_CALENDAR.'</a>';
                    $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.$MONTH_CAL_FILE.'">'.$S_MONTH." ".$S_CALENDAR.'</a>'; 
                    $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.$WEEK_CAL_FILE.'">'.$S_WEEK." ".$S_CALENDAR.'</a>'; 
                    $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$CALENDAR_PATH.$DAY_CAL_FILE.'">'.$S_DAY." ".$S_CALENDAR.'</a></ul>'; }
            	if($SHOW_CONTACT) { $text .= '<ul><li /><a href="'.$HTTP_DOCUMENT_ROOT.$CONTACT_DIR.$CONTACT_FILE.'">'.$S_CONTACT.'</a></ul>'; }
            	if($SHOW_STUDIES) { $text .= '<ul><li /><a href="'.$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.$STUDIES_FILE.'">'.$S_EVENTS.'</a></ul>'; }
            	if($SHOW_MUSIC) { $text .= '<ul><li /><a href="'.$HTTP_DOCUMENT_ROOT.$MUSIC_DIR.$MUSIC_FILE.'">'.$S_WORSHIP_MUSIC.'</a></ul>'; }
            	if($SHOW_MESSAGES) { $text .= '<ul><li /><a href="'.$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE.'">'.$S_AUDIO_MESSAGES.'</a></ul>'; }
            	if($SHOW_PICTURES) { $text .= '<ul><li /><a href="'.$HTTP_DOCUMENT_ROOT.$PICTURE_DIR.$PICTURE_FILE.'">'.$S_PICTURES.'</a></ul>'; }
            	if($SHOW_MULTIMEDIA) { $text .= '<ul><li /><a href="'.$HTTP_DOCUMENT_ROOT.$MULTIMEDIA_DIR.$MULTIMEDIA_FILE.'">'.$S_MULTIMEDIA.'</a></ul>'; }
            	if($SHOW_PRAYER) { $text .= '<ul><li /><a href="'.$HTTP_DOCUMENT_ROOT.$PRAYER_DIR.$PRAYER_FILE.'">'.$S_PRAYER_REQUESTS.'</a></ul>'; }
            	
                $text .= "<br />Other Sections<br /><ul>";
                if($SHOW_BIBLE_TRIVIA) { $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$BIBLE_TRIVIA_FILE.'">'.$S_BIBLE_TRIVIA.'</a>'; }
                if($SHOW_FEEDBACK) { $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$FEEDBACK_FILE.'">'.$S_CONTACT." ".$S_US.'</a>'; }
                if($SHOW_DEVOTIONAL) { $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$DEVOTIONAL_FILE.'">'.$S_DEVOTIONALS.'</a>'; }
                if($SHOW_GOSPEL_SECTION) { $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$MEDIA_PATH.$GOSPEL_FILE.'">'.$GOSPEL_TITLE.'</a>'; }
                if($SHOW_HELP_SYSTEM) { $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$HELP_FILE.'">'.$S_HELP.'</a>'; }
                if($SHOW_LIBRARY) { $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.$LIBRARY_FILE.'">'.$S_LIBRARY." ".$S_CATALOG.'</a>'; }
                if($SHOW_MAILING_LIST) { $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$MAILING_LIST_DIR.$MAILING_LIST_FILE.'">'.$S_MAILING_LISTS.'</a>'; }
                if($SHOW_GOSPEL_SECTION) { $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$NEW_BELIEVER_FILE.'">'.$S_NEW_BELIEVER." ".$S_RESOURCES.'</a>'; }
            	if($SHOW_RESOURCES) { $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$RESOURCE_FILE.'">'.$S_RESOURCES.'</a>'; }
            	if($SHOW_SUPPORT) { $text .= '<li /><a href="'.$HTTP_DOCUMENT_ROOT.$SUPPORT_FILE.'">'.$S_SUPPORT." ".$S_US.'</a>'; }

                $text .= "</ul>";
            	
                $text .= "<br /><br />";
                $smarty->assign('text',$text);
              }
		 }
		 else {
            $smarty->assign('introstatements',array(array('Title'=>$S_HELP_SYSTEM,'Text'=>$HELP_INTRO)));
		 } 
    UtilSmarty::displaySectionPage($smarty);
?>
<?php require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER; ?>