<?php
/**
* <b>Contact Class</b><br />
* A collection of functions for working with contacts.
* Functions include formatting and display of contacts.
* @author Kristen O'Brien <kristen_paristemi-com>
* @copyright Copyright 2004, Kristen O'Brien
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @link http://www.paristemi.com Paristemi Main Site
* @package paristemi
* @subpackage paristemi_util
* @since Build 0.5
* @version Build 0.8
* @filesource
*/
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }
$db = new Database();
$db_contact = $db->GetClass('contact');
$smarty = UtilSmarty::createSmarty();

/**
* <b>Contact Class</b><br />
* A collection of functions for working with contacts.
* Functions include formatting and display of contacts.
* @author Kristen O'Brien <kristen_paristemi-com>
* @copyright Copyright 2004, Kristen O'Brien
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @link http://www.paristemi.com Paristemi Main Site
* @package paristemi
* @subpackage paristemi_util
* @since Build 0.5
* @version Build 0.8
* @filesource
*/
class Contact {

      function conFormatName($value) {
	     $full_name = "";
         if($value->ShowMainTitle) { $full_name .= $value->Title; }
         if($value->ShowMainFirstName) { $full_name .= " ".$value->First; }
         if($value->Middle != null) { $full_name .= " ".$value->Middle; }
         if($value->ShowMainLastName) { $full_name .= " ".$value->Last; }
		 return $full_name;
      }
    
      function &conSmallHeader($src)
      {
         $sidesection = array();
         $sidesection['Title'] = $GLOBALS['S_PEOPLE'];
         $data =& $GLOBALS['db_contact']->GetMainContactData($GLOBALS['CONTACT_TITLE_ORDER']);
         $sidesection['Links'] = array();
         foreach ($data as $value) {
            $full_name = $this->conFormatName($value);
            if($src == "con") {
                 $sidesection['Links'][] = array(
                        'LinkPath' => $GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['CONTACT_DIR'].
                                      $GLOBALS['CONTACT_FILE']."?contact=yes&amp;id=".$value->ID,
                        'LinkText' => $full_name);
            }
            else {
                $sidesection['Links'][] = array(
                         'LinkPath' => "?contact=yes&amp;id=".$value->ID,
                         'LinkText' => $full_name);
            }
         }
         if(adminCheck()) {
            $sidesection['Links'][] = array('LinkText'=>'break');
            $sidesection['Links'][] = array(
            'LinkPath' => $GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['CONTACT_DIR'].
                            $GLOBALS['CONTACT_FILE']."?contact=yes&amp;showall=yes",
            'LinkText' => $GLOBALS['S_LIST_ALL']);
            $sidesection['Links'][] = array(
            'LinkPath' => $GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['CONTACT_DIR'].
            $GLOBALS['CONTACT_FILE']."?contact=yes&amp;showgroups=yes",
            'LinkText' => $GLOBALS['S_CONTACT_GROUPS']);
         }
         return $sidesection;
      }
      
      
      function &conHeader($src)
      {
         return $this->conSmallHeader($src);
      }
      
      function ContactData($id)
      {
         $db_location = $GLOBALS['db']->GetClass('location');
         $value =& $GLOBALS['db_contact']->GetContactData($id);
         $tblarr = array();
         $tblclass = "tbl-listing";
         $tbltdclass = array("tbl-listing-title","tbl-listing-item","");
         $full_name = $this->conFormatName($value);
         $tblheader = "<h2>".$full_name."</h2>";
         if($value->ShowLocation) {
              $item =& $db_location->GetLocationData($value->LocationID);
              $addresstext = $item->Address."<br />";
              $phonetext = "";
             if($item->Phone != null) { 
                 $phone =& $item->Phone;
                 $phonetext = "(".substr($phone, 0, 3).")".substr($phone, 3, 3).
                         "-".substr($phone, 6,9)."<br />";
             }
             if($item->Address2 != null) { $addresstext .= $item->Address2."<br \>"; }
              array_push($tblarr,array($GLOBALS['S_ADDRESS'].'/'.$GLOBALS['S_PHONE'],$addresstext.
                $item->City.", ".$item->State." ".$item->Zip."<br />".$phonetext.
                UtilHtml::mapLink($item)));
         }
         if($value->ShowEmail) {
               array_push($tblarr,array($GLOBALS['S_EMAIL'],"<a href=\"".
                    $GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['CONTACT_FORM'].
                    "?id=".$value->ID."\">".
                    UtilFiles::createImageText($value->ID,'contact')."</a>"));
         }
         if($value->ShowPhoto) {
               $phototext = "<img src=\"".$value->PhotoLink."\" alt=\"".$full_name."\" class=\"biophoto\"\>";
         }
         else { $phototext = ""; }
         if($value->ShowBio) { $biotext = $value->Biography; }
         else { $biotext = ""; }
         return UtilHtml::createTable($tblarr,$tblheader,$tblclass,$phototext.$biotext,"",$tbltdclass);
      }
}
?>