<?php 
/**
 * <b>Database Class</b><br />
 * The database class is the container class for all database connectivity and functions.
 * Includes specific files based on current file directory and creates classes based on specified name.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
     
	  $link_dir = $SERVER_DIRECTORY.$INCLUDE_PATH.$DATABASE_PATH;
      
        // Database classes that need to be in memory
        // These are used for the drop down menu
        require_once ($link_dir.$DATABASE_LOCATION);
        require_once ($link_dir.$DATABASE_ABOUT);
        require_once ($link_dir.$DATABASE_CONTACT);
        require_once ($link_dir.$DATABASE_MUSIC); 
      
      // Depending on what the name of the directory is,
      // add the right database classes and files
      $dir = ltrim(dirname($_SERVER['SCRIPT_NAME'])).'/';
    
	  switch($dir) {
		case '/'.rtrim($SITE_DIRECTORY)
							: require_once ($link_dir.$DATABASE_MAIN); require_once ($link_dir.$DATABASE_CAL);
							  require_once ($link_dir.$DATABASE_MAILINGLIST); require_once($link_dir.$DATABASE_CONTACT);
                                require_once ($link_dir.$DATABASE_MESSAGES); require_once ($link_dir.$DATABASE_STUDIES); break;
		case '/'.rtrim($MINISTRY_DIR)	
							: require_once ($link_dir.$DATABASE_MULTIMEDIA); require_once ($link_dir.$DATABASE_STUDIES); break;
		case '/'.rtrim($CALENDAR_PATH)
							: require_once ($link_dir.$DATABASE_CAL); break;
		case '/'.rtrim($CONTACT_DIR)
							: break;
        case '/'.rtrim($LIBRARY_DIR)
                            : require_once ($link_dir.$DATABASE_LIBRARY); break;
		case '/'.rtrim($LOCATION_DIR)
							: break;
		case '/'.rtrim($MAILING_LIST_DIR)
							: require_once($link_dir.$DATABASE_MAILINGLIST); require_once($link_dir.$DATABASE_MAIN); break;
		case '/'.rtrim($MESSAGES_DIR)
							: require_once ($link_dir.$DATABASE_MESSAGES); require_once ($link_dir.$DATABASE_CAL); break;
		case '/'.rtrim($MULTIMEDIA_DIR)
							: require_once ($link_dir.$DATABASE_MULTIMEDIA); break;
		case '/'.rtrim($MUSIC_DIR)
							: break;
		case '/'.rtrim($PRAYER_DIR)
							: require_once ($link_dir.$DATABASE_PRAYER); break;
		case '/'.rtrim($STUDIES_DIR)
							: require_once ($link_dir.$DATABASE_STUDIES); require_once ($link_dir.$DATABASE_CAL); break;
		case '/'.rtrim($DATABASE_MODIFY)	
							: require_once ($link_dir.$DATABASE_CAL); require_once ($link_dir.$DATABASE_STUDIES); 
							  require_once ($link_dir.$DATABASE_MESSAGES); require_once($link_dir.$DATABASE_MODIFY); break;
		case '/'.rtrim($INCLUDE_PATH)	
							: require_once ($link_dir.$DATABASE_MAIN); 
							  require_once ($link_dir.$DATABASE_CAL); 
							  require_once ($link_dir.$DATABASE_MESSAGES); 
							  require_once ($link_dir.$DATABASE_MULTIMEDIA); 
							  require_once ($link_dir.$DATABASE_STUDIES);
							  require_once ($link_dir.$DATABASE_PRAYER); require_once ($link_dir.$DATABASE_LIBRARY);
							  require_once ($link_dir.$DATABASE_MAILINGLIST);
							  break;
        case '/'.rtrim($ADMIN_DIR)	
                              : require_once ($link_dir.$DATABASE_MAIN); 
                                require_once ($link_dir.$DATABASE_CAL); 
                                require_once ($link_dir.$DATABASE_MESSAGES); 
                                require_once ($link_dir.$DATABASE_MULTIMEDIA); 
                                require_once ($link_dir.$DATABASE_STUDIES);
                                require_once ($link_dir.$DATABASE_PRAYER); require_once ($link_dir.$DATABASE_LIBRARY);
                                require_once ($link_dir.$DATABASE_MAILINGLIST); require_once($link_dir.$DATABASE_MODIFY);
                                break;
		default				
							: require_once ($link_dir.$DATABASE_MAIN); 
                              require_once ($link_dir.$DATABASE_CAL); 
                              require_once ($link_dir.$DATABASE_MESSAGES); 
                              require_once ($link_dir.$DATABASE_MULTIMEDIA); 
                              require_once ($link_dir.$DATABASE_STUDIES);
                              require_once ($link_dir.$DATABASE_PRAYER); require_once ($link_dir.$DATABASE_LIBRARY);
                              require_once($link_dir.$DATABASE_MODIFY);
                              require_once ($link_dir.$DATABASE_MAILINGLIST);
                              break;
	  }
/**
 * <b>Database Class</b><br />
 * The database class is the container class for all database connectivity and functions.
 * Includes specific files based on current file directory and creates classes based on specified name.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class Database {
    var $Link;
    
    /**
     * Opens a connection to the database.<br />
     * Example:
     * <code>$db = new Database();</code>
     */
    function Database($server=null,$user=null,$pass=null,$dbname=null) {
        if($server == null) { $server = $GLOBALS['DATABASE_SERVER']; }
        if($user == null) { $user = $GLOBALS['DATABASE_USER']; }
        if($pass == null) { $pass = $GLOBALS['DATABASE_PASS']; }
        if($dbname == null) { $dbname = $GLOBALS['DATABASE_NAME']; }
        
        // Fallthrough if constants file isn't read for some reason
        // Important for external software like Gallery 
        if($server == null) { $server = 'localhost'; }
        if($user == null) { $user = ''; }
        if($pass == null) { $pass = ''; }
        if($dbname == null) { $dbname = ''; }
        
        $this->Link = mysql_connect($server,$user,$pass)
            or $this->Error('Unable to connect to db server.');
        mysql_select_db($dbname) or $this->Error('Unable to select db - '.$dbname.$server);
    }

    /**
     * Only needed if you want to reconnect to a different database.  Otherwise
     * the call to mysql_close() occurs when the connection dies.
     */
    function Close() {
        mysql_close($this->Link);
    }


    /**
     * For internal use.<br />
     * Example:
     * <code>$this->Error('some string');</code>
     */
    function Error($str) {
        die($str);
    }
    
    /**
     * Get the database class object for the specified class name.<br />
     * Example:
     * <code>$db->GetClass('cal');</code>
     * @param string $classname The lowercase class name without the preceding "DB_".
     * @return object The class object for the specified name.
     */
    function GetClass($classname) {
    	switch($classname) {
    		case 'main' 		    : return new DB_Main(); break;
    		case 'about' 		: return new DB_About(); break;
    		case 'cal' 			: return new DB_Cal(); break;
    		case 'contact' 		: return new DB_Contact(); break;
        case 'library'        : return new DB_Library(); break;
    		case 'location' 	    : return new DB_Location(); break;
    		case 'mailinglist'	: return new DB_MailingList(); break;
    		case 'messages' 	    : return new DB_Messages(); break;
    		case 'multimedia' 	: return new DB_Multimedia(); break;
    		case 'music' 		: return new DB_Music(); break;
    		case 'prayer'		: return new DB_Prayer(); break;
    		case 'studies' 		: return new DB_Studies(); break;
        case 'admin'          : return new DatabaseModify(); break;
    	}
    }
}

?>