<?php
/**
 * <b>Database Class : Calendar</b><br />
 * Provides all database access methods for the calendar section
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
/**
 * <b>Database Class : Calendar</b><br />
 * Provides all database access methods for the calendar section
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class DB_Cal {	
	
	function DB_Cal() { }
  
    // Same code as in calendar include, but repeated so that this file can stand
    // alone from all of the other code
    function &incDay ($today)
      {
			$total_days = getdate(mktime(0,0,0,$today['mon']+1,1,$today['year'])-1);
         if($today['mday']++ > $total_days) {
            if($today['mon']++ > 12) {
               $next_day = getdate(mktime(0,0,0,1,1,$today['year']++));
            }
            else {
               $next_day = getdate(mktime(0,0,0,$today['mon']++,1,$today['year']));
            }
         }
         else {
            $next_day = getdate(mktime(0,0,0,$today['mon'],$today['mday']++,$today['year']));
         }
         return $next_day;
      }

    function &GetMonthData(&$date) {
        $data = Array();

        $month = $date['mon'];
        $year = $date['year'];
        $nextmonth = $month+1;
        $nextyear = $year;
        if($nextmonth > 12) { $nextmonth = 1; $nextyear++; }
        $starttimestamp = mktime(0,0,0,$month,1,$year);
        $stoptimestamp = mktime(0,0,0,$nextmonth,1,$nextyear)-1;

        $result = mysql_query("select I.ID, I.Type, I.Start, I.Stop, I.Recursive, I.RecEnd, I.RecDay, I.Title
             from paristemi_bt_event I
              where (((year(I.Start) = $year or year(I.Stop) = $year)
                     and (month(I.Start) = $month or month(I.Stop) = $month))
                   or ((unix_timestamp(I.Start) <= $stoptimestamp) and (unix_timestamp(I.RecEnd) >= $starttimestamp)
                        and (I.Recursive = 1)))
            order by I.Start");
            

        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
            // Get The First Series MeetByMonthDays
            $result2 = mysql_query("select SeriesID from paristemi_rt_event_to_series
								   where EventID = ".$row['ID']." limit 1;");
            $row2 = mysql_fetch_array($result2, MYSQL_ASSOC);
            $result3 = mysql_query("select MeetByMonthDays from paristemi_bt_series
            							where ID = ".$row2['SeriesID']." limit 1;");
            $row3 = mysql_fetch_array($result3, MYSQL_ASSOC);
            $meetbymonthdays = $row3['MeetByMonthDays'];
            		
           $start = getdate(strtotime($row['Start']));
           $stop = getdate(strtotime($row['Stop']));
           $itemstartstamp = strtotime($row['Start']);
           if($row['Recursive']) {
             $recendstamp = strtotime($row['RecEnd']);
             $end_month = getdate($stoptimestamp); 
             if($meetbymonthdays==0) { $meetdays=0; }
             else { $meetdays = explode(',',$meetbymonthdays); }
              for ($day = 1; $day <= $end_month['mday']; $day++) {
                 $thisday = getdate(mktime(0,0,0,$month,$day,$year));
                 $thisdaystamp = mktime(59,59,23,$month,$day,$year);
                 $thisdaystartstamp = mktime(0,0,0,$month,$day,$year);
                 if($thisday['weekday'] == $row['RecDay'] && $itemstartstamp <= $thisdaystamp) {
                    if($thisdaystartstamp <= $recendstamp) { 
                    	if($meetdays == 0) {
                    		$data[] = new MonthData($row['ID'], $row['Type'], $thisday['mday'], $row['Title']);
                    	}
                    	else{
                    		$dayarr = array(); $mkr = $day;
                			while($mkr > 0) { $mkr = $mkr-7; }
                			$i=$mkr; while($i<=$end_month['mday']) { $dayarr[]=$i;$i=$i+7; }
                			foreach($meetdays as $meetingdays) {
                   				if($dayarr[$meetingdays] == $day) { 
                    				$data[] = new MonthData($row['ID'], $row['Type'], $thisday['mday'], $row['Title']); 
                   				}
                			}
                    	}
                    }
                 }
              }
           }
           else {
               if($start['mday'] == $stop['mday']) {
                 $data[] = new MonthData($row['ID'], $row['Type'], $start['mday'], $row['Title']);
               }
               else {
                   if($start['mon'] != $month) {
                     $itemstamp = mktime(0,0,0,$month,1,$year);
                   }
                   else { $itemstamp = mktime(0,0,0,$start['mon'],$start['mday'],$start['year']); }
                   $itemstampdate = getdate($itemstamp);
                   $itemstopstamp = mktime(0,0,0,$stop['mon'],$stop['mday'],$stop['year']);
                   while($itemstamp <= $itemstopstamp && $itemstamp <= $stoptimestamp) {
                       $data[] = new MonthData($row['ID'], $row['Type'], $itemstampdate['mday'], $row['Title']);
                       $itemstampdate = $this->incDay(getdate($itemstamp));
                       $itemstamp = $itemstampdate[0];
                   }
               }
           }
        }
        $tempfunction = create_function('$event1,$event2',
                                'return strcmp($event1->Day,$event2->Day);');
        usort($data,$tempfunction);
        return $data;
    }

   //Pass it the first and last date inclusively.
    //Doesn't work for recursive items that don't meet 4 times a month
    function &GetWeekDataNoRec(&$first, &$last) {
        $data = Array();
        $datatemp = Array();
        $datatemp2 = Array();

        $firststamp = mktime(0, 0, 0, $first['mon'], $first['mday'],$first['year']);
        $laststamp  = mktime(23, 59, 59, $last['mon'], $last['mday'],$last['year']);
        

        $result = mysql_query("select I.ID, I.Type, I.Title, I.Start, I.Stop, I.Recursive
             from paristemi_bt_event I
             where I.Recursive < 1 
             	and (unix_timestamp(I.Start) <= $laststamp) and (unix_timestamp(I.Stop) >= $firststamp)
            order by I.Start");

        while ($item = mysql_fetch_array($result, MYSQL_ASSOC)) {
            $id = $item['ID'];
            
            // Get The Series Data
            $result2 = mysql_query("select SeriesID from paristemi_rt_event_to_series
                                   where EventID = ".$id.";");
            $seriesarr = Array();
            while ($row2 = mysql_fetch_array($result2, MYSQL_ASSOC)) {
                if($row2['SeriesID'] != 0) {
                    $result3 = mysql_query("select ID, Title, 
            								time_format(Start,'%l:%i %p') as Start,
            								time_format(Stop,'%l:%i %p') as Stop, 
            								ShowItem, MeetByMonthDays
            						  	  from paristemi_bt_series
                                        where ID = ".$row2['SeriesID']." limit 1;");
                    $row3 = mysql_fetch_array($result3, MYSQL_ASSOC);
                    $seriesarr[] = new SeriesData($row3['ID'], $row3['Title'], $row3['Start'],
                                            $row3['Stop'], $row3['ShowItem'], $row3['MeetByMonthDays']);
                }
            }
            
            $itemstart = getdate(strtotime($item['Start']));
            $itemstop = getdate(strtotime($item['Stop']));
            $data[] = new WeekData($item['ID'], $item['Type'], $item['Title'],
                                  $itemstart, $itemstop, $item['Recursive'],
                                  $seriesarr);
        }
        return $data;
    }


    //Pass it the first and last date inclusively.
    function &GetWeekData(&$first, &$last, $daystart=1) {
        $data = Array();
        if($daystart) {
        	$firststamp = mktime(0, 0, 0, $first['mon'], $first['mday'],$first['year']); }
        else { $firststamp = mktime($first['hours'],$first['minutes'],$first['seconds'],
        							 $first['mon'],$first['mday'],$first['year'])+3600; }
        $laststamp  = mktime(23, 59, 59, $last['mon'], $last['mday'],$last['year']);
		$lastday = getdate($laststamp);
        $nextmonth = $last['mon']+1;
        $nextyear = $last['year'];
        if($nextmonth > 12) { $nextmonth = 1; $nextyear++; }
        $endmonth = getdate(mktime(0,0,0,$nextmonth,1,$nextyear)-1);
        
		$datatemp = Array();
        $result = mysql_query("select I.ID, I.Type,
        I.Title, I.Start, I.Stop, I.Recursive, I.RecDay, I.RecEnd
        from paristemi_bt_event I
        where (((unix_timestamp(I.Start) <= $laststamp) and (unix_timestamp(I.Stop) >= $firststamp))
        or ((unix_timestamp(I.Start) <= $laststamp) and (unix_timestamp(I.RecEnd) >= $firststamp)
        and (I.Recursive = 1)))
        order by I.Start");
        echo $string;
      
      if($result) {
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
            $id = $row['ID'];
            // Get The Series Data
            $result2 = mysql_query("select SeriesID from paristemi_rt_event_to_series
                                   where EventID = ".$id.";");
            $seriesarr = Array();
            while ($row2 = mysql_fetch_array($result2, MYSQL_ASSOC)) {
                if($row2['SeriesID'] != 0) {
                    $result3 = mysql_query("select ID, Title, 
                                            time_format(Start,'%l:%i %p') as Start,
                                            time_format(Stop,'%l:%i %p') as Stop, 
                                            ShowItem, MeetByMonthDays
                                          from paristemi_bt_series
                                        where ID = ".$row2['SeriesID']." limit 1;");
                    $row3 = mysql_fetch_array($result3, MYSQL_ASSOC);
                    $seriesarr[] = new SeriesData($row3['ID'], $row3['Title'], $row3['Start'],
                                            $row3['Stop'], $row3['ShowItem'], $row3['MeetByMonthDays']);
                }
            }
            $row['SeriesArr'] = $seriesarr;
            $datatemp[] = $row;
        }
		$datacount = count($datatemp);
        $daymkr = $first;
        $mytime = $firststamp;
		$timearr = array();
		while($mytime <= $laststamp) {
			$timearr[] = $daymkr;
            $daymkr = $this->incDay($daymkr);
            $mytime = mktime(0, 0, 0, $daymkr['mon'], $daymkr['mday'],$daymkr['year']);
		}
		foreach($timearr as $thisday) {
			for($i = 0; $i < $datacount; $i++) {
				$item = $datatemp[$i];
				$itemstart = getdate(strtotime($item['Start']));
                $itemstop = getdate(strtotime($item['Stop']));
				$itemstime = mktime(0, 0, 0, $itemstart['mon'], $itemstart['mday'],$itemstart['year']);
				if(!$item['Recursive']) {
                  if($itemstart['mday'] == $itemstop['mday']) {
                   if($itemstart['mday'] == $thisday['mday'] && $itemstart['mon'] == $thisday['mon']) { 
                    $data[] = new WeekData($item['ID'], $item['Type'], $item['Title'],
                                  $itemstart, $itemstop, $item['Recursive'], $item['SeriesArr']);
                   }
                  }
                  else {
                      if($itemstart['mon'] != $thisday['mon']) {
                        $itemstamp = mktime(0,0,0,$thisday['mon'],1,$thisday['year']);
                      }
                      else { $itemstamp = mktime(0,0,0,$itemstart['mon'],$itemstart['mday'],$itemstart['year']); }
                     $itemstampdate = getdate($itemstamp);
                     $itemstopstamp = mktime(0,0,0,$itemstop['mon'],$itemstop['mday'],$itemstop['year']);
                     while($itemstamp <= $itemstopstamp && $itemstamp <= $laststamp) {
                       if($itemstampdate['mday'] == $thisday['mday']) {
                         $data[] = new WeekData($item['ID'],$item['Type'],$item['Title'],getdate($itemstamp),
                                                getdate($itemstopstamp), $item['Recursive'], $item['SeriesArr']);
                       }
                       $itemstampdate = $this->incDay(getdate($itemstamp));
                       $itemstamp = $itemstampdate[0];
                     }
                  }
				}
				else if ((strcasecmp($thisday['weekday'],$item['RecDay']) == 0) 
                            && ($item['Recursive']) 
                            && (strtotime($item['RecEnd']) > $thisday[0])) {
                 	$dayarr = array(); $day= $thisday['mday']; $mkr = $day; $addflg=false;
                     $meetbymonthdays = 0;
                     if(isset($item['SeriesArr'][0]) && $item['SeriesArr'][0]->ID != 0) { $meetbymonthdays = $item['SeriesArr'][0]->MeetByMonth; }
                 	if($meetbymonthdays==0) { $addflg = true; }
                 	else {
                 		$meetdays = explode(',',$meetbymonthdays);
                 		while($mkr > 0) { $mkr = $mkr-7; }
                 		$j=$mkr; while($j<=$endmonth['mday']) { $dayarr[]=$j;$j=$j+7; }
                 		foreach($meetdays as $meetingdays) {
                 			if($dayarr[$meetingdays] == $day) { $addflg=true; }
                 		}
                 	}
                 	if($addflg) {
                        $datestamp = mktime($itemstart['hours'],
                                            $itemstart['minutes'],0,$thisday['mon'],
                                            $thisday['mday'],$thisday['year']);
            	 		$date = getdate($datestamp);
                       if($datestamp >= $firststamp) {
                     	   $data[] = new WeekData($item['ID'], $item['Type'], $item['Title'],
                                            $date,$itemstop,$item['Recursive'],$item['SeriesArr']);
                       }
                 	}
				}
            }
        }
      }
		$tempfunction = create_function('$event1,$event2',
								'return strcmp($event1->Start[0],$event2->Start[0]);');
		usort($data,$tempfunction);
        return $data;
    }

    // Pass the date
    // Returns ID only
    function &GetDayData(&$day) {
        $data = Array();

        $begindaystamp = mktime(0, 0, 0, $day['mon'], $day['mday'], $day['year']);
        $enddaystamp  = mktime(23, 59, 59, $day['mon'], $day['mday'], $day['year']);
        $weekday = $day['weekday'];

        $result = mysql_query("select I.ID, I.Start, I.Recursive, I.RecDay, I.RecEnd
                    from paristemi_bt_event I
                    where ((($begindaystamp <= unix_timestamp(I.Start)) and
                             (unix_timestamp(I.Start) <= $enddaystamp))
                           or (($begindaystamp <= unix_timestamp(I.Stop)) and
                               (unix_timestamp(I.Stop) <= $enddaystamp))
                           or ((unix_timestamp(I.Start) <= $begindaystamp) and
                               ($begindaystamp <= unix_timestamp(I.Stop)))
                           or (
                                (unix_timestamp(I.Start) <= $begindaystamp)
                                and (unix_timestamp(I.RecEnd) >= $begindaystamp)
                                and (I.RecDay = '$weekday')
                                and (I.Recursive = 1)
                                )
                           )
                    order by I.Start");

           while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
                 $tempdate = getdate(strtotime($row['Start']));
                 if($row['Recursive'] || $tempdate['mday'] != $day['mday']) {
                 	$row['Start'] = getdate(mktime($tempdate['hours'],$tempdate['minutes'],0,
                 								$day['mon'],$day['mday'],$day['year']));
                 }
                 else { $row['Start'] = $tempdate; }
                 $data[] = new DayData($row['ID'],$row['Start']);
           }
           $tempfunction = create_function('$event1,$event2',
								'return strcmp($event1->Start[0],$event2->Start[0]);');
		   usort($data,$tempfunction);
        return $data;
    }


    //Pass it the ID.
    //There must be an ID associated with all of the elements.
    function &GetCalItemData($id) {
		// convert ID to integer
		$id = intval($id);
        $result = mysql_query("select I.ID, I.Title, I.Start, I.Stop, I.Type,
                                   I.Recursive, I.RecDay, I.RecEnd, I.ContactEmail,
                                   I.Description,
                                   C.Email, C.First, C.Last, C.Title as CTitle,
                                   C.ShowMainTitle, C.ShowMainFirstName, C.ID as CID,
                                   L.ID AS LID, L.Name AS LName,
                                   A.Title AS ATitle, A.LinkStream as ALinkStream,
								   A.ID as AID, A.LinkDownload as ALinkDownload
                  from paristemi_bt_event I, paristemi_bt_contact C,
                  		paristemi_bt_location L, paristemi_bt_audio A
                  where I.ID = $id and C.ID = I.ContactID and
		     			L.ID = I.LocationID and A.ID = I.AudioID
				 limit 1");

	 	$row = mysql_fetch_array($result, MYSQL_ASSOC);

           $start = getdate(strtotime($row['Start']));
           $stop = getdate(strtotime($row['Stop']));
           $recend = getdate(strtotime($row['RecEnd']));

           // Get The Series Data
                 $result2 = mysql_query("select SeriesID from paristemi_rt_event_to_series
                                        where EventID = ".$id.";");
                 $seriesarr = Array();
                 while ($row2 = mysql_fetch_array($result2, MYSQL_ASSOC)) {
                     if($row2['SeriesID'] != 0) {
                         $result3 = mysql_query("select ID, Title, 
                                                 time_format(Start,'%l:%i %p') as Start,
                                                 time_format(Stop,'%l:%i %p') as Stop, 
                                                 ShowItem, MeetByMonthDays
                                               from paristemi_bt_series
                                             where ID = ".$row2['SeriesID']." limit 1;");
                         $row3 = mysql_fetch_array($result3, MYSQL_ASSOC);
                         $seriesarr[] = new SeriesData($row3['ID'], $row3['Title'], $row3['Start'],
                                                 $row3['Stop'], $row3['ShowItem'], $row3['MeetByMonthDays']);
                     }
                 }
            
            $fullname = "";
            if($row['ShowMainTitle']) { $fullname .= $row['CTitle']." "; }
            if($row['ShowMainFirstName']) { $fullname .= $row['First']." ".$row['Last']; }

           $data = new CalItemData($row['ID'], $row['Type'], $row['Title'], $row['ContactEmail'],
                           $start, $stop, $row['Email'], $row['CID'], $fullname, $row['Description'], $seriesarr,
                           $row['ATitle'], $row['ALinkStream'], $row['ALinkDownload'], $row['AID'], $row['LID'], $row['LName'],
                           $row['Recursive'], $row['RecDay'], $recend);

        return $data;
    }
    
    function &SearchCalType(&$search,$atype,$limit,$blimit) {
			// !!! needs number validation???
            $data = Array();
            $query_string = "select I.ID, I.Type, I.Description, I.Title
             from paristemi_bt_event I
             where (";

           foreach($atype as $type) {           
            if($type == "title") {
               $query_string = $query_string . "I.Title LIKE '%$search%' OR ";
            }
            /* not available at this time 
            else if($type == "stitle") {
               $query_string = $query_string . "STitle LIKE '%$search%' OR ";
            }
            */
            else if($type == "description") {
               $query_string = $query_string . "I.Description LIKE '%$search%' OR ";
            }
            else { die("Invalid Parameters"); }
           }
           if(count($atype) == 0) { die("Invalid Parameters"); }
       
            $query_string = substr($query_string,0,strlen($query_string)-4);
            $query_string = $query_string . ")";
            $result = mysql_query($query_string);
        
            require_once ($GLOBALS['SERVER_DIRECTORY'].$GLOBALS['INCLUDE_PATH'].$GLOBALS['CALENDAR_INCLUDE']);
            $cal = new Calendar();
             
            //Process each row.
            while ($item = mysql_fetch_array($result, MYSQL_ASSOC)) {
                $tempcaldata = $this->GetCalItemData($item['ID']);
                $printdate = "";
                $timestamp = 0;
                if($tempcaldata->Recursive) {
                   $recstamp = $cal->nextEventFromRecursive($tempcaldata);
                   if($recstamp == 0) { $recstamp = $tempcaldata->RecEnd[0]; }
                   $timestamp = $recstamp;
                   $recdate = getdate($recstamp);
                   $printdate = $recdate['month']." ".$recdate['mday'].", ".$recdate['year'];
                }
                else if($tempcaldata->Start['year'] == $tempcaldata->Stop['year'] &&
                    $tempcaldata->Start['mon'] == $tempcaldata->Stop['mon'] &&
                    $tempcaldata->Start['mday'] == $tempcaldata->Stop['mday']) { 
                    $timestamp = $tempcaldata->Start[0];
                    $printdate .= $tempcaldata->Start['month']." ".$tempcaldata->Start['mday'].
                                ", ".$tempcaldata->Start['year'];
                }
                else {
                    $timestamp = $tempcaldata->Start[0];
                    $printdate .= $tempcaldata->Start['month']." ".$tempcaldata->Start['mday'].
                                ", ".$tempcaldata->Start['year']." - ";
                    $printdate .= $tempcaldata->Stop['month']." ".$tempcaldata->Stop['mday'].
                                ", ".$tempcaldata->Stop['year'];
                }
                if(empty($tempcaldata->SeriesArr)) { $series = ""; }
                else {
                    if($tempcaldata->SeriesArr[0]->ShowItem) { 
                    if($tempcaldata->Type == $GLOBALS['S_HOME_GROUP']) { /* Do Nothing */ }
                    else if($tempcaldata->Title != $tempcaldata->SeriesArr[0]->Title) { $series = " - ".$tempcaldata->SeriesArr[0]->Title; }
                    else if($tempcaldata->Type == $GLOBALS['S_BIBLE_COLLEGE']) { $series = " - ".$GLOBALS['S_BIBLE_COLLEGE']; }
                    }
                }
                $data[] = new SearchData($item['ID'], $item['Type'], $item['Title'].$series,
                                $printdate,$item['Description'],$timestamp);
            }

            $tempfunction = create_function('$event1,$event2',
                                'return strcmp($event2->Timestamp,$event1->Timestamp);');
            usort($data,$tempfunction);
            $data = array_slice($data,$blimit,$limit);
            return $data;
        }

        function &SearchCalCount(&$item,$atype) {
            $data = Array();
            $query_string = "SELECT DISTINCTROW COUNT(*) 
                                   from paristemi_bt_event I
                                   where (";

           foreach($atype as $type) {           
            if($type == "title") {
               $query_string = $query_string . "I.Title LIKE '%$item%' OR ";
            }
            /* not available at this time
            else if($type == "stitle") {
               $query_string = $query_string . "STitle LIKE '%$item%' OR ";
            }
            */
            else if($type == "description") {
               $query_string = $query_string . "I.Description LIKE '%$item%' OR ";
            }
            else { die("Invalid Parameters"); }
           }
           if(count($atype) == 0) { die("Invalid Parameters"); }
       
            $query_string = substr($query_string,0,strlen($query_string)-4);
            $query_string = $query_string . " )";
            $result = mysql_query($query_string);
            $row = mysql_fetch_array($result, MYSQL_ASSOC);
            foreach($row as $item) { $count = $item; }
            return $count;
        }
}

/**
 * <b>Database Container Class : Series</b><br />
 * Contains all of the specific data for a series.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.8
 * @version Build 0.8
 * @filesource
 */
class SeriesData {
    var $ID;
    var $Title;
    var $Start;
    var $Stop;
    var $ShowItem;
    var $MeetByMonth;

    function SeriesData($id='', $title='', $start='', $stop='', $showitem='', $meetbymonth='') {
        $this->ID = $id;
        $this->Title = stripslashes($title);
        $this->Start = $start;
        $this->Stop = $stop;
        $this->ShowItem = $showitem;
        $this->MeetByMonth = $meetbymonth;
    }
}

/**
 * <b>Database Container Class : Month</b><br />
 * Contains all of the specific data for an event on the month view.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class MonthData {
    var $ID;
    var $Type;
    var $Day;
    var $Title;

    function MonthData($id='', $type='', $day='', $title='') {
        $this->ID = $id;
        $this->Type = stripslashes($type);
        $this->Day = $day;
        $this->Title = stripslashes($title);
    }
}


/**
 * <b>Database Container Class : Week</b><br />
 * Contains all of the specific data for an event of the week.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class WeekData {
    var $ID;
    var $Type;
    var $Title;
    var $Start;
    var $SeriesArr;

    function WeekData($id='', $type='', $title='', $start='', $stop='', $recursive='', $seriesarr='') {
        $this->ID = $id;
        $this->Type = stripslashes($type);
        $this->Title = stripslashes($title);
        $this->Start = $start;
        $this->Stop = $stop;
        $this->Recursive = $recursive;
        $this->SeriesArr = $seriesarr;
    }
}


/**
 * <b>Database Container Class - Day</b><br />
 * Contains all of the specific data for an event of the day.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class DayData {
    var $ID;
    var $Start;

    function DayData($id='',$start='') {
        $this->ID = $id;
        $this->Start = $start;
    }
}


/**
 * <b>Database Container Class : Calendar Item</b><br />
 * Contains all of the specific data for a calendar event.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class CalItemData {
    var $ID;
    var $Type;
    var $Title;
    var $ContactEmail;
    var $Start;
    var $Stop;
    var $Email;
    var $CID;
    var $CName;
    var $Description;
    var $ATitle;
    var $ALinkStream;
    var $ALinkDownload;
    var $AID;
    var $LID;
    var $LName;
    var $SeriesArr;
    var $Recursive;
    var $RecDay;
    var $RecEnd;

    function CalItemData($id='', $type='', $title='', $contactemail='', $start='', $stop='', $email='', $cid='', $cname='',
                         $desc='', $seriesarr='', $atitle='', $alinkstream='', $alinkdownload='', $aid='', $lid='', $lname='',
                         $rec='', $recday='', $recend='') {
        $this->ID = $id;
        $this->Type = stripslashes($type);
        $this->Title = stripslashes($title);
        $this->ContactEmail = $contactemail;
        $this->Start = $start;
        $this->Stop = $stop;
        $this->Email = $email;
        $this->CID = $cid;
        $this->CName = stripslashes($cname);
        $this->Description = nl2br(stripslashes($desc));
        $this->SeriesArr = $seriesarr;
        $this->ATitle = stripslashes($atitle);
        $this->ALinkStream = $alinkstream;
        $this->ALinkDownload = $alinkdownload;
        $this->AID = $aid;
        $this->LID = $lid;
        $this->LName = stripslashes($lname);
        $this->Recursive = $rec;
        $this->RecDay = $recday;
        $this->RecEnd = $recend;
    }
}

/**
 * Database Container Class - Calendar Search
 * Contains all of the specific data for a calendar search result.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright &copy; 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class SearchData {
    var $ID;
    var $Type;
    var $Title;
    var $Date;
    var $Description;
    var $Timestamp;
    
    function SearchData($id='', $type='', $title='', $date='', $desc='', $timestamp=0) {
        $this->ID = $id;
        $this->Type = stripslashes($type);
        $this->Title = stripslashes($title);
        $this->Date = $date;
        $this->Description = nl2br(stripslashes($desc));
        $this->Timestamp = $timestamp;
    }
}

?>