<?php
/**
 * <b>Database Class : Contact</b><br />
 * Provides all database access methods for the contact section
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
/**
 * <b>Database Class : Contact</b><br />
 * Provides all database access methods for the contact section
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class DB_Contact {
	
	function DB_Contact() { }
		
      // Get contact info
    function &GetContactData($id) {
		// convert ID to integer
		$id = intval($id);
        $result = mysql_query("select C.ID, C.Title, C.First, C.Middle, C.Last, C.Email, C.Password,
				                          C.LocationID, C.Biography, C.PhotoLink, C.ShowEmail,
                                      C.ShowBio, C.ShowLocation, C.ShowPhoto, C.IsPerson,
                                      C.ShowMainTitle, C.ShowMainFirstName, C.ShowMainLastName,
                                      C.PermissionLevel, C.ShowMain, C.ShowForm
                               from paristemi_bt_contact C
                               where C.ID = $id
							   limit 1");

        $row = mysql_fetch_array($result, MYSQL_ASSOC);

           $data = new ContactData($row['ID'], $row['Title'], $row['First'],
                           $row['Middle'], $row['Last'], $row['Email'],$row['Password'],
                           $row['LocationID'], $row['Biography'], $row['PhotoLink'],
                           $row['ShowEmail'], $row['ShowBio'], $row['ShowLocation'],
                           $row['ShowPhoto'], $row['ShowMainTitle'],
                           $row['ShowMainFirstName'], $row['ShowMainLastName'], $row['IsPerson'],
                           $row['PermissionLevel'],$row['ShowMain'],$row['ShowForm']);

        return $data;
    }
    
    // Get all main contacts
    function &GetMainContactData($order=null) {
        $data = Array();
        $querystring = "select C.ID, C.Title, C.First, C.Middle, C.Last, C.Email,
                                       C.ShowMainTitle, C.ShowMainFirstName, C.ShowMainLastName ";
        if($order != null) { 
            $j = 0; $querystring .= ", ";
            for($i=count($order); $i>0; $i--) {
                $querystring .= "(case when C.Title = '".$order[$j]."' then ".$i." else ";
                $j++;
            }
            $querystring .= " 0 end) ";
            for($i=count($order); $i>1; $i--) { $querystring .= " end) "; }
            $querystring .= "sort ";
        }
        $querystring .= "from paristemi_bt_contact C where C.ShowMain > 0 order by";
        if($order != null) { $querystring .= " sort desc,"; }
        $querystring .= " C.Last";
        $result = mysql_query($querystring);

        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {

           $data[] = new MainContactData($row['ID'], $row['Title'], $row['First'],
                           $row['Middle'], $row['Last'], $row['Email'],
                           $row['ShowMainTitle'], $row['ShowMainFirstName'],
                           $row['ShowMainLastName']);
        }

        return $data;
    }   
    
    // Get all main contacts
    function &GetFormContactData($order=null,$useperson=0) {
        $data = Array();
        $querystring = "select C.ID, C.Title, C.First, C.Middle, C.Last, C.Email,
                                       C.ShowMainTitle, C.ShowMainFirstName, C.ShowMainLastName ";
        if($order != null) { 
            $j = 0; $querystring .= ", ";
            for($i=count($order); $i>0; $i--) {
                $querystring .= "(case when C.Title = '".$order[$j]."' then ".$i." else ";
                $j++;
            }
            $querystring .= " 0 end) ";
            for($i=count($order); $i>1; $i--) { $querystring .= " end) "; }
            $querystring .= "sort ";
        }
        $querystring .= "from paristemi_bt_contact C where ";
        if($useperson) { $querystring .= "C.IsPerson > 0 AND "; }
        else { $querystring .= "C.IsPerson = 0 AND "; }
        $querystring .= "C.ShowForm > 0 order by";
        if($order != null) { $querystring .= " sort desc,"; }
        $querystring .= " C.Last";
        $result = mysql_query($querystring);

        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {

           $data[] = new MainContactData($row['ID'], $row['Title'], $row['First'],
                           $row['Middle'], $row['Last'], $row['Email'],
                           $row['ShowMainTitle'], $row['ShowMainFirstName'],
                           $row['ShowMainLastName']);
        }

        return $data;
    }   
    
    // Get all contacts
    function &GetContacts() {
        $data = Array();
        $result = mysql_query("select C.ID, C.Title, C.First, C.Middle, C.Last, C.Email,C.Password,
				                          C.LocationID, C.Biography, C.PhotoLink, C.ShowEmail,
                                      C.ShowBio, C.ShowLocation, C.ShowPhoto, C.IsPerson,
                                      C.ShowMainTitle, C.ShowMainFirstName, C.ShowMainLastName,
                                      C.PermissionLevel, C.ShowMain, C.ShowForm,
                                      (case when C.Title = 'Pastor' then 2 else
                                      (case when C.Title = 'Asst. Pastor' then 1 else 0 end) end) sort
                               from paristemi_bt_contact C 
                               order by sort desc, C.Last");

        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
            
            $data[] = new ContactData($row['ID'], $row['Title'], $row['First'],
            $row['Middle'], $row['Last'], $row['Email'],$row['Password'],
            $row['LocationID'], $row['Biography'], $row['PhotoLink'],
            $row['ShowEmail'], $row['ShowBio'], $row['ShowLocation'],
            $row['ShowPhoto'], $row['ShowMainTitle'],
            $row['ShowMainFirstName'], $row['ShowMainLastName'], $row['IsPerson'],
            $row['PermissionLevel'],$row['ShowMain'],$row['ShowForm']);
        }

        return $data;
    }  
    
    // Get all people
    function &GetPeople() {
        $data = Array();
        $result = mysql_query("select C.ID, C.Title, C.First, C.Middle, C.Last, C.Email,C.Password,
							    C.LocationID, C.Biography, C.PhotoLink, C.ShowEmail,
							    C.ShowBio, C.ShowLocation, C.ShowPhoto, C.IsPerson,
							    C.ShowMainTitle, C.ShowMainFirstName, C.ShowMainLastName,
							    C.PermissionLevel, C.ShowMain, C.ShowForm,
							    (case when C.Title = 'Pastor' then 2 else
							    (case when C.Title = 'Asst. Pastor' then 1 else 0 end) end) sort
							    from paristemi_bt_contact C
							    where C.IsPerson > 0 
							    order by sort desc, C.Last");
        
        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
            $data[] = new ContactData($row['ID'], $row['Title'], $row['First'],
			            $row['Middle'], $row['Last'], $row['Email'],$row['Password'],
			            $row['LocationID'], $row['Biography'], $row['PhotoLink'],
			            $row['ShowEmail'], $row['ShowBio'], $row['ShowLocation'],
			            $row['ShowPhoto'], $row['ShowMainTitle'],
			            $row['ShowMainFirstName'], $row['ShowMainLastName'], $row['IsPerson'],
                         $row['PermissionLevel'],$row['ShowMain'],$row['ShowForm']);
        }
        
        return $data;
    }  
    
    function &GetContactGroupData($id)
    {
		// convert ID to integer
		$id = intval($id);
        $result = mysql_query("select CG.Contacts
                               from paristemi_rt_contact_group CG
                               where CG.ID = $id
							   limit 1");
        $resultarr = mysql_fetch_array($result, MYSQL_ASSOC);
       	$contactlist = explode(",",$resultarr['Contacts']);
    	$data = Array();
    	
    	foreach($contactlist as $contactid) {
         $result2 = mysql_query("select C.ID, C.Title, C.First, C.Middle, C.Last, C.Email,
				        C.ShowMainTitle, C.ShowMainFirstName, C.ShowMainLastName
                               from paristemi_bt_contact C 
                               where (C.ID = $contactid)
                               order by C.Last");

         //Process each row.
         while ($row = mysql_fetch_array($result2, MYSQL_ASSOC)) {

           $data[] = new MainContactData($row['ID'], $row['Title'], $row['First'],
                           $row['Middle'], $row['Last'], $row['Email'],
                           $row['ShowMainTitle'], $row['ShowMainFirstName'],
                           $row['ShowMainLastName']);
         }
    	}

        return $data;
    }
    
    function &GetContactGroupDataByName($name)
    {
            $result = mysql_query("select CG.Contacts
                                   from paristemi_rt_contact_group CG
                                   where CG.Name ='$name'
                                   limit 1");
            $resultarr = mysql_fetch_array($result, MYSQL_ASSOC);
            $contactlist = explode(",",$resultarr['Contacts']);
            $data = Array();
     
            foreach($contactlist as $contactid) {
             $result2 = mysql_query("select C.ID, C.Title, C.First, C.Middle, C.Last, C.Email,
                            C.ShowMainTitle, C.ShowMainFirstName, C.ShowMainLastName
                                   from paristemi_bt_contact C 
                                   where (C.ID = $contactid)
                                   order by C.Last");

             //Process each row.
             while ($row = mysql_fetch_array($result2, MYSQL_ASSOC)) {

               $data[] = new MainContactData($row['ID'], $row['Title'], $row['First'],
                               $row['Middle'], $row['Last'], $row['Email'],
                               $row['ShowMainTitle'], $row['ShowMainFirstName'],
                               $row['ShowMainLastName']);
             }
            }

            return $data;
    }
    
    function GetContactGroupApproveContact($id)
    {
		// convert ID to integer
		$id = intval($id);
        $result = mysql_query("select CG.ApproveContact
                               from paristemi_rt_contact_group CG
							   where CG.ID = $id
                               order by CG.Name
							   limit 1");
        $row = mysql_fetch_array($result, MYSQL_ASSOC);
        return $row['ApproveContact'];
    }	
    
    function GetContactGroup($id)
    {
        $data = Array();
        $result = mysql_query("select CG.ID, CG.Name, CG.Contacts, CG.ApproveContact,
    CG.Description,
    CG.ShowMain, CG.ShowPrayer, CG.ShowMailingList
    from paristemi_rt_contact_group CG
    WHERE CG.ID = $id");
    
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
            return new ContactGroupData($row['ID'], $row['Name'], $row['Contacts'], 
            $row['ApproveContact'],$row['Description'], $row['ShowMain'],
            $row['ShowPrayer'], $row['ShowMailingList']);
        }
    }
    
    function GetContactGroups()
    {
    	$data = Array();
        $result = mysql_query("select CG.ID, CG.Name, CG.Contacts, CG.ApproveContact,
									  CG.Description,
        							  CG.ShowMain, CG.ShowPrayer, CG.ShowMailingList
                               from paristemi_rt_contact_group CG
                               order by CG.Name");
        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new ContactGroupData($row['ID'], $row['Name'], $row['Contacts'], 
           					$row['ApproveContact'],$row['Description'], $row['ShowMain'],
							$row['ShowPrayer'], $row['ShowMailingList']);
        }

        return $data;
    }
    
    function &GetContactGroupsMain()
    {
    	$data = Array();
        $result = mysql_query("select CG.ID, CG.Name, CG.Contacts, CG.ApproveContact,
								      CG.Description,
        							  CG.ShowMain, CG.ShowPrayer, CG.ShowMailingList
                               from paristemi_rt_contact_group CG
                               where CG.ShowMain > 0
                               order by CG.Name");
        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new ContactGroupData($row['ID'], $row['Name'], $row['Contacts'], 
           					$row['ApproveContact'], $row['Description'], $row['ShowMain'],
           					$row['ShowPrayer'], $row['ShowMailingList']);
        }

        return $data;
    }
    
    function &GetContactGroupsPrayer()
    {
    	$data = Array();
        $result = mysql_query("select CG.ID, CG.Name, CG.Contacts, CG.ApproveContact,
									  CG.Description,
        							  CG.ShowMain, CG.ShowPrayer, CG.ShowMailingList
                               from paristemi_rt_contact_group CG
                               where CG.ShowPrayer > 0
                               order by CG.Name");
        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new ContactGroupData($row['ID'], $row['Name'], $row['Contacts'], 
           					$row['ApproveContact'], $row['Description'], $row['ShowMain'],
							$row['ShowPrayer'], $row['ShowMailingList']);
        }

        return $data;
    }
    
    function &GetContactGroupsMailingList()
    {
        $data = Array();
        $result = mysql_query("select CG.ID, CG.Name, CG.Contacts, CG.ApproveContact,
									  CG.Description,
                                      CG.ShowMain, CG.ShowPrayer, CG.ShowMailingList
                               from paristemi_rt_contact_group CG
                               where CG.ShowMailingList > 0
                               order by CG.Name");
        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new ContactGroupData($row['ID'], $row['Name'], $row['Contacts'], 
                            $row['ApproveContact'], $row['Description'], $row['ShowMain'],
                            $row['ShowPrayer'], $row['ShowMailingList']);
        }

        return $data;
    }
}


/**
 * <b>Database Container Class : Main Contact</b><br />
 * Contains all of the specific data for main contact.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class MainContactData {
    var $ID;
    var $Title;
    var $First;
    var $Middle;
    var $Last;
    var $Email;
    var $ShowMainTitle;
    var $ShowMainFirstName;
    var $ShowMainLastName;

    function MainContactData($id='', $title='', $first='', $middle='', $last='', $email='',
    			     $showtitle='', $showfirst='', $showlast='') {
        $this->ID = $id;
        $this->Title = stripslashes($title);
        $this->First = stripslashes($first);
        $this->Middle = stripslashes($middle);
        $this->Last = stripslashes($last);
        $this->Email = $email;
        $this->ShowMainTitle = $showtitle;
        $this->ShowMainFirstName = $showfirst;
        $this->ShowMainLastName = $showlast;
    }
}

/**
 * <b>Database Container Class - Contact</b><br />
 * Contains all of the specific data for a contact.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class ContactData {
    var $ID;
    var $Title;
    var $First;
    var $Middle;
    var $Last;
    var $Email;
    var $Password;
    var $LocationID;
    var $Biography;
    var $PhotoLink;
    var $ShowEmail;
    var $ShowBio;
    var $ShowLocation;
    var $ShowPhoto;
    var $ShowMain;
    var $ShowMainTitle;
    var $ShowMainFirstName;
    var $ShowMainLastName;
    var $ShowForm;
    var $IsPerson;
    var $PermissionLevel;

    function ContactData($id='', $title='', $first='', $middle='', $last='', $email='',$pass='',
    			     $locationid='', $biography='', $photolink='', $showemail=1,
                 $showbio=1, $showlocation=0, $showphoto=0, $showmaintitle=0,
                 $showmainfirstname=1, $showmainlastname=1, $isperson=1,$permissionlevel=0,
                 $showmain=0,$showform=0) {
        $this->ID = $id;
        $this->Title = stripslashes($title);
        $this->First = stripslashes($first);
        $this->Middle = stripslashes($middle);
        $this->Last = stripslashes($last);
        $this->Email = $email;
        $this->Password = $pass;
        $this->LocationID = $locationid;
        $this->Biography = nl2br(stripslashes($biography));
        $this->PhotoLink = $photolink;
        $this->ShowEmail = $showemail;
        $this->ShowBio = $showbio;
        $this->ShowLocation = $showlocation;
        $this->ShowPhoto = $showphoto;
        $this->ShowMain = $showmain;
        $this->ShowMainTitle = $showmaintitle;
        $this->ShowMainFirstName = $showmainfirstname;
        $this->ShowMainLastName = $showmainlastname;
        $this->ShowForm = $showform;
        $this->IsPerson = $isperson;
        $this->PermissionLevel = $permissionlevel;
    }

}

/**
 * <b>Database Container Class - Contact Group</b><br />
 * Contains all of the specific data for a contact group.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class ContactGroupData {
    var $ID;
    var $Name;
    var $Contacts;
    var $ApproveContact;
    var $Description;
    var $ShowMain;
    var $ShowPrayer;
    var $ShowMailingList;

    function ContactGroupData($id='', $name='', $contacts='', $acontact='', $desc='', $showmain='',
    						  $showprayer='', $showmailinglist='') {
        $this->ID = $id;
        $this->Name = stripslashes($name);
        $this->Contacts = $contacts;
        $this->ApproveContact = $acontact;
        $this->Description = nl2br(stripslashes($desc));
        $this->ShowMain = $showmain;
        $this->ShowPrayer = $showprayer;
        $this->ShowMailingList = $showmailinglist;
    }
}
?>