<?php
/**
 * <b>Database Class : Library</b><br />
 * Provides all database access methods for the library section.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
/**
 * <b>Database Class : Library</b><br />
 * Provides all database access methods for the library section.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class DB_Library {	
	
	var $grouping = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N',
							'O','P','Q','R','S','T','U','V','W','X','Y','Z');
	
	function DB_Library() { }
    
    function &GetCategoriesUsed() {
       $topics = Array();
       $result = mysql_query("SELECT DISTINCT Category 
							  FROM paristemi_bt_library
							  ORDER BY Category");
              
       while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
          $topics[] = $row['Category'];
       }
       return $topics;
    }
    
    function &GetKeywordsUsed() {
       $topics = Array();
       $result = mysql_query("SELECT DISTINCT Keywords FROM Library");
              
       while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
          $topics[] = $row['Keywords'];
       }
       return $topics;
    }
    
    function &GroupFunct($item) {
    	$flag = 0;
    	foreach($this->grouping as $letter) {
    		if($item{0} == $letter) { $flag = 1; }
    	}
    	return $flag;
    }
    
    function &GetKeywordsUsedByGroup($group) {
       $this->grouping = $group;
       $topics = Array();
       $result = mysql_query("SELECT DISTINCT Keywords FROM paristemi_bt_library");
              
       while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
          $tok = strtok($row['Keywords'],",");
          while ($tok) {
             $topics[] = trim($tok);
             $tok = strtok(",");
          }
       }
       
       $unique_topics = array_values(array_unique($topics));
       $new_arr = array_filter($unique_topics,array($this,"GroupFunct"));
       sort($new_arr);
       return $new_arr;
    }
    
    
    //Pass it the ID.
    //There must be an ID associated with all of the elements.
    function &GetLibraryData($id) {
		// convert ID to integer
		$id = intval($id);
        $result = mysql_query("select L.ID, L.Title, L.Author, L.Editor, L.CatalogNumber, L.ISBN,
                                      L.Pages, L.Copies, L.Description, L.Format, L.Category,
                                      L.Keywords, L.Year, L.Publisher, L.Series, L.Notes,
                                      L.CopiesOut, L.DatesOut, L.DatesDue, L.PersonsOut,
                                      L.PersonsEmailOut, L.PersonsPhoneOut, L.NumWaiting,
                                      L.PersonsWaiting, L.PersonsEmailWaiting, L.PersonsPhoneWaiting
                               from paristemi_bt_library L
                               where L.ID = $id
                               limit 1");
         $row = mysql_fetch_array($result, MYSQL_ASSOC);

           $data = new LibraryItemDetailed($row['ID'], $row['Title'],$row['Author'],
                           $row['Editor'], $row['CatalogNumber'], $row['ISBN'], $row['Pages'],
                           $row['Copies'],$row['Description'],$row['Format'],
                           $row['Category'],$row['Keywords'], $row['Year'], $row['Publisher'],
                           $row['Series'], $row['Notes'], $row['CopiesOut'], $row['DatesOut'],
                           $row['DatesDue'], $row['PersonsOut'], $row['PersonsEmailOut'],
                           $row['PersonsPhoneOut'], $row['NumWaiting'], $row['PersonsWaiting'],
                           $row['PersonsEmailWaiting'], $row['PersonsPhoneWaiting']);
        
        return $data;
    }
    
    //Pass it the ID.
    //There must be an ID associated with all of the elements.
    function &GetAllLibraryData() {
        $data = Array();
        $result = mysql_query("select L.ID, L.Title, L.Author, L.Editor, L.CatalogNumber, L.ISBN,
                                      L.Pages, L.Copies, L.Description, L.Format, L.Category,
                                      L.Keywords, L.Year, L.Publisher, L.Series, L.Notes,
                                      L.CopiesOut, L.DatesOut, L.DatesDue, L.PersonsOut,
                                      L.PersonsEmailOut, L.PersonsPhoneOut, L.NumWaiting,
                                      L.PersonsWaiting, L.PersonsEmailWaiting, L.PersonsPhoneWaiting
                               from paristemi_bt_library L");

        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new LibraryItemDetailed($row['ID'], $row['Title'],$row['Author'],
                           $row['Editor'], $row['CatalogNumber'], $row['ISBN'], $row['Pages'],
                           $row['Copies'],$row['Description'],$row['Format'],
                           $row['Category'],$row['Keywords'], $row['Year'], $row['Publisher'],
                           $row['Series'], $row['Notes'], $row['CopiesOut'], $row['DatesOut'],
                           $row['DatesDue'], $row['PersonsOut'], $row['PersonsEmailOut'],
                           $row['PersonsPhoneOut'], $row['NumWaiting'], $row['PersonsWaiting'],
                           $row['PersonsEmailWaiting'], $row['PersonsPhoneWaiting']);
        }
        
        return $data;
    }
    
        //Pass it the ID.
    //There must be an ID associated with all of the elements.
    function &GetAllLibraryDataByLimit($limit,$blimit) {
		// !!! numbers need validation?
        $data = Array();
        $result = mysql_query("select L.ID, L.Title, L.Author, L.Editor, L.CatalogNumber, L.ISBN,
                                      L.Pages, L.Copies, L.Description, L.Format, L.Category,
                                      L.Keywords, L.Year, L.Publisher, L.Series, L.Notes,
                                      L.CopiesOut, L.DatesOut, L.DatesDue, L.PersonsOut,
                                      L.PersonsEmailOut, L.PersonsPhoneOut, L.NumWaiting,
                                      L.PersonsWaiting, L.PersonsEmailWaiting, L.PersonsPhoneWaiting
                               from paristemi_bt_library L
							   order by L.ID DESC limit $blimit,$limit");

        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new LibraryItemDetailed($row['ID'], $row['Title'],$row['Author'],
                           $row['Editor'], $row['CatalogNumber'], $row['ISBN'], $row['Pages'],
                           $row['Copies'],$row['Description'],$row['Format'],
                           $row['Category'],$row['Keywords'], $row['Year'], $row['Publisher'],
                           $row['Series'], $row['Notes'], $row['CopiesOut'], $row['DatesOut'],
                           $row['DatesDue'], $row['PersonsOut'], $row['PersonsEmailOut'],
                           $row['PersonsPhoneOut'], $row['NumWaiting'], $row['PersonsWaiting'],
                           $row['PersonsEmailWaiting'], $row['PersonsPhoneWaiting']);
        }
        
        return $data;
    }
    
       //There must be an ID associated with all of the elements.
    function &SearchLibrary(&$item,$atype,$limit,$blimit) {
		// !!! Numbers need validation?
		
        $data = Array();
        $query_string = "select L.ID, L.Title, L.Author, L.Editor, L.CatalogNumber, 
                                      L.ISBN, L.Description, L.Format, L.Category,
                                      L.Keywords, L.Publisher, L.Series
                               from paristemi_bt_library L 
                               where (";
       foreach($atype as $type) {
        switch($type) {
            case "title"    : $query_string .= "(L.Title LIKE '%$item%' OR
                                                L.Series LIKE '%$item%') OR "; break;
            case "author"   : $query_string .= "(L.Author LIKE '%$item%' OR 
                                                 L.Editor LIKE '%$item%' OR
                                                 L.Publisher LIKE '%$item%') OR "; break;
            case "catnum"   : $query_string .= "L.CatalogNumber = '$item' OR "; break;
            case "isbn"     : $query_string .= "L.ISBN = '$item' OR "; break;
            case "format"   : $query_string .= "L.Format LIKE '%$item%' OR "; break;
            case "category" : $query_string .= "L.Category LIKE '%$item%' OR "; break;
            case "keywords" : $query_string .= "L.Keywords LIKE '%$item%' OR "; break;
            default         : die("Invalid Parameters"); break;
        }
       }
       if(count($atype) == 0) { die("Invalid Parameters"); }
       
        $query_string = substr($query_string,0,strlen($query_string)-4);
        $query_string = $query_string . ") order by L.Title asc, L.CatalogNumber asc,
                                                   L.Author asc
										  limit $blimit,$limit";
        $result = mysql_query($query_string);

        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new LibraryItemSimple($row['ID'], $row['Title'], $row['Author'],
                                           $row['Editor'], $row['CatalogNumber'], $row['ISBN'],
                                           $row['Description'], $row['Format'], $row['Category'],
                                           $row['Keywords'], $row['Publisher'], $row['Series']);
        }

        return $data;
    }
    
       //There must be an ID associated with all of the elements.
    function &SearchLibraryCount(&$item,$atype) {
        $data = Array();
        $query_string = "SELECT COUNT(*) 
                               from paristemi_bt_library L 
                               where (";
       foreach($atype as $type) {
        switch($type) {
            case "title"    : $query_string .= "(L.Title LIKE '%$item%' OR
                                                L.Series LIKE '%$item%') OR "; break;
            case "author"   : $query_string .= "(L.Author LIKE '%$item%' OR 
                                                 L.Editor LIKE '%$item%' OR
                                                 L.Publisher LIKE '%$item%') OR "; break;
            case "catnum"   : $query_string .= "L.CatalogNumber = '$item' OR "; break;
            case "isbn"     : $query_string .= "L.ISBN = '$item' OR "; break;
            case "format"   : $query_string .= "L.Format LIKE '%$item%' OR "; break;
            case "category" : $query_string .= "L.Category LIKE '%$item%' OR "; break;
            case "keywords" : $query_string .= "L.Keywords LIKE '%$item%' OR "; break;
            default         : $this->Error("Invalid Parameters"); break;
        }
       }
       if(count($atype) == 0) { $this->Error("Invalid Parameters"); }
        
        $query_string = substr($query_string,0,strlen($query_string)-4);
        $query_string = $query_string . ")";
        $result = mysql_query($query_string);
		$row = mysql_fetch_array($result, MYSQL_ASSOC);
		foreach($row as $item) { $count = $item; }
        return $count;
    }
    
           //There must be an ID associated with all of the elements.
    function &GetLibraryCategoryItems(&$cat,$limit,$blimit) {
		// !!! numbers need validation?
		
        $data = Array();
        $query_string = "select L.ID, L.Title, L.Author, L.Editor, L.CatalogNumber, 
                                      L.ISBN, L.Description, L.Format, L.Category,
                                      L.Keywords, L.Publisher, L.Series
                               from paristemi_bt_library L 
                               where L.Category LIKE '%$cat%'
                               order by L.Title
							   limit $blimit,$limit";
                               
        $result = mysql_query($query_string);

        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new LibraryItemSimple($row['ID'], $row['Title'], $row['Author'],
                                           $row['Editor'], $row['CatalogNumber'], $row['ISBN'],
                                           $row['Description'], $row['Format'], $row['Category'],
                                           $row['Keywords'], $row['Publisher'], $row['Series']);
        }

        return $data;
    }
    
    function &GetLibraryCategoryCount(&$cat) {
        $data = Array();
        $query_string = "SELECT COUNT(*)
                               from paristemi_bt_library L 
                               where L.Category LIKE '%$cat%'";
                               
        $result = mysql_query($query_string);
		$row = mysql_fetch_array($result, MYSQL_ASSOC);
		foreach($row as $item) { $count = $item; }
        return $count;
    }
}

/**
 * <b>Database Container Class - Library Item Detailed</b><br />
 * Contains all of the specific data for a library item.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class LibraryItemDetailed {
    var $ID;
    var $Title;
    var $Author;
    var $Editor;
    var $CatalogNumber;
    var $ISBN;
    var $Pages;
    var $Copies;
    var $Description;
    var $Format;
    var $Category;
    var $Keywords;
    var $Year;
    var $Publisher;
    var $Series;
    var $Notes;
    var $CopiesOut;
    var $DatesOut;
    var $DatesDue;
    var $PersonsOut;
    var $PersonsEmailOut;
    var $PersonsPhoneOut;
    var $NumWaiting;
    var $PersonsWaiting;
    var $PersonsEmailWaiting;
    var $PersonsPhoneWaiting;
    
    function LibraryItemDetailed($id='', $title='', $author='', $editor='', $catnum='', $isbn='', $pages='', $copies='',
                                $desc='', $format='', $category='', $keywords='', $year='', $publisher='',
                                $series='', $notes='', $copiesout='', $datesout='', $datesdue='',
                                $personsout='', $personsemailout='', $personsphoneout='',
                                $numwaiting='', $personswaiting='', $personsemailwaiting='', $personsphonewaiting='') {
        $this->ID = $id;
        $this->Title = stripslashes($title);
        $this->Author = stripslashes($author);
        $this->Editor = stripslashes($editor);
        $this->CatalogNumber = $catnum;
        $this->ISBN = $isbn;
        $this->Pages = $pages;
        $this->Copies = $copies;
        $this->Description = nl2br(stripslashes($desc));
        $this->Format = stripslashes($format);
        $this->Category = stripslashes($category);
        $this->Keywords = stripslashes($keywords);
        $this->Year = $year;
        $this->Publisher = stripslashes($publisher);
        $this->Series = stripslashes($series);
        $this->Notes = nl2br(stripslashes($notes));
        $this->CopiesOut = $copiesout;
        $this->DatesOut = $datesout;
        $this->DatesDue = $datesdue;
        $this->PersonsOut = stripslashes($personsout);
        $this->PersonsEmailOut = $personsemailout;
        $this->PersonsPhoneOut = $personsphoneout;
        $this->NumWaiting = $numwaiting;
        $this->PersonsWaiting = stripslashes($personswaiting);
        $this->PersonsEmailWaiting = $personsemailwaiting;
        $this->PersonsPhoneWaiting = $personsphonewaiting;
    }
}

/**
 * <b>Database Container Class : Library Item Simple</b><br />
 * Contains all of the important data for a library item.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class LibraryItemSimple {
    var $ID;
    var $Title;
    var $Author;
    var $Editor;
    var $CatalogNumber;
    var $ISBN;
    var $Description;
    var $Format;
    var $Category;
    var $Keywords;
    var $Publisher;
    var $Series;
    
    function LibraryItemSimple($id='', $title='', $author='', $editor='', $catnum='',
                                $isbn='', $desc='', $format='', $cat='', $keywords='',
                                $publisher='', $series='') {
        $this->ID = $id;
        $this->Title = stripslashes($title);
        $this->Author = stripslashes($author);
        $this->Editor = stripslashes($editor);
        $this->CatalogNumber = $catnum;
        $this->ISBN = $isbn;
        $this->Description = nl2br(stripslashes($desc));
        $this->Format = stripslashes($format);
        $this->Category = stripslashes($cat);
        $this->Keywords = stripslashes($keywords);
        $this->Publisher = stripslashes($publisher);
        $this->Series = stripslashes($series);
    }
}

?>