<?php
/**
 * <b>Database Class : Music</b><br />
 * Provides all database access methods for the worship music section.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */   
/**
 * <b>Database Class : Music</b><br />
 * Provides all database access methods for the worship music section.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */   
class DB_Music {	
	
	function DB_Music() { }
	
    // Return a list of all albums
    function &GetAllAlbums() {
        $data = Array();

        $result = mysql_query("select A.ID, A.Title, A.Description
                                 from paristemi_bt_album A
                                 order by A.Title;");
        
        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new AlbumData($row['ID'], $row['Title'], $row['Description']);
        }

        return $data;
    }
    
    // Return an album
    function &GetAlbum($id) {
        $result = mysql_query("select A.ID, A.Title, A.Description
    					from paristemi_bt_album A
   					where A.ID = $id;");
        
        $row = mysql_fetch_array($result, MYSQL_ASSOC);
        $data = new AlbumData($row['ID'], $row['Title'], $row['Description']);
        
        return $data;
    }
    
    // Return a list of albums
    // Pass ID 
    function &GetAlbumSongs($id) {
		// convert ID to integer
		$id = intval($id);
        $result = mysql_query("select A.ID as AID, A.Title as ATitle, A.Description as ADescription,
                                      S.ID, S.AlbumID, S.AudioID, S.Title, S.Lyrics, S.Chords, S.TrackNumber,
                                      Au.ID as AUID, Au.Title as AUTitle, Au.LinkStream as AULinkStream,
									  Au.LinkDownload
                                 from paristemi_bt_album A, paristemi_bt_song S, paristemi_bt_audio Au
                                 where A.ID = $id and S.AlbumID = A.ID and S.AudioID = Au.ID
                                 order by S.TrackNumber ASC, S.Title");
        
        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new SongData( $row['ATitle'], $row['ADescription'], $row['ID'],
           						   $row['AlbumID'], $row['AudioID'], $row['Title'], 
                                   $row['Lyrics'], $row['Chords'],$row['AUTitle'],
                                   $row['AULinkStream'],$row['LinkDownload'],$row['TrackNumber']);
        }

        return $data;
    }
    
    // Return a list of albums
    // Pass ID 
    function &GetSongData($id) {
        // convert ID to integer
        $id = intval($id);
        $result = mysql_query("select A.ID as AID, A.Title as ATitle, A.Description as ADescription,
    S.ID, S.AlbumID, S.AudioID, S.Title, S.Lyrics, S.Chords, S.TrackNumber,
    Au.ID as AUID, Au.Title as AUTitle, Au.LinkStream as AULinkStream,
    Au.LinkDownload
    from paristemi_bt_album A, paristemi_bt_song S, paristemi_bt_audio Au
    where S.ID = $id and S.AlbumID = A.ID and S.AudioID = Au.ID");
        
        $row = mysql_fetch_array($result, MYSQL_ASSOC);
        $data = new SongData( $row['ATitle'], $row['ADescription'], $row['ID'],
            $row['AlbumID'], $row['AudioID'], $row['Title'], 
            $row['Lyrics'], $row['Chords'],$row['AUTitle'],
            $row['AULinkStream'],$row['LinkDownload'],$row['TrackNumber']);
        
        return $data;
    }
    
        // Return a list of albums
    // Pass ID 
    function &GetAllSongs() {
        $data = Array();

        $result = mysql_query("select A.ID as AID, A.Title as ATitle, A.Description as ADescription,
                                      S.ID, S.AlbumID, S.AudioID, S.Title, S.Lyrics, S.Chords,
                                      Au.ID as AUID, Au.Title as AUTitle, Au.LinkStream as AULinkStream,
									  Au.LinkDownload
                                 from paristemi_bt_album A, paristemi_bt_song S, paristemi_bt_audio Au
                                 where S.AlbumID = A.ID and S.AudioID = Au.ID
                                 order by S.Title");
        
        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $data[] = new SongData( $row['ATitle'], $row['ADescription'],
                                   $row['ID'], $row['AlbumID'], $row['AudioID'], $row['Title'], $row['Lyrics'], $row['Chords'],
                                   $row['AUTitle'], $row['AULinkStream'],$row['LinkDownload'],"");
        }

        return $data;
    }
}


/**
 * <b>Database Container Class : Album</b><br />
 * Contains all of the specific data for an album.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright &copy; 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
    class AlbumData {
       var $ID;
       var $Title;
       var $Description;

       function AlbumData($id='', $title='', $description='') {
          $this->ID = $id;
          $this->Title = stripslashes($title);
          $this->Description = nl2br(stripslashes($description));
       }
    }

/**
 * <b>Database Container Class : Song</b><br />
 * Contains all of the specific data for a worship song.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
    class SongData {
       var $ATitle;
       var $ADescription;
       var $ID;
       var $AlbumID;
       var $AudioID;
       var $Title;
       var $Lyrics;
       var $Chords;
       var $AUTitle;
       var $AULinkStream;
       var $AULinkDownload;
       var $TNumer;
       
       function SongData($atitle='', $adescription='', $id='', $albumid='', 
                         $audioid='', $title='', $lyrics='', $chords='', $autitle='', $aulink='', $aulinkdl='',$tnumber='') {
         $this->ATitle = stripslashes($atitle);
         $this->ADescription = nl2br(stripslashes($adescription));
         $this->ID = $id;
         $this->AlbumID = $albumid;
         $this->AudioID = $audioid;
         $this->Title = stripslashes($title);
         $this->Lyrics = $lyrics;
         $this->Chords = $chords;
         $this->AUTitle = stripslashes($autitle);
         $this->AULinkStream = $aulink;
         $this->AULinkDownload = $aulinkdl;
         $this->TNumber = $tnumber;
       }
    }
    

?>