<?php
/**
 * <b>Database Class : Prayer</b><br />
 * Provides all database access/modification methods for the prayer section.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */  
/**
 * <b>Database Class : Prayer</b><br />
 * Provides all database access/modification methods for the prayer section.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */   
class DB_Prayer {
	
	function DB_Prayer() { }
		
      // Get contact info
    function &GetPrayerData($id) {
		// convert ID to integer
		$id = intval($id);
        $result = mysql_query("select P.ID, P.Title, P.Description,
        							  P.PersonName, P.PersonEmail, P.PersonLocation, P.PrayerContact,
        							  P.Private, P.DateEntered, P.DateNeeded,
        							  P.DateDelete, P.Approved, P.RandomKey,
                                      CG.Name as ContactName, CG.Contacts
                               from paristemi_rt_contact_group CG, paristemi_bt_prayer P
                               where CG.ID = P.PrayerContact
                               	  AND P.ID = $id
							   limit 1");

        	$row = mysql_fetch_array($result, MYSQL_ASSOC);
           $dateentered = getdate(strtotime($row['DateEntered']));
           $dateneeded = getdate(strtotime($row['DateNeeded']));
           $datedelete = getdate(strtotime($row['DateDelete']));
           $data = new PrayerData($row['ID'], $row['Title'], $row['Description'],
                           $row['PersonName'], $row['PersonEmail'], $row['PersonLocation'], $row['PrayerContact'],
                           $row['Private'], $dateentered, $dateneeded,
                           $datedelete, $row['Approved'], $row['ContactName'],
                           $row['Contacts'], $row['RandomKey']);

        return $data;
    }
    
    function &GetLatestPrayerID() {
        $result = mysql_query("SELECT LAST_INSERT_ID() as latestID FROM paristemi_bt_prayer;")
                              or $this->Error('Nothing found?');
        $row = mysql_fetch_array($result, MYSQL_ASSOC);
        return $row['latestID'];
    }
    
    function &GetPrayers() {
        $data = Array();
        $result = mysql_query("select P.ID, P.Title, P.Description,
        							  P.PersonName, P.PersonEmail, P.PersonLocation, P.PrayerContact,
        							  P.Private, P.DateEntered, P.DateNeeded,
        							  P.DateDelete, P.Approved, P.Key,
                                      CG.Name as ContactName, CG.Contacts
                               from paristemi_rt_contact_group CG, paristemi_bt_prayer P
                               where CG.ID = P.PrayerContact
                               order by P.DateEntered");

        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $dateentered = getdate(strtotime($row['DateEntered']));
           $dateneeded = getdate(strtotime($row['DateNeeded']));
           $datedelete = getdate(strtotime($row['DateDelete']));
           
           $data[] = new PrayerData($row['ID'], $row['Title'], $row['Description'],
                           $row['PersonName'], $row['PersonEmail'], $row['PersonLocation'], $row['PrayerContact'],
                           $row['Private'], $dateentered, $dateneeded,
                           $datedelte, $row['Approved'], $row['ContactName'],
                           $row['Contacts'], $row['Key']);
        }

        return $data;
    }
    
    function &GetCurrentPublicPrayers() {
        $data = Array();
        $result = mysql_query("select P.ID, P.Title, P.Description,
        							  P.PersonName, P.PersonEmail, P.PersonLocation, P.PrayerContact,
        							  P.Private, P.DateEntered, P.DateNeeded,
        							  P.DateDelete, P.Approved, P.RandomKey,
                                      CG.Name as ContactName, CG.Contacts
                               from paristemi_rt_contact_group CG, paristemi_bt_prayer P
                               where CG.ID = P.PrayerContact
                                  AND (P.Approved > 0)
                               	  AND (P.DateDelete > NOW())
								  AND (P.Private = 0)
                               order by P.DateEntered DESC");

        //Process each row.
        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $dateentered = getdate(strtotime($row['DateEntered']));
           $dateneeded = getdate(strtotime($row['DateNeeded']));
           $datedelete = getdate(strtotime($row['DateDelete']));
           
           $data[] = new PrayerData($row['ID'], $row['Title'], $row['Description'],
                           $row['PersonName'], $row['PersonEmail'], $row['PersonLocation'], $row['PrayerContact'],
                           $row['Private'], $dateentered, $dateneeded,
                           $datedelete, $row['Approved'], $row['ContactName'],
                           $row['Contacts'],$row['RandomKey']);
        }

        return $data;
    }
    
    function &AddPrayer(&$title, &$desc, &$personname, &$personemail, &$personloc,
    			        &$prayercontact, &$private, &$dateentered, &$dateneeded,
                        &$datedelete,&$key)
    {
        $result = mysql_query("insert into paristemi_bt_prayer
                                 (Title, Description, PersonName, PersonEmail, PersonLocation,
                                  PrayerContact, Private, DateEntered,
                                  DateNeeded, DateDelete, Approved, RandomKey)
                               values ('$title', '$desc', '$personname', '$personemail', '$personloc',
                                       $prayercontact, $private, '$dateentered',
                                       '$dateneeded', '$datedelete',0,$key);");
        return ($result);
    }
    
    function &ApprovePrayer(&$id,&$key)
    {
		// !!! Needs number validation??
        $result = mysql_query("update paristemi_bt_prayer
                              set Approved = 1
                              where ID = $id AND RandomKey = $key;");
        return ($result);
    }
    
    function &UpdatePrayer(&$id, &$title, &$desc, &$personname, &$personemail, &$personloc,
    			        &$prayercontact, &$private, &$dateentered, &$dateneeded,
                        &$datedelete,&$key,&$approve)
    {
		// convert to integer
		$id = intval($id);
		// !!! NOTE: PHP supports 4-byte absolute integers maximum
		// but the database column 'RandomKey' is BIGINT (8-bytes)
        $result = mysql_query("update paristemi_bt_prayer
        						set Title = '$title',
        						    Description = '$desc',
        						    PersonName = '$personname',
        						    PersonEmail = '$personemail',
                                    PersonLocation = '$personloc',
        						    PrayerContact = '$prayercontact',
        						    Private = $private,
        						    DateEntered = '$dateentered',
        						    DateNeeded = '$dateneeded',
        						    DateDelete = '$datedelete',
									Approved = $approve
        						where ID = $id AND RandomKey = $key;");
        return ($result);
    }
    
    function &DeletePrayer($id)
    {
		// convert to integer
		$id = intval($id);
        $result = mysql_query("delete from paristemi_bt_prayer
                              where ID = $id
                              limit 1;");
        return ($result);
    }

}


/**
 * <b>Database Container Class : Prayer</b><br />
 * Contains all of the specific data for a prayer request.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_database_layer
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
class PrayerData {
    var $ID;
    var $Title;
    var $Description;
    var $PersonName;
    var $PersonEmail;
    var $PersonLocation;
    var $PrayerContact;
    var $IsPrivate;
    var $DateEntered;
    var $DateNeeded;
    var $DateDelete;
    var $Approved;
    var $ContactName;
    var $Contacts;
    var $Key;

    function PrayerData($id='', $title='', $desc='', $personname='', $personemail='', $personloc='',
    			     $prayercontact='', $isprivate='', $dateentered='', $dateneeded='',
                 $datedelete='', $approved='', $contactname='', $contacts='', $key='') {
        $this->ID = $id;
        $this->Title = stripslashes($title);
        $this->Description = nl2br(stripslashes($desc));
        $this->PersonName = stripslashes($personname);
        $this->PersonEmail = $personemail;
        $this->PersonLocation = stripslashes($personloc);
        $this->PrayerContact = $prayercontact;
        $this->IsPrivate = $isprivate;
        $this->DateEntered = $dateentered;
        $this->DateNeeded = $dateneeded;
        $this->DateDelete = $datedelete;
        $this->Approved = $approved;
        $this->ContactName = stripslashes($contactname);
        $this->Contacts = $contacts;
        $this->Key = $key;
    }
}
?>