<?php
/**
* @package paristemi
* @subpackage paristemi_business_logic
* <b>Footer</b><br />
* This contains all of the business logic for displaying the site footer.
* Sections include:
* - Sub Nav Bar
*   - Devotionals
*   - Mailing Lists
*   - Resources
*   - Library
*   - Support
*   - Feedback
*   - Help
*   - Gospel Link
* - Contact/Legal
* - Increase Font Size
* - Multi-Search Box (Site, Google, Bible Gateway)
* @author Kristen O'Brien <kristen_paristemi-com>
* @copyright Copyright 2004, Kristen O'Brien
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @link http://www.paristemi.com Paristemi Main Site
* @link http://www.google.com Google
* @link http://www.biblegateway.com Bible Gateway
* @since Build 0.1
* @version Build 0.8
* @filesource
*/
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; } 

$smarty = UtilSmarty::createSmarty();
$lookandfeeldir = $DEFAULT_LOOK;
if(isset($_COOKIE['template'])) { $lookandfeeldir = $_COOKIE['template']; }
if(ltrim(dirname($_SERVER['SCRIPT_NAME'])).'/' != '/'.rtrim($PICTURE_DIR)) {
    if ($_SERVER['SCRIPT_NAME'] != $SITE_DIRECTORY.$MAIN_PAGE) {
        $smarty->assign('hassidebar','yes');
    }
    else { $smarty->assign('hassidebar','no'); }
    $smarty->assign('hasshadows','yes');
}   
else { $smarty->assign('hasshadows','no'); }

    $navlinks = array();
    end($BOTTOM_NAVIGATION_HEADINGS);
    $lastnavkey = key($BOTTOM_NAVIGATION_HEADINGS);
    reset($BOTTOM_NAVIGATION_HEADINGS);
    for($navcount = 1; $navcount <= $lastnavkey; $navcount++) {
        if(isset($BOTTOM_NAVIGATION_HEADINGS[$navcount])) {
            $navlinks[$BOTTOM_NAVIGATION_HEADINGS[$navcount]] = $BOTTOM_NAVIGATION_LINKS[$navcount];
        }
    }
   $smarty->assign('navarr',$navlinks);
   
   if($SHOW_GOSPEL_LINK) {
        $smarty->assign('gospellink',$HTTP_DOCUMENT_ROOT.$MEDIA_PATH.$GOSPEL_FILE);
        $smarty->assign('gospeltitle',$GOSPEL_TITLE);
   }
   else { $smarty->assign('gospellink',""); }
   
   $smarty->assign('churchname',$CHURCH_NAME);
   if($SHOW_FOOTER_CONT) { 
     $smarty->assign('footercontact',UtilHtml::HideEmailAddress($FOOTER_CONTACT,$FOOTER_CONTACT));
   }
   $smarty->assign('legal',array('linktext'=>$HTTP_DOCUMENT_ROOT.$LEGAL_FILE,'linktitle'=>$S_LEGAL));
   $smarty->assign('showemailfriend',$SHOW_EMAIL_FRIEND);
   $fullurl = "http://".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
   if($_SERVER['QUERY_STRING'] != '') { $fullurl .= "?".$_SERVER['QUERY_STRING']; }
   $smarty->assign('emailfriend',array('imagesrc'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$EMAIL_FRIEND_IMG,
                                       'imagealt'=>$S_EMAIL_FRIEND,
                                       'linkpath'=>$HTTP_DOCUMENT_ROOT.$EMAIL_FRIEND_PAGE."?refpage=".rawurlencode($fullurl),
                                       'linktext'=>$S_EMAIL_FRIEND));
   $smarty->assign('showtextincrease',$SHOW_TEXT_INCREASE_LINK);
   if($SHOW_TEXT_INCREASE_LINK) {
      $smarty->assign('lgtext',array('imagesrc'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$CHANGE_LG_FONT_IMG,
                                     'imagealt'=>$S_CHANGE_FONT_LG,
                                     'linktext'=>$HTTP_DOCUMENT_ROOT,
                                     'linktitle'=>$S_CHANGE_FONT_LG,
                                     'onclick'=>$HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$CSS_DIR.$lookandfeeldir."/".$CSS_TEXT_LARGE));
      $smarty->assign('regtext',array('imagesrc'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$CHANGE_RG_FONT_IMG,
                                      'imagealt'=>$S_CHANGE_FONT_RG,
                                      'linktext'=>$HTTP_DOCUMENT_ROOT,
                                      'linktitle'=>$S_CHANGE_FONT_RG,
                                      'onclick'=>$HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$CSS_DIR.$lookandfeeldir."/".$CSS_TEXT));
   }
   UtilSmarty::setupSearchVars($smarty);
   $smarty->assign('searchtemplate',$SMARTY_TPL_SEARCH_BOX);
   $smarty->display($SMARTY_TPL_FOOTER);
?>