<?php 
/**
* <b>Header</b><br />
* This contains all of the business logic for displaying the site header.
* Includes all of the site CSS and JavaScript.
* If CSS cookie defined, it uses that CSS file for display (JavaScript).
* Nav Bar includes:
*   - About
*   - Calendar
*   - Events/Studes
*   - Locations
*   - Contact
*   - Worship Music
*   - Audio Messages
*   - Pictures
*   - Multimedia
*   - Prayer Requests
* @author Kristen O'Brien <kristen_paristemi-com>
* @copyright Copyright 2004, Kristen O'Brien
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @link http://www.paristemi.com Paristemi Main Site
* @package paristemi
* @subpackage paristemi_business_logic
* @since Build 0.1
* @version Build 0.8
* @filesource
*/
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; } 
require_once ($SERVER_DIRECTORY.$INCLUDE_PATH.$CONTACT_INCLUDE); 

// For some reason in the header only these have to be explicitly declared
// All other pages use the UtilSmarty::createSmarty() function
$smarty = new Smarty;
$smarty->template_dir = $SERVER_DIRECTORY.$INCLUDE_PATH.$SMARTY_TEMPLATE_DIR;
$smarty->compile_dir = $SERVER_DIRECTORY.$INCLUDE_PATH.$SMARTY_DIR.$SMARTY_TEMPLATEC_DIR;
$smarty->config_dir = $SERVER_DIRECTORY.$INCLUDE_PATH.$SMARTY_DIR.$SMARTY_CONFIG_DIR;
$smarty->cache_dir = $SERVER_DIRECTORY.$INCLUDE_PATH.$SMARTY_DIR.$SMARTY_CACHE_DIR;

 $smarty->assign('metakeywords',$CHURCH_KEYWORDS);
 $formvars = array('pagetitle'=>'','pagedesc'=>'','template'=>$DEFAULT_LOOK,'dbname'=>$DATABASE_NAME);
 if(getenv("QUERY_STRING")) { 
    UtilHtml::PrepareFormVariables($formvars);
    UtilHtml::ModifyFormVariable($formvars['pagetitle'],array('stripslashes'));
    UtilHtml::ModifyFormVariable($formvars['pagesubtitle'],array('stripslashes'));
    UtilHtml::ModifyFormVariable($formvars['pagedesc'],array('stripslashes'));
    if($formvars['template'] != $DEFAULT_LOOK) { setcookie('template',$formvars['template']); }
 }
      if($formvars['pagedesc'] == "") { $smarty->assign('metadesc',$ABOUT_CHURCH); }
      else { $smarty->assign('metadesc',$formvars['pagedesc']); }
      if($formvars['pagetitle'] == "") { $smarty->assign('metatitle',$CHURCH_NAME." - ".$MAIN_PAGE_TITLE); }
      else { 
          $formvars['pagetitle'] = $CHURCH_NAME." - ".$formvars['pagetitle']; 
          if($pagesubtitle != "") { $formvars['pagetitle'] .= " : ".$pagesubtitle; }
          $smarty->assign('metatitle',$formvars['pagetitle']);
      }
       $smarty->assign('jsfiles',array($HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$JAVASCRIPT_INCLUDE,
                                      $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$DATE_PICKER_INCLUDE));
       $basecsspath = $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$CSS_DIR;
       $csstablepath = $basecsspath.$formvars['template']."/".$CSS_TABLE;
       $csstextpath = $basecsspath.$formvars['template']."/".$CSS_TEXT;
       $csspagepath = $basecsspath.$formvars['template']."/".$CSS_PAGE;
       $smarty->assign('stylesheets',array($csstablepath,$csstextpath,$csspagepath));

      $smarty->assign('templatecode',"CreateCSSTemplateLink('".$basecsspath."','".$CSS_TABLE."');".
                                     "CreateCSSTemplateLink('".$basecsspath."','".$CSS_TEXT."');".
                                     "CreateCSSTemplateLink('".$basecsspath."','".$CSS_PAGE."');");

      $smarty->assign('mainlink',$HTTP_DOCUMENT_ROOT);
      $smarty->assign('churchtitle',$CHURCH_TITLE);
      $smarty->assign('churchsubtitle',$CHURCH_SUB_TITLE);

      
$db = new Database();
$con = new Contact();
$db_about = $db->GetClass('about');
$db_contact = $db->GetClass('contact');
$db_location = $db->GetClass('location');
$db_music = $db->GetClass('music');
      
      $navarr = array();
      end($TOP_NAVIGATION_HEADINGS);
      $lastnavkey = key($TOP_NAVIGATION_HEADINGS);
      reset($TOP_NAVIGATION_HEADINGS);
      for($navcount = 1; $navcount <= $lastnavkey; $navcount++) {
          if(isset($TOP_NAVIGATION_HEADINGS[$navcount])) {
              $subarrheadings = array();
              $subarrlinks = array();
              if(is_array($TOP_NAVIGATION_HEADINGS[$navcount])) {
                  $heading = $TOP_NAVIGATION_HEADINGS[$navcount][0];
              }
              else { $heading = $TOP_NAVIGATION_HEADINGS[$navcount]; }
              switch($heading) {
                  case $S_ABOUT:
                      $data =& $db_about->GetAllMinistries();
                      foreach ($data as $value) {
                          $subarrlinks[] = $GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['MINISTRY_DIR'].
                                           $GLOBALS['MINISTRY_FILE']."?id=".$value->ID;
                          $subarrheadings[] = $value->Title;
                      }
                      break;
                  case $S_LOCATIONS: 
                      $data =& $db_location->GetAllLocationData();
                      foreach ($data as $value) {
                         if($value->ShowMain) {
                             $subarrlinks[] = $GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['LOCATION_DIR'].
                                          $GLOBALS['LOCATION_FILE']."?id=".$value->ID;
                             $subarrheadings[] = $value->Name;
                         }
                      }
                      break;
                  case $S_CONTACT: 
                      $data =& $db_contact->GetMainContactData($CONTACT_TITLE_ORDER);
                      foreach ($data as $value) {
                          $subarrlinks[] = $GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['CONTACT_DIR'].
                                            $GLOBALS['CONTACT_FILE']."?contact=yes&amp;id=".$value->ID;
                          $subarrheadings[] = $con->conFormatName($value);
                      }
                      break;
                  case $S_WORSHIP_MUSIC: 
                      $data =& $db_music->GetAllAlbums();
                      foreach ($data as $value) {
                         if($value->Title != $S_OTHERS) {
                            $subarrlinks[] = $HTTP_DOCUMENT_ROOT.$MUSIC_DIR.$MUSIC_FILE."?id=".$value->ID;
                            $subarrheadings[] =$value->Title;
                         }
                         else { $other = $value; }
                      }
                      if(isset($other)) { 
                          $subarrlinks[] = $HTTP_DOCUMENT_ROOT.$MUSIC_DIR.$MUSIC_FILE.'?id='.$other->ID;
                          $subarrheadings[] = $S_OTHERS;
                      }
                      break;
                  default: break;
              }
              if(is_array($TOP_NAVIGATION_HEADINGS[$navcount])) {
                  $navheadings = array(0=>$TOP_NAVIGATION_HEADINGS[$navcount][0],
                                       1=>array_merge($TOP_NAVIGATION_HEADINGS[$navcount][1],$subarrheadings));
                  $navlinks = array(0=>$TOP_NAVIGATION_LINKS[$navcount][0],
                                    1=>array_merge($TOP_NAVIGATION_LINKS[$navcount][1],$subarrlinks));
              }
              else if(!empty($subarrheadings)) {
                  $navheadings = array(0=>$TOP_NAVIGATION_HEADINGS[$navcount],1=>$subarrheadings);
                  $navlinks = array(0=>$TOP_NAVIGATION_LINKS[$navcount],1=>$subarrlinks);
              }
              else { 
                  $navheadings = $TOP_NAVIGATION_HEADINGS[$navcount];
                  $navlinks = $TOP_NAVIGATION_LINKS[$navcount];
              }
              $navarr[] = array("headings"=>$navheadings,"links"=>$navlinks);
          }
      }
      $smarty->assign('navarr',$navarr);
      
      if(ltrim(dirname($_SERVER['SCRIPT_NAME'])).'/' != '/'.rtrim($PICTURE_DIR)) {
        if ($_SERVER['SCRIPT_NAME'] != $SITE_DIRECTORY.$MAIN_PAGE) {
            $smarty->assign('hassidebar','yes');
        }
        else { $smarty->assign('hassidebar','no'); }
        $smarty->assign('hasshadows','yes');
      }
      else { $smarty->assign('hasshadows','no'); }
      
      $smarty->display($SMARTY_TPL_HEADER);
?>