{foreach item=form from=$forms name=forms}
<form name="{$form.formname}" method="post" action="{$form.formaction}" enctype="multipart/form-data">
{if $form.hiddeninputs != null}
	{foreach item=hiddeninput from=$form.hiddeninputs}
		<input name="{$hiddeninput.name|lower}" type="hidden" value="{$hiddeninput.value}" id="{$hiddeninput.name|lower}">
	{/foreach}
{/if}
<table class="formdata">
<thead>
{if $form.heading != null}<tr><th colspan=2 class="tblheader">{$form.heading}</th></tr>{/if}
</thead><tbody>
{if $form.toptext != null}
	<tr><td class="formdata-heading">{$form.toptext.heading}</td>
	<td><span class="emphasis">{$form.toptext.text}</span></td></tr>
{/if}
{if !empty($form.formerrors)}
	<tr><td class="formdata-heading"></td><td><span class="emphasis" style="color:red">
		{foreach item=formerror from=$form.formerrors}{$formerror.text}<br />{/foreach}</span>
	</td></tr>
{/if}
{foreach item=formfield from=$form.formfields name=formfields}
{if !isset($formfield.break)}
	<tr><td class="formdata-heading">
		{if !empty($form.formvalidators)}{foreach item=formvalidator from=$form.formvalidators}
			{if $formfield.name|lower == $formvalidator.field|lower}<span class="emphasis">* </span>
		{/if}{/foreach}{/if}{$formfield.heading}: </td>
	<td>
{if $formfield.type == "textinput"}
	<input name="{$formfield.name|lower}" type="text" id="{$formfield.name|lower}" 
	{if $formfield.size != ""}size="{$formfield.size}"
	{else}size="35"{/if}
	{if isset($formfield.maxlength)} maxsize="{$formfield.maxlength}"{/if}
	{if $formfield.defaulttext != ""} value="{$formfield.defaulttext}"{/if} />
{/if}
{if $formfield.type == "passwordfield"}
	<input name="{$formfield.name|lower}" type="password" id="{$formfield.name|lower}"
	{if $formfield.size != ""}size="{$formfield.size}"
	{else}size="10"{/if} />
{/if}
{if $formfield.type == "datefield"}
	{html_select_date time=$formfield.date prefix=$formfield.prefix|lower start_year="-1" end_year="+2"}
	{if isset($formfield.showtime) && $formfield.showtime}
		{html_select_time time=$formfield.date prefix=$formfield.prefix|lower display_seconds=false 
				 display_meridian=true use_24_hours=false minute_interval=15} {/if}
{/if}
{if $formfield.type == "timefield"}
	{html_select_time time=$formfield.date prefix=$formfield.prefix|lower display_seconds=false 
				 display_meridian=true use_24_hours=false minute_interval=15}
{/if}
{if $formfield.type == "datepicker"}
<input type="text" name="{$formfield.name|lower}" value="{$formfield.date}">
<a href="javascript:show_calendar('document.{$form.formname}.{$formfield.name|lower}', document.{$form.formname}.{$formfield.name|lower}.value,{$formfield.showtime});">
<img src="{$docroot}/includes/datepick/cal.gif" width="16" height="16" border="0" alt="Click Here to pick date and time"></a>
{/if}
{if $formfield.type == "selectarea"}
	<select name="{$formfield.name|lower}" id="{$formfield.name|lower}" 
		{if isset($formfield.multiplesize)}size="{$formfield.multiplesize}" multiple{/if}>
		{foreach item=selectoption from=$formfield.options}
			<option value="{$selectoption.value}"
			{if $selectoption.selected == "yes"} selected="selected"{/if}
			 >{$selectoption.text}</option>
		{/foreach}
	</select>
{/if}
{if $formfield.type == "yesnoselect"}
	<select name="{$formfield.name|lower}" id="{$formfield.name|lower}">
		<option value="0"{if $formfield.selected == "no"} selected="selected"{/if}>No</option>
		<option value="1"{if $formfield.selected == "yes"} selected="selected"{/if}>Yes</option>
	</select>
{/if}
{if $formfield.type == "radioinput"}
	{foreach item=radioinput from=$formfield.items}
		<input type="radio" name="{$radioinput.name|lower}" value="{$radioinput.value}">{$radioinput.Title}<br />
	{/foreach}
{/if}
{if $formfield.type == "checkboxes"}
	{if isset($formfield.checkboxhalflength) && $formfield.checkboxhalflength >= 10}<div style="float:left">{/if}
	{section name=checkbox loop=$formfield.items}
		<input type="checkbox" name="{$formfield.items[checkbox].name|lower}" value="{$formfield.items[checkbox].value}"
			{if $formfield.items[checkbox].checked == "yes"} checked{/if}>{$formfield.items[checkbox].Title}<br />
		{if isset($formfield.checkboxhalflength) && $formfield.checkboxhalflength >= 10}
			{if $formfield.checkboxhalflength == $smarty.section.checkbox.index}</div><div style="float:left">{/if}
		{/if}
	{/section}
	</div>
{/if}
{if $formfield.type == "textbox"}
	<textarea name="{$formfield.name|lower}" type="text" id="{$formfield.name|lower}" 
		{if $formfield.rows != ""}rows="{$formfield.rows}"{/if}
		{if $formfield.cols != ""}cols="{$formfield.cols}"{/if}>{if $formfield.defaulttext != ""}{$formfield.defaulttext}{/if}</textarea>
{/if}
{if $formfield.type == 'htmlbox'}
{php}
	$tempvar = $this->get_template_vars('formfield');
	$editor=new FCKeditor(strtolower($tempvar['name']));
	$editor->ToolbarSet = 'Basic';
	if(isset($tempvar['defaulttext'])) { $editor->Value = $tempvar['defaulttext']; }
	echo $editor->CreateHTML();
{/php}
{/if}
{if $formfield.type == "filefield"}
	<input type="hidden" name="MAX_FILE_SIZE" value="30000000000000" />
	<input name="{$formfield.name|lower}" type="file" />
{/if}
{else}<td colspan=2><hr />{/if}
</td></tr>
{/foreach}
</tbody><tfoot>
{if $form.formnote != ""} <tr><td colspan="2"><em>{$form.formnote}</em></td></tr> {/if}
<tr><td>&nbsp;</td><td>
{if $form.resetname != ""}<input type="reset" name="Reset" value="{$form.resetname}">{/if}
{if $form.cancelname != ""}<input type="reset" name="Cancel" value="{$form.cancelname}" onClick="javascript:history.go(-1);">{/if}
{if $form.submit2name != ''}<input type="submit" name="Submit2" value="{$form.submit2name}">{/if}
<input type="submit" name="Submit" value="{$form.submitname}">
</td></tr>
</tfoot>
</table>
</form>
{if $form.formfocus != ""}
{php}
    $tempform = $this->get_template_vars('form');
    echo UtilHtml::FormFocus($tempform['formname'],$tempform['formfocus']);
{/php}
{/if}
{/foreach}