<?php
/**
* <b>Utility Class : Date & Time</b><br />
* A collection of utility functions for working with date and time.
* Most of the functions have to do with date formatting.
* @author Kristen O'Brien <kristen_paristemi-com>
* @copyright Copyright 2004, Kristen O'Brien
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @link http://www.paristemi.com Paristemi Main Site
* @package paristemi
* @subpackage paristemi_util
* @since Build 0.7
* @version Build 0.8
* @filesource
*/
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }

/**
* Utility Class : Date & Time
* A collection of utility functions for working with date and time.
* Most of the functions have to do with date formatting.
* @author Kristen O'Brien <kristen_paristemi-com>
* @copyright Copyright &copy; 2004, Kristen O'Brien
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @link http://www.paristemi.com Paristemi Main Site
* @package paristemi
* @subpackage paristemi_util
* @since Build 0.7
* @version Build 0.8
* @filesource
*/
class UtilDatetime {
    
    // Helper functions for stored database data
    function FormatPHPDate(&$date,$showtime=1,$showweekday=1,$showyear=1) {
        $min = $date['minutes'] < 10 ? "0".$date['minutes'] : $date['minutes'];
        if($date['hours'] > 12) { $hours = ($date['hours']-12).":".$min." PM"; }
        else if($date['hours'] == 12) { $hours = $date['hours'].":".$min." PM"; }
        else { $hours = $date['hours'].":".$min." AM"; }
        
        $string = "";
        if($showweekday) { $string .= $date['weekday'].", "; }
        $string .= $date['month']." ".$date['mday'];
        if($showyear) { $string .= ", ".$date['year']; }
        if($showtime) { $string .= " - ".$hours; }
        return $string;
    }
    
    // Helper functions for stored database data
    function FormatShortPHPDate(&$date,$showtime=1,$showday=1) {
        $min = $date['minutes'] < 10 ? "0".$date['minutes'] : $date['minutes'];
        if($date['hours'] > 12) { $hours = ($date['hours']-12).":".$min." PM"; }
        else if($date['hours'] == 12) { $hours = $date['hours'].":".$min." PM"; }
        else { $hours = $date['hours'].":".$min." AM"; }
        $hours = $date['hours'] < 10 ? "0".$hours : $hours;
        $string = "";
        if($showday) { $string .= $date['mon']."/".$date['mday']."/".$date['year']; }
        if($showday && $showtime) { $string .= " - "; }
        if($showtime) { $string .= $hours; }
        return $string;
    }
    
    function FormatPHPDateToSQL($date,$showtime=1) {
       return $date['year']."-".($date['mon'] < 10 ? '0'.$date['mon']:$date['mon'])."-".($date['mday'] < 10 ? '0'.$date['mday']:$date['mday'])
          .($showtime?" ".($date['hours'] < 10 ? '0'.$date['hours']:$date['hours']).":".($date['minutes'] < 10 ? '0'.$date['minutes']:$date['minutes']).":".($date['seconds'] < 10 ? '0'.$date['seconds']:$date['seconds']):'');
    }
    
    function MergeDateSelects($month,$day,$year,$hour=23,$minute=59,$second=59)
    {
        return getdate(mktime($hour,$minute,$second,$month,$day,$year));
    }
}
    
    ?>