<?php
/**
* <b>Utility Class : File Manipulation & Creation</b><br />
* A collection of utility functions for working with files.
* Creation: PDFs and Images
* Manipulation: Gets URLs and Gathers File Sizes
* @author Kristen O'Brien <kristen_paristemi-com>
* @copyright Copyright 2004, Kristen O'Brien
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @link http://www.paristemi.com Paristemi Main Site
* @package paristemi
* @subpackage paristemi_util
* @since Build 0.7
* @version Build 0.8
* @filesource
*/
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
if($SHOW_PDF_DL) { require_once($SERVER_DIRECTORY.$INCLUDE_PATH.$PDF_CLASS); }

/**
* Utility Class : File Manipulation & Creation
* A collection of utility functions for working with files.
* Creation: PDFs and Images
* Manipulation: Gets URLs and Gathers File Sizes
* @author Kristen O'Brien <kristen_paristemi-com>
* @copyright Copyright &copy; 2004, Kristen O'Brien
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @link http://www.paristemi.com Paristemi Main Site
* @package paristemi
* @subpackage paristemi_util
* @since Build 0.7
* @version Build 0.8
* @filesource
*/
class UtilFiles {
// Utilities for file manipulation/creation
function PreparePDFString($string) {
    return
        str_replace('<a href="','<c:alink:',
        str_replace('" target="_blank','',
        str_replace('">','>',
        str_replace('</a>','</c:alink>',
        str_replace("<br />","",
        str_replace("&nbsp;"," ",
        str_replace("<span class=\"filesize\"","",
        str_replace("<span class=\"speaker\">","<b><i>",
        str_replace("</span>","</b></i>",
        str_replace("</em>","</i>",
        str_replace("<em>","<i>",$string)))))))))));
         
}    
  
function CreatePDF($title,$text,$footer,$sublink,$font="Helvetica.afm") {
    $pdf =& new Cezpdf();
    $pdf->selectFont($GLOBALS['SERVER_DIRECTORY'].$GLOBALS['INCLUDE_PATH']
                    .$GLOBALS['PDF_FONT_DIR'].$font); 
    $pdf->ezText('',14);
    $pdf->ezText(UtilFiles::PreparePDFString($title),16);
    $pdf->ezText('',14);
    $pdf->ezText(UtilFiles::PreparePDFString($text),12);
    $pdf->ezText('',20);
    $pdf->ezText(UtilFiles::PreparePDFString($footer),12);
    $pdf->ezText('',20);
    $pdf->ezText($GLOBALS['CHURCH_NAME'],14); 
    $pdf->ezText('<c:alink:'.$GLOBALS['HTTP_DOCUMENT_ROOT'].'>'.
                    $GLOBALS['HTTP_DOCUMENT_ROOT'].'</c:alink>',14);
    $pdf->ezText('(<c:alink:'.trim($sublink).'>'.trim($sublink).'</c:alink>)',10);
    $pdf->ezStream();
}
    
function createImageText($id,$area,$height=20,$width=200,$bgcolor="255,255,255",
                         $textcolor="0,0,255",$font=2,$x=2,$y=2) {
  if(function_exists("gd_info")) {
    $gdinfo = gd_info();
    if (isset($gdinfo['GIF Support'])) {
        if($gdinfo['GIF Support']) {
            return '<img src="'.$GLOBALS['HTTP_DOCUMENT_ROOT'].
                    $GLOBALS['INCLUDE_PATH'].$GLOBALS['MAKE_IMAGE_INCLUDE'].
                    '?imgtype=gif&amp;id='.$id.'&amp;area='.
                    $area.'&amp;width='.$width.'&amp;height='.$height.'&amp;bgcolor='.$bgcolor.
                    '&amp;textcolor='.$textcolor.'&amp;font='.$font.'&amp;x='.$x.'&amp;y='.$y.'">';
        }
    }
    else if(isset($gdinfo['JPG Support'])) {
        if($gdinfo['JPG Support']) {
            return '<img src="'.$GLOBALS['HTTP_DOCUMENT_ROOT'].
                    $GLOBALS['INCLUDE_PATH'].$GLOBALS['MAKE_IMAGE_INCLUDE'].
                    '?imgtype=jpg&amp;id='.$id.'&amp;area='.
                    $area.'&amp;width='.$width.'&amp;height='.$height.'&amp;bgcolor='.$bgcolor.
                    '&amp;textcolor='.$textcolor.'&amp;font='.$font.'&amp;x='.$x.'&amp;y='.$y.'">';
        }
    }
    else if($gdinfo['PNG Support']) {
        if($gdinfo['PNG Support']) {
            return '<img src="'.$GLOBALS['HTTP_DOCUMENT_ROOT'].
                    $GLOBALS['INCLUDE_PATH'].$GLOBALS['MAKE_IMAGE_INCLUDE'].
                    '?imgtype=png&amp;id='.$id.'&amp;area='.
                    $area.'&amp;width='.$width.'&amp;height='.$height.'&amp;bgcolor='.$bgcolor.
                    '&amp;textcolor='.$textcolor.'&amp;font='.$font.'&amp;x='.$x.'&amp;y='.$y.'">';
        }
    }
  }
  return null;
}

// From dave at birko dot cjb dot net (PHP Filesize Comment)
function fsize($size) {
    $a = array("B","KB","MB","GB","TB","PB"); $pos = 0;
    while ($size >= 1024) { $size /= 1024; $pos++; }
    return round($size,2)." ".$a[$pos];
} 
   
function ParseServerFromURL($url) {
    $urlarr = parse_url($url);
    return $urlarr['host'];
}
  
function ParseFileFromURL($url) {
    $urlarr = parse_url($url);
    return $urlarr['path'];
}
 
//socket code from AlCapone (http://forums.devshed.com/member.php?action=getinfo&userid=12092)
function GetFilesize($file,$usebytes=0) {
    if(strcmp(UtilFiles::ParseServerFromURL($file),$GLOBALS['SERVER_NAME']) == 0) {
        $file = UtilFiles::ParseFileFromURL($file);
        $file = $GLOBALS['SERVER_DIRECTORY'].substr($file,1,strlen($file));
        if(file_exists($file)) {
            if($usebytes) {  return filesize($file); }
            else { return UtilFiles::fsize(filesize($file)); }
        }
        else { return null; }
    }
    else {
        $fsize = 0;
        $fp = fsockopen(UtilFiles::ParseServerFromURL($file),80,$errno,$errstr,30);
        if($fp) {
            fputs($fp,"HEAD ".$file." HTTP/1.0\r\n\r\n");
            while(!feof($fp)) {
                $line=fgets($fp,128);
                if(eregi("^Content-Length: ([0-9]+)",$line,$a)) { $fsize=$a[1]; }
            }
            fclose($fp);
        }
        if($usebytes) { return $fsize; }
        else { return UtilFiles::fsize($fsize); }
    }
}
}

?>