<?php 
/**
 * <b>Main Index</b><br />
 * Display all of the main page blocks and information.<br />
 * Blocks available are:
 * - Left Side
 *   - About (Mission Statement)
 *   - Announcements
 *   - Upcoming Events
 * - Right Side (Box)
 *   - Gospel Link/New Believer Resources
 *   - Today's Bible Verse
 *   - Showcased Devotional
 *   - Showcased Bible Trivia
 *   - Main Office & Contact Info
 *   - Web Updates
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright &copy; 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.5
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }
require_once ($SERVER_DIRECTORY.$INCLUDE_PATH.$HEADER);
require_once ($SERVER_DIRECTORY.$INCLUDE_PATH.$CALENDAR_INCLUDE);

$smarty = UtilSmarty::createSmarty();
$cal = new Calendar;
$db = new Database();
$db_main = $db->GetClass('main');
$db_cal = $db->GetClass('cal');
$db_ml = $db->GetClass('mailinglist');
$db_studies = $db->GetClass('studies');

     $announceid = 0;
      if(getenv("QUERY_STRING")) { 
          if(isset($_GET['announceid'])) { $announceid = $_GET['announceid']; }
      }
      
      $smarty->assign('mtitle',$MAIN_PAGE_TITLE);
      $smarty->assign('abouttitle',$S_ABOUT);
      $smarty->assign('mintro',$MAIN_PAGE_INTRO);
      
      if($SHOW_SERVICE_TIMES) {
        $smarty->assign('servicetitle',$S_SERVICE_TIMES);
        $smarty->assign('mainstudylink',$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.$STUDIES_FILE."?id=");
        $mainstudies = $db_studies->GetCurrentMainStudies();
        for($i=0; $i < count($mainstudies); $i++) {
            $tempstudy = $mainstudies[$i];
            $tempstudy->Day =& $cal->getWeekday($mainstudies[$i]->Day);
            $mainstudies[$i] = $tempstudy;
        }
        $smarty->assign('mainstudies',$mainstudies);
      }
      
      $smarty->assign('showannouncements',$SHOW_ANNOUNCEMENTS);
      $smarty->assign('adminbar_section_name',$S_ANNOUNCEMENTS);
      $smarty->assign('adminbar_section_add','announce');
      $announcements = $db_main->GetAnnouncementsByCat('main');
      if(($SHOW_ANNOUNCEMENTS && count($announcements) != 0) || adminCheck()) { 
         $smarty->assign('announcetitle',$S_ANNOUNCEMENTS);
         $announcementsarr = array();
         $smarty->assign('contact',$S_CONTACT);
         $smarty->assign('morelinktext',$S_MORE);
         foreach($announcements as $announce) {
             $announcearr = array();
             $announcearr['ID'] = $announce->ID;
             $announcearr['Title'] = $announce->Title;
             $announcearr['Description'] = $announce->Description;
             if($announce->ID == $announceid) { $announcearr['showdesc'] = "yes"; }
             else { 
                 $announcearr['showdesc'] = "no";
                 if(strpos($announce->Description,". ") !== false) {
                 	$announcearr['firstsentence'] = trim(substr($announce->Description,0,
                                            strpos($announce->Description,". ")+2));
                 }
                 else if(strpos($announce->Description,"!") !== false) { 
                     $announcearr['firstsentence'] = trim(substr($announce->Description,0,
                                             strpos($announce->Description,"!")+1));
                 }
                 else if(strpos($announce->Description,".") !== false) {
                     $announcearr['firstsentence'] = trim(substr($announce->Description,0,
                                             strpos($announce->Description,".")+1));
                 }
                 else { $announcearr['firstsentence'] = $announce->Description; }
             }
             if(strcmp(trim($announce->Name),$S_WEBSERVANTS) != 0) {
                 $announcearr['ContactLink'] = $HTTP_DOCUMENT_ROOT.$CONTACT_FORM."?id=".$announce->CID;
                 $announcearr['ContactName'] = trim($announce->Name);
                 $announcearr['showcontact'] = "yes";
             }
             else { $announcearr['showcontact'] = "no"; }
             $announcearr['showmorelink'] = "no";
             if($announceid != $announce->ID) { 
                if(strcmp($announcearr['firstsentence'],$announcearr['Description']) != 0) {
                    $announcearr['showmorelink'] = "yes";
                    $announcearr['MoreLink'] = $HTTP_DOCUMENT_ROOT.'?announceid='.$announce->ID;
                }
             }
             $announcementsarr[] = $announcearr;
         }
         $smarty->assign('announcements',$announcementsarr);
      } 
      $smarty->assign('showcurrevents',$SHOW_CURR_EVENTS);
      if($SHOW_CURR_EVENTS) { 
          $today = getdate(time());
          $starttime = getdate((time()-(($HOURS_LATENCY_MAIN+1)*60*60)));
          $endtime =& $cal->nextDay($NUM_DAYS_MAIN-1,$today);
          $data =& $db_cal->GetWeekData($starttime, $endtime,0);
          $smarty->assign('curreventtable',
                $cal->currentEvents($data,0,1,$CURR_EVENT_TITLE,$CURR_EVENT_EMPTY)); 
      }
      
      $rightboxarr = array();
       if($SHOW_GOSPEL_SECTION) {
            $boxitem = array();
            $boxitem['Title'] = $GOSPEL_TITLE;
            $boxitem['Text'] = "";
            $boxitem['Links'] = array(
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MEDIA_PATH.$GOSPEL_FILE,
                      'LinkText'=>$S_LEARN_MORE),
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$NEW_BELIEVER_FILE,
                      'LinkText'=>$S_NEW_BELIEVER." ".$S_RESOURCES)
                );
            $rightboxarr[] = $boxitem;
        }
        
        $smarty->assign('showpicture',$SHOW_MAIN_PICTURES);
        if($SHOW_MAIN_PICTURES) {
            $currtime = getdate(time());
            $secondsindex = round($currtime['seconds'] % count($MAIN_PICTURES));
            $smarty->assign('mainpicture',
                array('src'=>$HTTP_DOCUMENT_ROOT.$MAIN_PICTURE_PATH.$MAIN_PICTURES[$secondsindex],
                      'alt'=>$CHURCH_NAME));
        }

        if($SHOW_NEW_BELIEVER_SECTION) {
            $boxitem = array();
            $boxitem['Title'] = $NEW_BELIEVER_TITLE;
            $boxitem['Text'] = "";
            $boxitem['Links'] = array(
                array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$NEW_BELIEVER_FILE,
                      'LinkText'=>$S_NEW_BELIEVER." ".$S_RESOURCES)
                );
            $rightboxarr[] = $boxitem;
        }
        
        if($SHOW_BIBLE_VERSE) { 
            $boxitem = array();
            $boxitem['Title'] = $BIBLE_VERSE_HEADING;
    		if($SHOW_BIBLE_VERSE_DB) {
    			$book = ""; $chapter = "";
    			if($SHOW_BIBLE_VERSE_DB_RAND) { $ref = $db_main->GetRandomBibleVerse(); }
    			else { $ref = $db_main->GetTodaysBibleVerse($BIBLE_TODAY_INDEX); }
                $boxitem['Text'] = UtilBible::DisplayVerse($ref,UtilBible::GetVerses($ref),$DB_BIBLE_VERSION,0,1,0);
                $boxitem['Links'] = array();
                if($SHOW_BIBLE_VERSE_ML) {
    				$ml = $db_ml->GetMailingListDataByName("Daily Bible Verse");
                    $boxitem['Links'][] = array(
                        'LinkPath'=>$HTTP_DOCUMENT_ROOT.$MAILING_LIST_DIR.
                                $ML_SUBSCRIBE_FILE."?type=Subscribe&amp;id=".$ml->ID,
                        'LinkText'=>$S_EMAIL." ".$S_VERSE." ".$S_DAILY);
    			}
                $boxitem['Links'][] = array(
                        'LinkPath'=> UtilBible::DisplayChapterLink($ref,"","",0),
                        'LinkText'=> $S_READ_CHAPTER);
    		}
    		else { 
              $boxitem['Text'] = $BIBLE_VERSE_SITE;
              $boxitem['Links'] = null;
            }
            $rightboxarr[] = $boxitem;
    	 } 
        if($SHOW_DEVOTIONAL) {
            $boxitem = array();
            $devotional = $db_main->GetShowcaseDevotional();
            $boxitem['Title'] = $DEVOTIONAL_FREQ." ".$S_DEVOTIONAL;
            
            if($SHOW_DEVOTIONAL_VERSE) {
            	$boxitem['Text'] = UtilBible::DisplayVerse($devotional->KeyVerse,UtilBible::GetVerses($devotional->KeyVerse));
            	$boxitem['Links'] = array(array(
                        'LinkPath' => $HTTP_DOCUMENT_ROOT.$DEVOTIONAL_FILE,
                        'LinkText' => $S_READ." ".$S_DEVOTIONAL));
            }
            else { 
                $boxitem['Text'] = "";
                $boxitem['Links'] = array(array(
                        'LinkPath' => $HTTP_DOCUMENT_ROOT.$DEVOTIONAL_FILE,
                        'LinkText' => $devotional->Title));
            }
            $rightboxarr[] = $boxitem;
          } 
          
          if($SHOW_BIBLE_TRIVIA) {
             $boxitem = array();
             $trivia = $db_main->GetShowcaseBibleTrivia();
             $boxitem['Title'] = $BIBLE_TRIVIA_FREQ." ".$S_BIBLE_TRIVIA;
             $boxitem['Text'] = $trivia->Question;
             $boxitem['Links'] = array(array(
                        'LinkPath' => $HTTP_DOCUMENT_ROOT.$BIBLE_TRIVIA_FILE,
                        'LinkText' => $S_ANSWER." ".$S_BIBLE_TRIVIA." "));
             $rightboxarr[] = $boxitem;
           }
           
            $boxitem = array();
            $boxitem['Title'] = $S_CHURCH." ".$S_OFFICE;
            $boxitem['Text'] = $CONTACT_INFO; 
            $boxitem['Links'] = null;
            $rightboxarr[] = $boxitem;
            
            if($SHOW_WEB_UPDATES) { 
                $boxitem = array();
			    $boxitem['Title'] = $S_WEBSITE." ".$S_UPDATES;
                $dbwebupdates = $db_main->GetAnnouncementsByCat('web',2,0);
                $dbautowebupdates = $db_main->GetAnnouncementsByCat('auto',2,0);
                $webupdates = array_merge($dbwebupdates,$dbautowebupdates);
                $tempfunction = create_function('$event1,$event2',
                    'return strcmp($event2->Created[0],$event1->Created[0]);');
                usort($webupdates,$tempfunction);
                $updates = array();
                foreach($webupdates as $update) {
                    $dateval = date("m.d.y",$update->Created[0]);
                    $updates[$update->Title] = $dateval;
                }
                $boxitem['Text'] = $updates;
                $boxitem['Links'] = null;
                $rightboxarr[] = $boxitem;
            }
            
            $smarty->assign('rightbox',$rightboxarr);
            $smarty->assign('contentboxtemplate',$SMARTY_TPL_RIGHT_BOX);
            $smarty->display($SMARTY_TPL_MAIN_PAGE);
?>
<?php require_once ($SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER); ?>
