<?php 
/**
 * <b>Library Section</b><br />
 * The library section lists the library categories and library catalog items.
 * This section is searchable.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.4
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; } 

$db = new Database();
$db_lib = $db->GetClass('library');

    $id="";$cat="";$group="";$item="";$searchterm="";$stitle="";$sauth="";$lbegin=0;$searchflg=false;
    $sdesc="";$sisbn="";$scatnum="";$sformat="";$scategory="";$skeywords="";$scount=0;$scntflg=false;
    $showlabels="";$count="";         
	if(getenv("QUERY_STRING")) {
          	 if(isset($_GET['id'])) {$id = $_GET['id'];}
             if(isset($_GET['cat'])) {$cat = $_GET['cat'];}
             if(isset($_GET['group'])) {$group = $_GET['group'];}
             if(isset($_GET['item'])) {$item = $_GET['item'];}
             if(isset($_GET['searchterm'])) {
             	$searchterm = $_GET['searchterm'];$searchflg=true; }
             if(isset($_GET['title'])) {$stitle = $_GET['title'];}
             if(isset($_GET['author'])) {$sauth = $_GET['author'];}
             if(isset($_GET['description'])) {$sdesc = $_GET['description'];}
             if(isset($_GET['isbn'])) {$sisbn = $_GET['isbn'];}
             if(isset($_GET['catnum'])) {$scatnum = $_GET['catnum'];}
             if(isset($_GET['format'])) {$sformat = $_GET['format'];}
             if(isset($_GET['category'])) {$scategory = $_GET['category'];}
             if(isset($_GET['keywords'])) {$skeywords = $_GET['keywords'];}
             if(isset($_GET['lbegin'])) {$lbegin = $_GET['lbegin'];}
             if(isset($_GET['scount'])) {$scount = $_GET['scount'];$scntflg=true;}
             if(isset($_GET['showlabels'])) {$showlabels = $_GET['showlabels'];}
             if(isset($_GET['count'])) {$count = $_GET['count'];}
    }
	
	if($id != "") { 
		$value =& $db_lib->GetLibraryData($id);
		$pagesubtitle = $S_ITEM." - ".$value->Title; }
	else if($cat != "") { $pagesubtitle = $S_CATEGORY." - ".$cat; }
	else if($searchterm != "") { $pagesubtitle = $S_SEARCH." - ".ucwords(strtolower($searchterm)); }
	else { $pagesubtitle = $S_CATALOG; }
	
    if($showlabels == "") {
        require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
            "?pagetitle=".str_replace(" ","%20",htmlentities($S_LIBRARY)).
            "&pagesubtitle=".str_replace(" ","%20",htmlentities($pagesubtitle)).
            "&pagedesc=".str_replace(" ","%20",htmlentities($CHURCH_NAME." ".$S_DESC_LIBRARY)); 
    }

    $smarty = UtilSmarty::createSmarty();
    $smarty->assign('adminbar_section_name',$S_LIBRARY);
    $smarty->assign('adminbar_section_add','library');

     $categories = $db_lib->GetCategoriesUsed();
     $sidesection = array();
     $sidesection['Title'] = $S_LIBRARY." ".$S_CATALOG;
     $sidesection['Links'] = array();
     foreach($categories as $category) {
         $sidesection['Links'][]= array('LinkPath' => $HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.
                                                      $LIBRARY_FILE."?cat=".$category,
                                        'LinkText' => $category);
     }
     if(adminCheck()) {
        $sidesection['Links'][] = array('LinkText'=>'break');
        $sidesection['Links'][] = array(
            'LinkPath' => $HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.$LIBRARY_FILE."?showlabels=yes&count=27",
            'LinkText' => $S_ADMIN_PRINT_LABELS);
}
     $smarty->assign('sidesections',array($sidesection));
     
    $smarty->assign('searchformname','librarysearch');
    $smarty->assign('searchformfile',$LIBRARY_FILE);
    $smarty->assign('searchconstraints',
        array(array('name'=>'title','title'=>$S_TITLE),
              array('name'=>'author','title'=>$S_AUTHOR),
              array('name'=>'isbn','title'=>$S_ISBN),
              array('name'=>'catnum','title'=>$S_CATALOG." ".$S_NUMBER),
              array('name'=>'format','title'=>$S_FORMAT),
              array('name'=>'category','title'=>$S_CATEGORY),
              array('name'=>'keywords','title'=>$S_KEYWORDS)));
    $smarty->assign('searchsubmittitle',$S_SEARCH);
    $smarty->assign('bottomnote',$S_NOTE_LIBRARY);
      
  if(getenv("QUERY_STRING")) {
     if($searchflg)
     {
       if($searchterm == "") {
     	$finalresults =& $db_lib->GetAllLibraryDataByLimit($LISTING_LIMIT,$lbegin);
     	$scount = count($db_lib->GetAllLibraryData());
       }
       else {
     	$sterm = $searchterm;
     	$atype = array();
        if($stitle != null) { $atype[] = "title"; }
        if($sauth != null) { $atype[] = "author"; }
        if($sdesc != null) { $atype[] = "description"; }
        if($sisbn != null) { $atype[] = "isbn"; }
        if($scatnum != null) { $atype[] = "catnum"; }
        if($sformat != null) { $atype[] = "format"; }
        if($scategory != null) { $atype[] = "category"; }
        if($skeywords != null) { $atype[] = "keywords"; }
        
        $finalresults =& $db_lib->SearchLibrary($searchterm,$atype,$LISTING_LIMIT,$lbegin);
        if(!$scntflg) {$scount = $db_lib->SearchLibraryCount($searchterm,$atype);}
       }
        
        $smarty->assign('heading',$S_SEARCH." ".$S_RESULTS." (".$scount." ".$S_RESULTS.")");
        
        if($finalresults != null) {
            $listelements = array();
            foreach($finalresults as $item) {
                $linktext = $item->Title." by ";
                if($item->Author != "") { $linktext .= $item->Author; }
                else if ($item->Editor != "") { $linktext .= $item->Editor; }
                else { $linktext .= $item->Publisher; }
                $linktext .= " [".$item->CatalogNumber."]";
                $listelements[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.$LIBRARY_FILE."?id=".$item->ID,
                                        'Title'=>$linktext,'ID'=>$item->ID);
            }
            $smarty->assign('listelements',$listelements);
            $bottomlinks = array();
            if($scount >= $lbegin-$LISTING_LIMIT && $lbegin-$LISTING_LIMIT >= 0) {
            	$bottomlinks[] = array('LinkPath' => $HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.
            		$LIBRARY_FILE."?searchterm=".$sterm."&amp;title=".
            		$stitle."&amp;author=".$sauth."&amp;description=".$sdesc."&amp;isbn=".
            		$sisbn."&amp;catnum=".$scatnum."&amp;format=".$sformat."&amp;category=".
            		$scategory."&amp;keywords=".$skeywords."&amp;lbegin=".($lbegin-$LISTING_LIMIT).
            		"&amp;scount=".$scount,
                                       'LinkText' => "<< ".$S_PREVIOUS." ".$LISTING_LIMIT." ".$S_RESULTS);
            }
            if($lbegin+$LISTING_LIMIT < $scount) {
            	$linkpath = $HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.
            		$LIBRARY_FILE."?searchterm=".$sterm."&amp;title=".
            		$stitle."&amp;author=".$sauth."&amp;description=".$sdesc."&amp;isbn=".
            		$sisbn."&amp;catnum=".$scatnum."&amp;format=".$sformat."&amp;category=".
            		$scategory."&amp;keywords=".$skeywords."&amp;lbegin=".($lbegin+$LISTING_LIMIT)."&amp;scount=".$scount;
                if($scount-($lbegin+$LISTING_LIMIT) < $LISTING_LIMIT) {
            		 $linktext = $S_NEXT." ".($scount-($lbegin+$LISTING_LIMIT))." ".$S_RESULTS." >>";
				}
				else { $linktext = $S_NEXT." ".$LISTING_LIMIT." ".$S_RESULTS." >>"; }
                $bottomlinks[] = array('LinkPath' => $linkpath, 'LinkText' => $linktext);
            }
            $smarty->assign('bottomlinks',$bottomlinks);
        }
        else {
           $smarty->assign('notice',$N_SEARCH_LIBRARY_NONE);
        }
     }
     else if($showlabels != "") {
         $library_items = $db_lib->GetAllLibraryDataByLimit($count,0);
         echo "<html><head><title>".$S_LIBRARY." ".$S_ADMIN_PRINT_LABELS."</title><style>
			table.labelclass {
				margin:0in 0.1875in 0.1in 0in;
				padding-top:0.3in;
				width:8.5in;
				font-size:11px;
			}
			table.labelclass td { 
				width:1.8in;
				height:0.8in;
				margin-right:0.15625in;
				padding-left:0.6in;
				margin-top:0;
				padding-bottom:0.2in;
			}
			</style></head><body>
			";
         for($i = 0; $i < count($library_items); $i++) {
             if($i % 27 == 0) { echo '<table class="labelclass">'; }
             if($i % 3 == 0) { echo "<tr>"; }
             echo "<td>";
             $catstring = "";
             $catnumber = $library_items[$i]->CatalogNumber;
             for($j = 0; $j < strlen($catnumber); $j++)
                 $catstring .= $catnumber{$j}."<br>";
             echo substr($catstring,0,strlen($catstring)-4);
             echo "</td>";
             if($i % 3 == 2) { echo "</tr>"; }
             if($i % 27 == 26) { echo "</table>"; }
         }
         echo "</body></html>";
     }
     
     else {
      if($id != null) {
        $value =& $db_lib->GetLibraryData($id);
        $cat = $value->Category;
        $tblarr = array();
        $tblclass = "tbl-listing";
        $tbltdclass = array("tbl-listing-title","tbl-listing-item");
        $cbdlink = "";
        if ($value->ISBN != null) {
          $cbdlink = '<a href="http://www.christianbook.com/Christian/Books/easy_find/'.
          '139339658?action=Search&amp;Ntk=product.isbn&amp;Ntt='.$value->ISBN.'">'.$S_LIB_CBD_LINK.'</a><br /><br />';
        }
        $tblheader = " <h2>".$value->Title."</h2>".$cbdlink;
        $smarty->assign('adminitem_id',$value->ID);
        $smarty->assign('adminitem_title',$value->Title);

           if ($value->Author != "") {
              array_push($tblarr,array($S_AUTHOR,$value->Author));
           }
           if ($value->Editor != null) {
              array_push($tblarr,array($S_EDITOR,$value->Editor));
           }
           if ($value->Publisher != null) {
              array_push($tblarr,array($S_PUBLISHER,$value->Publisher));
           }
           if ($value->Series != null) {
               array_push($tblarr,array($S_SERIES,$value->Series));
           }
           if ($value->Description != null) {
               array_push($tblarr,array($S_DESC,$value->Description));
           }
           if ($value->CatalogNumber != null) {
              array_push($tblarr,array($S_CATALOG,$value->CatalogNumber));
           }
           if ($value->ISBN != null) {
              array_push($tblarr,array($S_ISBN,$value->ISBN));
           }
           if ($value->Category != null) {
               array_push($tblarr,array($S_CATEGORY,$value->Category));
           }
           if ($value->Keywords != null) {
               array_push($tblarr,array($S_KEYWORDS,$value->Keywords));
           }
           if ($value->Format != null) {
               array_push($tblarr,array($S_FORMAT,$value->Format));
           }
           if ($value->Year != null) {
               array_push($tblarr,array($S_YEAR,$value->Year));
           }
           if ($value->Pages != null) {
               array_push($tblarr,array($S_PAGES,$value->Pages));
           }
           if ($value->Copies != 0) {
               array_push($tblarr,array($S_COPIES,$value->Copies));
           }
           if ($value->CopiesOut != 0) {
               array_push($tblarr,array($S_COPIES_OUT,$value->CopiesOut));
           }
           if ($value->Notes != null) {
               array_push($tblarr,array($S_NOTES,$value->Notes));
           }
           
           $smarty->assign('printtable',UtilHtml::createTable($tblarr,$tblheader,$tblclass,"","",$tbltdclass));
     }
     else if($cat != "") {
        $listing = $db_lib->GetLibraryCategoryItems($cat,$LISTING_LIMIT,$lbegin);
        if(!$scntflg){$scount = $db_lib->GetLibraryCategoryCount($cat);}
		$smarty->assign('heading',$cat." (".$scount." ".$S_TOTAL.")");
		
        if($listing != null) {
            $listelements = array();
            foreach($listing as $item) {
                $linktext = $item->Title." by ";
                if($item->Author != "") { $linktext .= $item->Author; }
                else if ($item->Editor != "") { $linktext .= $item->Editor; }
                else { $linktext .= $item->Publisher; }
                $linktext .= " [".$item->CatalogNumber."]";
                $listelements[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.$LIBRARY_FILE."?id=".$item->ID,
                                        'Title'=>$linktext,'ID'=>$item->ID);
            }
            $smarty->assign('listelements',$listelements);
            
            $bottomlinks = array();
            if($scount >= $lbegin-$LISTING_LIMIT && $lbegin-$LISTING_LIMIT >= 0) {
            	$bottomlinks[] = array('LinkPath' => $HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.
                                    $LIBRARY_FILE."?cat=".$cat."&amp;lbegin=".($lbegin-$LISTING_LIMIT).
                                    "&amp;scount=".$scount,
                                    'LinkText' => "<< ".$S_PREVIOUS." ".$LISTING_LIMIT);
            }
            if($lbegin+$LISTING_LIMIT < $scount) {
            	$linkpath = $HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.
                            $LIBRARY_FILE."?cat=".$cat."&amp;lbegin=".($lbegin+$LISTING_LIMIT).
                            "&amp;scount=".$scount;
                if($scount-($lbegin+$LISTING_LIMIT) < $LISTING_LIMIT) {
                    $linktext = $S_NEXT." ".($scount-($lbegin+$LISTING_LIMIT))." ".$S_RESULTS." >>";
                }
                else { $linktext = $S_NEXT." ".$LISTING_LIMIT." ".$S_RESULTS." >>"; }
                $bottomlinks[] = array('LinkPath' => $linkpath, 'LinkText' => $linktext);
            }
            $smarty->assign('bottomlinks',$bottomlinks);
          }
          else {
              $smarty->assign('notice',$N_NO_LIB_FOUND." ".$S_FROM." ".$cat);
           }
        }
     }
  }
  else {
		$smarty->assign('introstatements',array(array('Title'=>$CHURCH_NAME." ".$S_LIBRARY." ".$S_CATALOG,
                                                      'Text'=>$LIBRARY_INTRO)));
  }
  if($id != null) {
        $smarty->assign('returnlink',array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$LIBRARY_DIR.$LIBRARY_FILE."?cat=".$cat,
                                           'LinkText'=>$S_RETURN_TO." ".$cat));
  }
  if($showlabels == "") { UtilSmarty::displaySectionPage($smarty);
?> 
<?php require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER; } ?>
