<?php 
/**
 * <b>Audio Messages</b><br />
 * The audio messages section shows all of the information and downloading of audio messages.<br />
 * Views available are:
 * - By Book
 * - By Topic
 * - By Date
 * This section is searchable.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.1
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }

      $db = new Database();
      $db_messages = $db->GetClass('messages');
      $smarty = UtilSmarty::createSmarty();
      $smarty->assign('adminbar_section_name',$S_AUDIO_MESSAGES);
      $smarty->assign('adminbar_section_add','audio');
      
      $db_messages->setGrouping(array_merge_recursive($MESSAGES_T_GROUPING));
      $db_messages->setBibleList($BIBLE_BOOK_LIST);
      
      $id="";$type="";$group="";$all="";$item="";$lbegin=0;$scount=0;
      $searchterm="";$stitle="";$sdesc="";$stopic="";$scntflg=false;$searchflg=false;
	  if(getenv("QUERY_STRING")) {
                 if(isset($_GET['id'])) {$id = $_GET['id'];}
                 if(isset($_GET['type'])) {$type = $_GET['type'];}
                 if(isset($_GET['group'])) {$group = $_GET['group'];}
                 if(isset($_GET['all'])) {$all = $_GET['all'];}
                 if(isset($_GET['item'])) {$item = $_GET['item'];}
                 if(isset($_GET['searchterm'])) {$searchterm = $_GET['searchterm'];$searchflg=true;}
                 if(isset($_GET['title'])) {$stitle = $_GET['title'];}
                 if(isset($_GET['description'])) {$sdesc = $_GET['description'];}
                 if(isset($_GET['topic'])) {$stopic = $_GET['topic'];}
                 if(isset($_GET['lbegin'])) {$lbegin = $_GET['lbegin'];}
                 if(isset($_GET['scount'])) {$scount = $_GET['scount'];$scntflg=true;}
	  }
	  
	    if($id != "") { 
			$value =& $db_messages->GetAudioData($id);
			$pagesubtitle = $value->Title; }
		else if($type != "") { 
			if($item != "") {
				$pagesubtitle = $S_LISTING_BY." ".ucwords(strtolower($type))." - ".ucwords(strtolower($item)); }
		    else { $pagesubtitle = $S_LISTING_BY." ".ucwords(strtolower($type)); }
	    }
		else if($searchterm != "") { $pagesubtitle = $S_SEARCH." - ".ucwords(strtolower($searchterm)); }
		else { $pagesubtitle = $S_RECENTLY_ADDED; }
		
		require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
        "?pagetitle=".str_replace(" ","%20",htmlentities($S_AUDIO_MESSAGES)).
		"&pagesubtitle=".str_replace(" ","%20",htmlentities(stripslashes($pagesubtitle))).
        "&pagedesc=".str_replace(" ","%20",htmlentities($CHURCH_NAME." ".$S_DESC_MESSAGES)); 
	  
        
        $sidesection = array();
        $sidesection['Title'] = $S_AUDIO_MESSAGES;
        $sidesection['Links'] = array();
        $sidesection['Links'][] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.
              $MESSAGES_FILE."?all=yes&amp;type=book",'LinkText'=>$S_BY_BOOK);
        $sidesection['Links'][] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.
              $MESSAGES_FILE."?all=yes&amp;type=topic",'LinkText'=>$S_BY_TOPIC);
        $sidesection['Links'][] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.
              $MESSAGES_FILE."?all=yes&amp;type=date",'LinkText'=>$S_BY_DATE);
        $smarty->assign('sidesections',array($sidesection));
        
        $icondescriptions = array();
        $icondescriptions[] = array('alt'=>$S_AUDIO." (".$S_STREAMING.")",
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$MESSAGES_IMG,
                                    'desc'=>$S_AUDIO." (".$S_STREAMING.")");
        $icondescriptions[] = array('alt'=>$S_AUDIO." (".$S_DOWNLOAD.")",
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$MESSAGES_IMG_DL,
                                    'desc'=>$S_AUDIO." (".$S_DOWNLOAD.")");
        $icondescriptions[] = array('alt'=>"PPT",
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PPT_IMG,
                                    'desc'=>"PowerPoint");
        $icondescriptions[] = array('alt'=>"PDF",
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PDF_IMG,
                                    'desc'=>"PDF");
        $smarty->assign('icondescriptions',$icondescriptions);
        
        $smarty->assign('searchformname','messagesearch');
        $smarty->assign('searchformfile',$MESSAGES_FILE);
        $smarty->assign('searchconstraints',
        array(array('name'=>'Title','title'=>$S_TITLE),
              array('name'=>'Description','title'=>$S_DESC),
              array('name'=>'Topic','title'=>$S_TOPIC)));
        $smarty->assign('searchsubmittitle',$S_MESSAGE.' '.$S_SEARCH);
            
              if(getenv("QUERY_STRING")) {
                 if($searchflg)
                 {
                   if($searchterm == "") { 
                   	$finalresults =& $db_messages->GetAllMessagesByLimit($LISTING_LIMIT,$lbegin);
                   	$scount = count($db_messages->GetAllMessages());
                   	$sterm = "";
                   }
                   else {
                 	$sterm = $searchterm;
                    
                    $atype = array();
                    if($sdesc != null) { $atype[] = "description"; }
                    if($stitle != null) { $atype[] = "title"; }
                    if($stopic != null) { $atype[] = "topic"; }
                    
                    $finalresults =& $db_messages->SearchMessagesType($searchterm,$atype,$LISTING_LIMIT,$lbegin);
                    if(!$scntflg) {$scount = $db_messages->SearchMessagesCount($searchterm,$atype);}
                   }
                    $smarty->assign('heading',$S_SEARCH." ".$S_RESULTS." (".$scount." ".$S_TOTAL.")");
                    
                    if($finalresults != null) {
                       $listelements = array();
                        foreach($finalresults as $result) {
                          $imageicons = array();
                          if($result->ALinkStream) {
                              $imageicons[] = array('Link'=>$result->ALinkStream,
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$MESSAGES_IMG,'alt'=>$result->Title." (Streaming)");
                          }
                          if($result->ALinkDownload) {
                              $imageicons[] = array('Link'=>$result->ALinkDownload,
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$MESSAGES_IMG_DL,'alt'=>$result->Title." (Download)");
                          }
                     	  if($result->PPTLink) { 
                              $imageicons[] = array('Link'=>$result->PPTLink,
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PPT_IMG,'alt'=>$result->Title." (PPT)"); }
                     	  if($result->PDFLink) { 
                              $imageicons[] = array('Link'=>$result->PDFLink,
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PDF_IMG,'alt'=>$result->Title." (PDF)"); }
                          $listelements[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE."?id=".$result->ID,
                                                  'Title'=>$result->Title,'SubText'=>$result->Description,
                                                  'ImageIcons'=>$imageicons,'ID'=>$result->ID);
                        }
                        $smarty->assign('listelements',$listelements);
                        $bottomlinks = array();
                        if($scount >= $lbegin-$LISTING_LIMIT && $lbegin-$LISTING_LIMIT >= 0) {
                        	$bottomlinks[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.
                        		$MESSAGES_FILE."?searchterm=".$sterm."&amp;title=".
                        		$stitle."&amp;topic=".$stopic."&amp;description=".$sdesc
								."&amp;lbegin=".($lbegin-$LISTING_LIMIT).
                        		"&amp;scount=".$scount,
                                'LinkText'=>"<< ".$S_PREVIOUS." ".$LISTING_LIMIT." ".$S_RESULTS);
                        }
                        if($lbegin+$LISTING_LIMIT < $scount) {
								if($scount-($lbegin+$LISTING_LIMIT) < $LISTING_LIMIT) {
                        		    $linktext = $S_NEXT." ".($scount-($lbegin+$LISTING_LIMIT))." ".$S_RESULTS." >>";
								}
								else { $linktext = $S_NEXT." ".$LISTING_LIMIT." ".$S_RESULTS." >>"; }
                                $bottomlinks[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.
                                $MESSAGES_FILE."?searchterm=".$sterm."&amp;title=".
                                $stitle."&amp;topic=".$stopic."&amp;description=".$sdesc
                                ."&amp;lbegin=".($lbegin+$LISTING_LIMIT)."&amp;scount=".$scount,'LinkText'=>$linktext);
                        }
                        $smarty->assign('bottomlinks',$bottomlinks);
                    }
                    else {
                       $smarty->assign('notice',$N_SEARCH_MESSAGES_NONE);
                    }
                 }
                 
                 else {
                  if($id != null) {
                    $value =& $db_messages->GetAudioData($id);
                    $smarty->assign('adminitem_id',$value->ID);
                    $smarty->assign('adminitem_title',$value->Title);
                    $tblarr = array();
                    $tblclass = "tbl-listing";
                    $tbltdclass = array("tbl-listing-title","tbl-listing-item");
                       $tblheader = "<h2>".$value->Title."</h2>".
                            "<a href=\"".$value->ALinkStream."\">".
                            "<img border=\"0\" align=\"middle\" src=\"".$HTTP_DOCUMENT_ROOT.
                            $IMAGE_PATH.$MESSAGES_IMG."\" alt=\"".$S_AUDIO."\" border=\"0\" \></a>";
                       if($value->ALinkStream) { $tblheader .= "&nbsp; <a href=\"".$value->ALinkStream."\">".$S_LISTEN."</a>"; }
                       if($value->ALinkDownload != "" && $value->ALinkDownload != "No Link") {
                           $tblheader .= " &nbsp; | &nbsp; <a href=\"".$value->ALinkDownload."\">".$S_DOWNLOAD;
                           $tblheader .= " <span class=\"filesize\">";
                           $tblheader .= "(".UtilFiles::GetFilesize($value->ALinkDownload).")</a></span>"; }
                       if($SHOW_ORDER_MESSAGE) {
                           $tblheader .= " &nbsp; | &nbsp; <a href=\"".$HTTP_DOCUMENT_ROOT.
                              $MESSAGES_DIR.$ORDER_MESSAGE_FILE."?id=".$id."&amp;showoptions=yes\">".$S_ORDER_MESSAGE."</a>";
                       }
                       $start = $value->Start;
                       array_push($tblarr,array($S_DATE,$start['month']." ".
                                $start['mday'].", ".$start['year']));
                       if($value->CShowEmail) {
                        $contacttext = "<a href=\"".$GLOBALS['HTTP_DOCUMENT_ROOT'].$GLOBALS['CONTACT_FORM'];
                        $contacttext .= "?id=".$value->CID."\">".$value->CName."</a>";
                       }
                       else { $contacttext = $value->CName; }
                       array_push($tblarr,array($S_SPEAKER,$contacttext));
                       
                       if ($value->LName != "No Location" && $value->LName != "Submit Form For Location Information" ) {
                           array_push($tblarr,array($S_LOCATION,"<a href=\"".$HTTP_DOCUMENT_ROOT.
                                $LOCATION_DIR.$LOCATION_FILE."?id=".$value->LID."\">".$value->LName."</a>"));
                       }
                       
                       if ($value->Description != null) {
                           array_push($tblarr,array($S_DESC,$value->Description));
                       }
                       if ($value->PPTLink != null) {
                           array_push($tblarr,array($S_POWERPOINT_PRESENTATION,"<a href=\"".
                                $value->PPTLink."\">"."<img border=\"0\" align=\"middle\" src=\"".
                                $HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PPT_IMG."\" alt=\"".$value->Title.
                                "\" \></a>&nbsp;<a href=\"".$value->PPTLink."\">".$S_DOWNLOAD."</a>"));
                       }
                       if ($value->PDFLink != null) {
                           array_push($tblarr,array($S_PRESENTATION_PRINTOUT,"<a href=\"".
                                $value->PDFLink."\"><img border=\"0\" align=\"middle\" src=\"".
                                $HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PDF_IMG."\" alt=\"".$value->Title.
                                "\" \></a>&nbsp;<a href=\"".$value->PDFLink."\">".$S_DOWNLOAD."</a>"));
                       }
                       if ($value->BookReference != "" && $value->StartVerse != "" && $value->StopVerse != ""
                           && $value->BookReference != "No Reference" && $value->StartVerse != 0 && $value->StopVerse != 0) {
                                   $reference = trim($value->BookReference)." ".trim($value->StartVerse);
                                   if(trim($value->StartVerse) != trim($value->StopVerse)) { 
                                       $reference .= "-".trim($value->StopVerse); }
                                   array_push($tblarr,array($S_BIBLE_REFERENCE,UtilBible::displayVerseLink($reference)));
                       }
                       if ($value->Topic != "" && $value->Topic != "No Topic") {
                          $topic = "";
                          $similar = "";
                          $tok = strtok($value->Topic,",");
                          while ($tok) {
                             if($tok != "Book Introductions") {
                                 $topic .= "<a href=\"http://www.biblegateway.com/bible?language=".$BIBLE_LANGUAGE;
                                 $topic .= "&amp;version=".$BIBLE_VERSION."&amp;showfn=".$BIBLE_SHOW_FOOTNOTE."&amp;showxref=".$BIBLE_SHOW_CROSS_REFERENCE;
                                 $topic .= "&amp;SearchType=EXACT&amp;search=".trim($tok);
                                 $topic .= "\">".$tok."</a>";
                             }
                             $similar .= '<a href="'.$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE;
                             $similar .= '?type=topic&amp;all=yes&amp;item='.trim($tok).'">'.$tok.'</a>';
                             $tok = strtok(",");
                             if($tok) { $topic .= ", "; $similar .= ", "; }
                          }
                          array_push($tblarr,array($S_SEARCH." ".$S_BIBLE." ".$S_FOR,$topic));
                          array_push($tblarr,array($S_RELATED." ".$S_MESSAGES,$similar));
                       }
                       else {
                           array_push($tblarr,array($S_SEARCH." ".$S_BIBLE,"<a href=\"".
                                "http://www.biblegateway.com\">Bible Gateway</a>"));
                       }
                       if ($value->Notes != null) {
                           array_push($tblarr,array($S_NOTES,$value->Notes));
                       }
                       $smarty->assign('printtable',UtilHtml::createTable($tblarr,$tblheader,$tblclass,"","",$tbltdclass));
                 }
                 else if($type != null) {
                    $listing = array();
                    if($type == "book" && $all == "yes") {
                       $smarty->assign('heading',$S_MESSAGES." ".$S_BY_BOOK);
                       $listing =& $db_messages->GetBooksUsed();
                    }
                    else if($type == "topic" && $all == "yes") {
                    	if($group != null && $group != "") {
                    		$listing =& $db_messages->GetTopicsUsedByGroup($MESSAGES_T_GROUPING[$group]);
                    	}
                    	else { $listing =& $db_messages->GetTopicsUsed(); }
                       $smarty->assign('heading',$S_MESSAGES." ".$S_BY_TOPIC);
                       $grouplinks = array();
                       for($i = 0; $i < count($MESSAGES_T_GROUPING); $i++) {
                       	 $thisgroup = $MESSAGES_T_GROUPING[$i];
                       	 $groupend = count($thisgroup)-1;
                       	 $grouplinks[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE.
                                                            "?type=".$type."&amp;all=yes&amp;group=".$i,
                                               'LinkText'=>$thisgroup[0]."-".$thisgroup[$groupend]);
                       }
                       $grouplinks[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE.
                                             "?type=topic&amp;all=yes",'LinkText'=>$S_ALL." ".$S_TOPICS);
                       $smarty->assign('grouplinks',$grouplinks);
                    }
                    else if($type == "date" && $all == "yes") {
                        $smarty->assign('heading',$S_MESSAGES." ".$S_BY_DATE);
                        $grouplinks = array();
                        if($group != null && $group != "") {
                            $listing =& $db_messages->GetMonthsUsedByYear($group);
                        }
                        else { $listing =& $db_messages->GetMonthsUsed(); }
                        $dateyears = $db_messages->GetYearsUsed();
                        foreach($dateyears as $dateyear) {
                            $grouplinks[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE.
                                                              "?type=".$type."&amp;all=yes&amp;group=".$dateyear,
                                                  'LinkText'=> $dateyear);
                        }
                        $grouplinks[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE.
                                                          "?type=date&amp;all=yes",
                                              'LinkText'=>$S_ALL." ".$S_YEARS);
                        $smarty->assign('grouplinks',$grouplinks);
                    }
                    
                    if($listing != null) {
                       if($item == null && $item == "") {
                           $columnlinks = array();
                           $smarty->assign('columnlinkhalflength',round(count($listing)/2));
                           foreach($listing as $listitem) {
                               $columnlinks[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE.
                                                   "?type=".$type."&amp;all=yes&amp;item=".$listitem."&amp;group=".$group,
                                                      'LinkText'=>$listitem);
                           }
                           $smarty->assign('columnlinks',$columnlinks);
                       }
                       else if($item != null) {
                             $dbvalues = $db_messages->GetAudioDataType($item,$type);
                             $smarty->assign('secondheading',stripslashes(stripslashes($item))." (".count($dbvalues)." ".$S_TOTAL.")");
                             $listelements = array();
                             foreach($dbvalues as $dbvalue) {
                                if($dbvalue->BookReference != "" && $dbvalue->StartVerse != "" && $dbvalue->StopVerse != "") {
                                   $imageicons = array();
                                   if($dbvalue->ALinkStream) {
                                       $imageicons[] = array('Link'=>$dbvalue->ALinkStream,'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$MESSAGES_IMG,
                                                             'alt'=>$dbvalue->Title." (Streaming)");
                          		   }
                          		   if($dbvalue->ALinkDownload) {
                                      $imageicons[] = array('Link'=>$dbvalue->ALinkDownload,'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$MESSAGES_IMG_DL,
                                                            'alt'=>$dbvalue->Title." (Download)");
                          		   }
                                   if($dbvalue->PPTLink) { 
                                       $imageicons[] = array('Link'=>$dbvalue->PPTLink,'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PPT_IMG,
                                                             'alt'=>$dbvalue->Title." (PPT)"); }
                     	  		   if($dbvalue->PDFLink) { 
                                       $imageicons[] = array('Link'=>$dbvalue->PDFLink,'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PDF_IMG,
                                                             'alt'=>$dbvalue->Title." (PDF)"); }
                                }
                                $listelements[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE."?id=".$dbvalue->ID,
                                                        'Title'=>$dbvalue->Title,'ImageIcons'=>$imageicons,
                                                        'SubTitle'=>UtilDatetime::FormatPHPDate($dbvalue->Start,0,0),
                                                        'SubText'=>$dbvalue->Description,'ID'=>$dbvalue->ID);
                              }
                              $smarty->assign('listelements',$listelements);
                       }
                    }
                    else {
                          $printtype = "";
                          switch($type) {
                              case 'book' : $printtype = $S_BOOK; break;
                              case 'date' : $printtype = $S_DATE; break;
                              case 'topic': $printtype = $S_TOPIC; break;
                          }
                          $smarty->assign('notice',$N_AUDIO_BY_NONE." ".$printtype);
                    }
                 }
                 }
              }
                 else {
					$smarty->assign('heading',$S_RECENTLY_ADDED." ".$S_MESSAGES);
                    $data =& $db_messages->GetMessagesRange(0,7);
                    if($data != null) {
                       $listelements = array();
	                   foreach ($data as $value) {
	                       $imageicons = array();
	                       if($value->ALinkStream) {
	                           $imageicons[] = array('Link'=>$value->ALinkStream,'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$MESSAGES_IMG,
	                                                 'alt'=>$value->Title." (Streaming)");
	                       }
	                       if($value->ALinkDownload) {
	                          $imageicons[] = array('Link'=>$value->ALinkDownload,'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$MESSAGES_IMG_DL,
	                                                'alt'=>$value->Title." (Download)");
	                       }
	                       if($value->PPTLink) { 
	                           $imageicons[] = array('Link'=>$value->PPTLink,'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PPT_IMG,
	                                                 'alt'=>$value->Title." (PPT)"); }
	                       if($value->PDFLink) { 
	                           $imageicons[] = array('Link'=>$value->PDFLink,'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PDF_IMG,
	                                                 'alt'=>$value->Title." (PDF)"); }
	                       $listelements[] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE."?id=".$value->ID,
	                                              'Title'=>$value->Title,'ImageIcons'=>$imageicons,
	                                              'SubTitle'=>UtilDatetime::FormatPHPDate($value->Start,0,0),
                                                  'SubText'=>$value->Description,'ID'=>$value->ID);
                        }
                        $smarty->assign('listelements',$listelements);
                    }
                    else { $smarty->assign('notice',$S_AUDIOS_NONE); }
              }
         $smarty->assign('bottomnote',array($S_NOTE_AUDIO_MP3,$S_NOTE_AUDIO_RA,$S_NOTE_AUDIO_PDF,$S_NOTE_AUDIO_PPT));
         UtilSmarty::displaySectionPage($smarty);
?>
<?php require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER; ?>