<?php 
/**
 * <b>Order Audio Messages</b><br />
 * Use Case (AM-08: Order Message):
 * User clicks "Order Tape/CD"
 * This takes them to a page which displays information paragraph, ordering options, format options, person's information, and order details.
 * Ordering options include Pay Pal and pay later.
 * Format options includes Tape, Audio CD, and MP3 CD.
 * Person's Information is the basic pay pal form.
 * Order details shows which audio message they are ordering.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.7
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }

      $db = new Database();
      $db_messages = $db->GetClass('messages');
      $smarty = UtilSmarty::createSmarty();
      
      $id="";$showoptions="";$pagesubtitle="";$format="";$payment="";$outsidecountry="no";$action="";$sendemail="";
	  
      if(getenv("QUERY_STRING")) {
         if(isset($_GET['id'])) {$id = $_GET['id'];}
         if(isset($_GET['showoptions'])) {$showoptions = $_GET['showoptions'];}
         if(isset($_GET['action'])) { $action = $_GET['action']; }
         if(isset($_GET['sendemail'])) { $sendemail = $_GET['sendemail']; }
	  }
      
      if(count($_POST) > 0) {
           if(isset($_POST['format'])) { $format = $_POST['format']; }
           if(isset($_POST['payment'])) { $payment = $_POST['payment']; }
           if(isset($_POST['outsidecountry'])) { $outsidecountry = $_POST['outsidecountry']; }
           if(isset($_POST['id'])) { $id = $_POST['id']; }

          $personname="";$address1="";$address2="";$city="";$state="";$country="";
          $postalcode="";$phonenumber="";$email="";
           if(isset($_POST['name'])) { $personname = stripslashes($_POST['name']); }
           if(isset($_POST['address1'])) { $address1 = stripslashes($_POST['address1']); }
           if(isset($_POST['address2'])) { $address2 = stripslashes($_POST['address2']); }
           if(isset($_POST['city'])) { $city = stripslashes($_POST['city']); }
           if(isset($_POST['state'])) { $state = stripslashes($_POST['state']); }
           if(isset($_POST['country'])) { $country = stripslashes($_POST['country']); }
           if(isset($_POST['postalcode'])) { $postalcode = $_POST['postalcode']; }
           if(isset($_POST['phonenumber'])) { $phonenumber = $_POST['phonenumber']; }
           if(isset($_POST['email'])) {$email = $_POST['email'];}
       }
    
	    if($id != "") { 
			$value =& $db_messages->GetAudioData($id);
			$pagesubtitle = $value->Title; }
		
		require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
        "?pagetitle=".str_replace(" ","%20",htmlentities($S_AUDIO_MESSAGES)).
		"&pagesubtitle=".str_replace(" ","%20",htmlentities($pagesubtitle)).
        "&pagedesc=".str_replace(" ","%20",htmlentities($CHURCH_NAME." ".$S_DESC_MESSAGES)); 
	  
        
        $sidesection = array();
        $sidesection['Title'] = $S_AUDIO_MESSAGES;
        $sidesection['Links'] = array();
        $sidesection['Links'][] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.
              $MESSAGES_FILE."?all=yes&amp;type=book",'LinkText'=>$S_BY_BOOK);
        $sidesection['Links'][] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.
              $MESSAGES_FILE."?all=yes&amp;type=topic",'LinkText'=>$S_BY_TOPIC);
        $sidesection['Links'][] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.
              $MESSAGES_FILE."?all=yes&amp;type=date",'LinkText'=>$S_BY_DATE);
        $smarty->assign('sidesections',array($sidesection));
        
        $icondescriptions = array();
        $icondescriptions[] = array('alt'=>$S_AUDIO." (".$S_STREAMING.")",
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$MESSAGES_IMG,
                                    'desc'=>$S_AUDIO." (".$S_STREAMING.")");
        $icondescriptions[] = array('alt'=>$S_AUDIO." (".$S_DOWNLOAD.")",
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$MESSAGES_IMG_DL,
                                    'desc'=>$S_AUDIO." (".$S_DOWNLOAD.")");
        $icondescriptions[] = array('alt'=>"PPT",
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PPT_IMG,
                                    'desc'=>"PowerPoint");
        $icondescriptions[] = array('alt'=>"PDF",
                                    'src'=>$HTTP_DOCUMENT_ROOT.$IMAGE_PATH.$PDF_IMG,
                                    'desc'=>"PDF");
        $smarty->assign('icondescriptions',$icondescriptions);
        
        $smarty->assign('searchformname','messagesearch');
        $smarty->assign('searchformfile',$MESSAGES_FILE);
        $smarty->assign('searchconstraints',
        array(array('name'=>'Title','title'=>$S_TITLE),
              array('name'=>'Description','title'=>$S_DESC),
              array('name'=>'Topic','title'=>$S_TOPIC)));
        $smarty->assign('searchsubmittitle',$S_MESSAGE.' '.$S_SEARCH);
            
              if(getenv("QUERY_STRING")) {
                  if($id != null) {
                    $value =& $db_messages->GetAudioData($id);
                    if($showoptions == "yes") {
                        $form = array();
                        $formfields = array();
                        $form['formname'] = "ordermessage";
                        $form['formaction'] = $ORDER_MESSAGE_FILE;
                        $form['hiddeninputs'] = array(array('name'=>'id','value'=>$id));
                        $smarty->assign('introstatements',array(
                              array('Title'=>$S_ORDER_MESSAGE,'Text'=>$ORDER_MESSAGE_TEXT."<br /><br />".$S_NOTE_ORDER_MESSAGE),
                              array('Title'=>$S_FORM_CHOOSE_OPTIONS,
                                    'Text'=>"<b>".$S_FORM_CURRENT_PURCHASE."</b>: <em>".$value->Title." (".$value->CatalogID.")</em><br />")));
                        $formats = array();
                        foreach($ORDER_MESSAGE_FORMATS as $format) {
                            $formats[] = array('name'=>'format','value'=>$format,
                                'Title'=>$format." [".sprintf("%01.2f",$ORDER_MESSAGE_FORMAT_COSTS[$format]).
                                         " ".$PAY_PAL_CURRENCY_CODE."]");
                        }
                        $formfields[] = array('type'=>'radioinput','heading'=>$S_FORM_CHOOSE_MEDIA,'items'=>$formats);
                        $formfields[] = array('type'=>'radioinput','heading'=>$S_FORM_CHOOSE_PAYMENT,
                                              'items'=>array(array('name'=>'payment','value'=>'paypal','Title'=>$S_PAY_NOW." (PayPal)"),
                                                             array('name'=>'payment','value'=>'email','Title'=>$S_PAY_LATER." (".$S_EMAIL.")")));
                        $formfields[] = array('type'=>'checkboxes','heading'=>$S_FORM_OUTSIDE_COUNTRY,
                                              'items'=> array(array('name'=>'outsidecountry','value'=>'yes','Title'=>$S_YES,'checked'=>'no')));
                        
                        $form['formfields'] = $formfields;
                        $form['submitname'] = $S_CONTINUE;
                        $smarty->assign('forms',array($form));
                    }
                 }
                 else if($action != "") {
                     $smarty->assign('heading',$S_ORDER_MESSAGE);
                     if($action == "success") { 
                          $smarty->assign('notice',$ORDER_MESSAGE_SUCCESS_TEXT); 
                          $smarty->assign('returnlink',array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE,
                                          'LinkText'=>$S_RETURN_TO." ".$S_AUDIO_MESSAGES));
                     }
                     else if($action == "cancel") { 
                          $smarty->assign('notice',$ORDER_MESSAGE_CANCEL_TEXT); 
                          $smarty->assign('returnlink',array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$MESSAGES_FILE,
                                          'LinkText'=>$S_RETURN_TO." ".$S_AUDIO_MESSAGES));
                     }
                     else { $smarty->assign('error',$E_PAGE_NOT_FOUND); }
                 }
                 else { $smarty->assign('error',$E_PAGE_NOT_FOUND); }
              }
              else if($_POST > 0) {
                if($id != null) {
                  $value =& $db_messages->GetAudioData($id);
                  if($outsidecountry == "yes") { $cost = $ORDER_MESSAGE_FORMAT_COSTS[$format]+$ORDER_MESSAGE_NON_COUNTRY_EXTRA_COST; }
                  else { $cost = $ORDER_MESSAGE_FORMAT_COSTS[$format]; }
                  $smarty->assign('introstatements',array(
                        array('Title'=>$S_ORDER_MESSAGE,
                              'Text'=>"<b>".$S_FORM_CURRENT_PURCHASE.":</b> <em>".$value->Title." (".$value->CatalogID.")</em><br />".
                                      "<b>".$S_MEDIA_FORMAT.":</b> <em>".$format."</em><br />".
                                      "<b>".$S_COST.":</b> <em>".sprintf("%01.2f",$cost)." ".$PAY_PAL_CURRENCY_CODE."</em><br />")));
                  if($payment == 'paypal') {
                      $smarty = UtilHtml::createPayPalFormSmarty($smarty,$ORDER_MESSAGE_ITEM_NAME,$cost,
                                    $value->CatalogID,$ORDER_MESSAGE_NOTE,
                                    $HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$ORDER_MESSAGE_FILE."?action=success",
                                    $HTTP_DOCUMENT_ROOT.$MESSAGES_DIR.$ORDER_MESSAGE_FILE."?action=cancel",
                                    $PAY_PAL_LANG_COUNTRY,1,array(array('custom',$id)),array('note',$format));
                  }
                  else if($payment == 'email') {
                      if($sendemail == 'yes') {
                          $adminmessage = $S_FROM.": ".$personname."\r\n\r\n".$S_TO.": ".$S_ORDER_MESSAGE."\r\n\r\n".
                              $S_MSG_ORDER_MESSAGE_ADMIN;
                          $orderdetails = "\r\n\r\n---".$S_ORDER_DETAILS."---\r\n\r\n".
                              $S_FORM_CURRENT_PURCHASE.": ".$value->Title." (".$value->CatalogID.")\r\n".
                              $S_MEDIA_FORMAT.": ".$format."\r\n".
                              $S_COST.": ".sprintf("%01.2f",$cost)." ".$PAY_PAL_CURRENCY_CODE."\r\n\r\n".
                              $S_NAME.': '.$personname."\r\n".$S_ADDRESS.': '.$address1."\r\n".$address2.
                              "\r\n".$city.",".$state." ".$postalcode." ".$country."\r\n".
                              $S_PHONE_NUMBER.': '.$phonenumber."\r\n".$S_EMAIL.' : '.$email;
                          if( mail($ORDER_MESSAGE_ADMIN_EMAIL, $subject, $adminmessage.$orderdetails,
                             "From: ".$email."\r\n"
                             ."Reply-To: ".$email."\r\n"
                             ."X-Mailer: PHP/" . phpversion())) {
                                 if( mail($email, $subject, $S_MSG_ORDER_MESSAGE_USER.$orderdetails,
                                    "From: ".$ORDER_MESSAGE_ADMIN_EMAIL."\r\n"
                                    ."Reply-To: ".$ORDER_MESSAGE_ADMIN_EMAIL."\r\n"
                                    ."X-Mailer: PHP/" . phpversion())) {
                                      $smarty->assign('notice',$N_MSG_SENT_TO." ".$ORDER_MESSAGE_ADMIN_EMAIL.", ".$S_THANK_YOU."!");
                                      $smarty->assign('returnlink',array('LinkPath'=>$HTTP_DOCUMENT_ROOT,
                                                          'LinkText'=>$S_RETURN_SITE));
                                 }
                                 else { 
                                     $smarty->assign('error',$E_MAIL_SEND);
                                     $smarty->assign('returnlink',array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$FEEDBACK_FILE,
                                                                 'LinkText'=>$S_RETURN_FORM));
                                 }
                          }
                          else { 
                              $smarty->assign('error',$E_MAIL_SEND);
                              $smarty->assign('returnlink',array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$FEEDBACK_FILE,
                                                          'LinkText'=>$S_RETURN_FORM));
                          }
                      }
                      else {
                         $form = array();
                         $formfields = array();
                      	$form['formname'] = "ordermessage_email";
                      	$form['formaction'] = $ORDER_MESSAGE_FILE;
                        
                      	$hiddeninputs = array();
                      	$hiddeninputs[] = array('name'=>"format",'value'=>$format);
                      	$hiddeninputs[] = array('name'=>"outsidecountry",'value'=>$outsidecountry);
                      	$hiddeninputs[] = array('name'=>"id",'value'=>$id);
                      	$hiddeninputs[] = array('name'=>"payment",'value'=>$payment);
                      	$hiddeninputs[] = array('name'=>"sendemail",'value'=>"yes");
                      	$form['hiddeninputs'] = $hiddeninputs;  
                              
                      	$formfields[] = array('type'=>'textfield','heading'=>$S_FORM_NAME,'name'=>"Name");
                      	$formfields[] = array('type'=>'textfield','heading'=>$S_FORM_EMAIL,'name'=>"Email");
                      	$formfields[] = array('type'=>'textfield','heading'=>$S_FORM_ADDRESS1,'name'=>"Address1");
                      	$formfields[] = array('type'=>'textfield','heading'=>$S_FORM_ADDRESS2,'name'=>"Address2");
                      	$formfields[] = array('type'=>'textfield','heading'=>$S_FORM_CITY,'name'=>"City");
                      	$formfields[] = array('type'=>'textfield','heading'=>$S_FORM_STATE_ABRV,'name'=>"State");
                      	$formfields[] = array('type'=>'textfield','heading'=>$S_FORM_COUNTRY,'name'=>"Country");
                      	$formfields[] = array('type'=>'textfield','heading'=>$S_FORM_POSTAL_CODE,'name'=>"PostalCode");
                      	$formfields[] = array('type'=>'textfield','heading'=>$S_FORM_PHONE,'name'=>"PhoneNumber");
                      	
                          $form['formfields'] = $formfields;
                      	$form['resetname'] = $S_FORM_RESET;
                      	$form['submitname'] = $S_SUBMIT;
                      }
                  }
                  else { $smarty->assign('error',$E_PAGE_NOT_FOUND); }
                }
                else { $smarty->assign('error',$E_PAGE_NOT_FOUND); }
              }
              else { $smarty->assign('error',$E_PAGE_NOT_FOUND); }
         $smarty->assign('bottomnote',array($S_NOTE_AUDIO_MP3,$S_NOTE_AUDIO_RA,$S_NOTE_AUDIO_PDF,$S_NOTE_AUDIO_PPT));
         UtilSmarty::displaySectionPage($smarty);
?>
<?php require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER; ?>