<?php 
/**
 * <b>Events/Studies</b><br />
 * The events section shows all of the details of the events offered.<br />
 * Types are:
 * - Calendar (links to calendar views)
 * - Studies (Series) mapped by Type
 * - Home Groups
 * This section is searchable.
 * @author Kristen O'Brien <kristen_paristemi-com>
 * @copyright Copyright &copy; 2004, Kristen O'Brien
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @link http://www.paristemi.com Paristemi Main Site
 * @package paristemi
 * @subpackage paristemi_business_logic
 * @since Build 0.1
 * @version Build 0.8
 * @filesource
 */
/**
* Include the constants file and all of the files in the include list
*/
if(isset($SERVER_DIRECTORY) && file_exists($SERVER_DIRECTORY."constants.php")) { require_once($SERVER_DIRECTORY."constants.php"); } else if(ltrim(dirname($_SERVER['SCRIPT_FILENAME'])) != "" && file_exists($_SERVER['DOCUMENT_ROOT']."/constants.php")) {     require_once($_SERVER['DOCUMENT_ROOT']."/constants.php"); } else if(file_exists("../constants.php")) { require_once("../constants.php"); } else { require_once("constants.php"); }
foreach($INCLUDE_LIST as $includefile) { require_once $includefile; }
require_once ($SERVER_DIRECTORY.$INCLUDE_PATH.$CALENDAR_INCLUDE);

$arr_list = array();
function arrSeparate($var) { return(in_array($var->Type,$GLOBALS['arr_list'])); }

         $db = new Database();
         $cal = new Calendar;
         $db_studies = $db->GetClass('studies');
         $data =& $db_studies->GetCurrentStudies();
         $smarty = UtilSmarty::createSmarty();
         
         $id="";
         if(getenv("QUERY_STRING")) {
            if(isset($_GET['id'])) {$id = $_GET['id'];}
         }
         
		if($id != "") { 
		    $studydata = $db_studies->GetStudyInfo($id);
            $subtitle = $studydata->Type == $S_HOME_GROUP ? ' '.$S_HOME_GROUP : "";
		    $pagesubtitle = $studydata->Title.$subtitle;
		}
		else { 
          $pagesubtitle = $S_STUDIES.", ".$S_SERVICES;
          if($SHOW_HOME_GROUP_TABLE) { $pagesubtitle .= ", ".$S_AND." ".$S_HOME_GROUPS; }
        }
		
		require_once $HTTP_DOCUMENT_ROOT.$INCLUDE_PATH.$HEADER.
		"?pagetitle=".str_replace(" ","%20",htmlentities($S_EVENTS)).
		"&pagesubtitle=".str_replace(" ","%20",htmlentities($pagesubtitle)).
		"&pagedesc=".str_replace(" ","%20",htmlentities($CHURCH_NAME." ".$S_DESC_EVENTS)); 
        
$smarty->assign('adminbar_section_name',$S_CALENDAR.' '.$S_SERIES);
$smarty->assign('adminbar_section_add','series');


        $sidesections = array();
		$sidecal = $cal->calHeader();
		$sidesections[] = $sidecal['callinks'];
		$smarty = $cal->calSearchForm($smarty);
         foreach($STUDIES_LIST as $studyname => $studylist) {
         	$sidesection = array('Title'=>$studyname,'Links'=>array());
         	$arr_list = $STUDIES_LIST_MAP[$studylist];
         	$arr = array_filter($data,"arrSeparate");
         	foreach($arr as $value) {
         		$sidesection['Links'][] = array('LinkPath'=>$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.
                    $STUDIES_FILE."?id=".$value->ID,'LinkText'=>$value->Title);
         	}
            $sidesections[] = $sidesection;
         }
         
      $printtable = array();
      $data =& $db_studies->GetCurrentStudies();
      $tblclass = "tbl-listing";
      if($data != null) {
              if(getenv("QUERY_STRING")) {
                 $tblarr = array();
                 $tbltdclass = array("tbl-listing-title","tbl-listing-item");
                 $value =& $db_studies->GetStudyInfo($id);
                 $subtitle = $value->Type == $S_HOME_GROUP ? ' '.$S_HOME_GROUP : "";
                 $tblheader = "<h2>".$value->Title.$subtitle."</h2>";
                $smarty->assign('adminitem_id',$value->ID);
                $smarty->assign('adminitem_title',$value->Title.$subtitle);
                       $meetbymonth = " ";
                       if($value->MeetByMonth != 0) {
                         $meetbymonth = str_replace(",",", ",str_replace("1",$S_FIRST,str_replace("2",$S_SECOND,
                            str_replace("3",$S_THIRD,str_replace("4",$S_FOURTH,$value->MeetByMonth)))));
                       }
                       array_push($tblarr,array($S_DAY,$S_EVERY." ".$meetbymonth." ".$cal->getWeekday($value->Day)));
                       array_push($tblarr,array($S_TIME,$value->Start." - ".$value->Stop));
                       if ($value->iStart != null) {
                           $istart = getDate($value->iStart);
                           array_push($tblarr,array($S_NEXT_EVENT,"<a href=\"".$HTTP_DOCUMENT_ROOT.
                                $CALENDAR_PATH.$ITEM_CAL_FILE."?id=".$value->iID."\">".
                                $istart['month']." ".$istart['mday'].", ".$istart['year']."</a>"));
                       }
                       if($value->LocationName != "No Location" && $value->LocationName != "Submit Form For Location Information") {
                          array_push($tblarr,array($S_LOCATION,"<a href=\"".$HTTP_DOCUMENT_ROOT.$LOCATION_DIR.
                                $LOCATION_FILE."?id=".$value->LocationID."\">".$value->LocationName."</a>"));
                       }
                       if ($value->Description != null) {
                          array_push($tblarr,array($S_DESC,$value->Description));
                       }
                 $printtable[] = UtilHtml::createTable($tblarr,$tblheader,$tblclass,"","",$tbltdclass);
          }
          else {
                  $tblarr = array();
                  $tblheader = array($STUDIES_TBL_HEADING,array($S_TITLE,$S_DAY,$S_START));
                  $tbltdclass = array("tbl-listing-event","tbl-listing-day","tbl-listing-start");
                  $homegrouparr = array();
            	  if(count($data) != 0) {
            	   foreach ($data as $value) {
            		if($value->Type == $S_HOME_GROUP) { $homegrouparr[] = $value; }
            		else {
                       $meetbymonth = " ";
                       if($value->MeetByMonth != 0) {
                           $meetbymonth = str_replace(",",", ",str_replace("1",$S_FIRST,str_replace("2",$S_SECOND,
                               str_replace("3",$S_THIRD,str_replace("4",$S_FOURTH,$value->MeetByMonth)))));
                     }
                     array_push($tblarr,array("<a href=\"".$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.
                         $STUDIES_FILE."?id=".$value->ID."\">".$value->Title."</a>",
                         $S_EVERY." ".$meetbymonth." ".$cal->getWeekday($value->Day),$value->Start));
            		}
                  }
                  $printtable[] = UtilHtml::createTable($tblarr,$tblheader,$tblclass,"","",$tbltdclass);
            	 }
                 else { $smarty->assign('notice',$N_STUDIES_NONE); }
           if($SHOW_HOME_GROUP_TABLE) { 
			if(count($homegrouparr) != 0) { 
              $tblarr = array();
              $tblheader = array($S_HOME_GROUPS,array($S_TITLE,$S_DAY,$S_START));
              $tbltdclass = array("tbl-listing-event","tbl-listing-day","tbl-listing-start");
              foreach ($homegrouparr as $value) {
                $meetbymonth = " ";
                if($value->MeetByMonth != 0) {
                  $meetbymonth = str_replace(",",", ",str_replace("1",$S_FIRST,str_replace("2",$S_SECOND,
                     str_replace("3",$S_THIRD,str_replace("4",$S_FOURTH,$value->MeetByMonth)))));
                }
                array_push($tblarr,array("<a href=\"".$HTTP_DOCUMENT_ROOT.$STUDIES_DIR.
                    $STUDIES_FILE."?id=".$value->ID."\">".$value->Title."</a>",
                    $S_EVERY." ".$meetbymonth." ".$cal->getWeekday($value->Day),$value->Start));
              }
              $printtable[] = UtilHtml::createTable($tblarr,$tblheader,$tblclass,"","",$tbltdclass);
            }
            else { $smarty->assign('notice',$N_HOME_GROUPS_NONE); }
           }
          }
          $smarty->assign('sidesections',$sidesections);
          $smarty->assign('printtable',$printtable);
          UtilSmarty::displaySectionPage($smarty);
      } ?>
<?php require_once $SERVER_DIRECTORY.$INCLUDE_PATH.$FOOTER; ?>
